2014-05-28 15:53  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2840] web/functions_ical.inc, web/functions_mail.inc:
	  
	  Fixed bug in export of an event: the description included the
	  complete booking details instead of just the description.

2014-05-28 15:20  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2839] web/functions_ical.inc, web/import.php,
	  web/systemdefaults.inc.php:
	  
	  Made the default area and room consistent on import and export of
	  an event. See SF Support Requests #541

2014-05-22 09:54  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2838] web/admin.php:
	  
	  Changed form action link to a relative path name from an absolute
	  path name, which was causing problems on some sites with reverse
	  proxy rules. See the bug report on the MRBS-general mailing list.

2014-05-09 11:29  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2837] web/css/mrbs.css.php:
	  
	  Fixed problem with resizing bookings in IE. See SF Bugs #293 and
	  #300.

2014-05-09 09:38  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2836] web/css/mrbs.css.php:
	  
	  Fixed problem with colour key and trailer shifting downwards
	  during a booking resize in IE. See SF Bugs #300

2014-04-27 17:37  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2832] web/style.inc:
	  
	  Added nofollow to robots meta tag. See SF Bugs #298

2014-04-27 17:10  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2831] web/functions_ical.inc, web/systemdefaults.inc.php:
	  
	  Changed the ORGANIZER in an iCalendar event to be a new email
	  address, defined as $mail_settings['organizer'] and not the
	  creator. This is to avoid a problem in some mail systems, eg IBM
	  Domino, where an iCalendar event notification email is silently
	  discarded if the organizer's email address is the same as the
	  recipient's

2014-04-27 10:06  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2830] web/functions_ical.inc:
	  
	  Added a LAST-MODIFIED property to all VEVENTS

2014-04-26 15:44  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2829] web/Mail/mime.php, web/Mail/mimePart.php:
	  
	  Upgraded Mail_Mime package to Version 1.8.8

2014-04-02 17:17  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2828] web/language.inc:
	  
	  Added an alternative for the %e modifier for strftime() when
	  running on Windows. See also SF Support Requests #521

2014-03-17 15:55  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2827] web/edit_users.php:
	  
	  Corrected typo in comment

2014-03-09 10:03  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2826] web/js/resizable.js.php:
	  
	  Fixed a problem in the day and week views with resizable bookings
	  not filling the whole time period when $clipped is set to FALSE.
	  See SF Support Requests #503.

2014-03-08 10:02  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2825] web/functions.inc:
	  
	  Fixed bug in last change

2014-03-08 09:09  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2824] web/edit_entry.php, web/functions.inc:
	  
	  Made the first option of a radio button group the default value
	  if no value is given, mirroring the way a <select> element works.

2014-03-07 11:10  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2823] web/functions.inc, web/functions_mail.inc,
	  web/language.inc, web/mrbs_sql.inc:
	  
	  Converted a few substr() and strlen() calls to their utf8_
	  equivalents for good measure

2014-03-03 17:38  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2822] web/edit_area_room.php, web/edit_entry.php,
	  web/functions.inc, web/report.php:
	  
	  Changed the operation for generate_radio_group() so that it
	  operates in the same way as generate_select() and can take either
	  a simple or an associative array. This enables custom fields to
	  be presented as radio buttons instead of as <select> elements if
	  desired. See SF Support Requests #489.

2014-02-25 16:13  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2821] web/language.inc:
	  
	  Fixed bug in utf8_substr() on 64 bit Linux systems caused by an
	  underlying bug in mb_substr()

2014-02-24 13:44  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2820] web/language.inc:
	  
	  Added locale mappings for 'nb' ( => 'nb_NO') and 'nn' (=>
	  'nn_NO')

2014-02-22 18:22  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2819] web/functions_ical.inc:
	  
	  Added escaping and unescaping of '\N' in property values
	  (required by RFC 5545 Section 3.3.11)

2014-02-14 10:12  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2818] web/import.php:
	  
	  Modified import.php so that it is tolerant of blank lines at the
	  start of the file and also between components (eg VEVENTS).
	  Strictly speaking these are not allowed according to RFC5545, but
	  it does no harm to tolerate them.

2014-02-13 18:53  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2817] web/jquery/ui/jquery-ui-i18n.MRBS.js:
	  
	  Added an en-IE regional setting for the datepicker

2014-02-13 11:34  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2816] web/language.inc:
	  
	  Fixed some errors in the Windows language map and expanded the
	  Windows codepage map

2014-02-13 10:11  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2815] web/language.inc:
	  
	  Fixed problem with es-CO on Windows. See SF Support Requests 477.
	  Also added support for the remaining Spanish variants.

2014-02-10 18:37  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2814] web/functions_mail.inc, web/language.inc:
	  
	  Fixed bug causing dates in mail messages to be in the wrong
	  language when the main MRBS language differs from the mail
	  language. See SF Support Requests #474.

2014-02-09 14:26  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2813] web/edit_entry_handler.php:
	  
	  Changed error level for missing id from E_USER_WARNING to
	  E_USER_NOTICE (see SF Feature Requests 249)

2014-02-09 09:41  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2812] web/js/resizable.js.php:
	  
	  Fixed problem with shaded selection sometimes not snapping to the
	  edge of the slot when selecting a group of empty slots. Bug
	  caused by the fact that .offset() in some browsers (eg Firefox)
	  returns decimal values calculated from styling rather than
	  integer pixel values from rendering.

2014-02-08 11:38  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2811] web/jquery/ui/css/sunny/images/animated-overlay.gif[ADD],
	  web/jquery/ui/css/sunny/images/ui-bg_diagonals-medium_20_d34d17_40x40.png,
	  web/jquery/ui/css/sunny/images/ui-bg_flat_30_cccccc_40x100.png,
	  web/jquery/ui/css/sunny/images/ui-bg_flat_50_5c5c5c_40x100.png,
	  web/jquery/ui/css/sunny/images/ui-bg_gloss-wave_45_817865_500x100.png,
	  web/jquery/ui/css/sunny/images/ui-bg_gloss-wave_60_fece2f_500x100.png,
	  web/jquery/ui/css/sunny/images/ui-bg_gloss-wave_70_ffdd57_500x100.png,
	  web/jquery/ui/css/sunny/images/ui-bg_gloss-wave_90_fff9e5_500x100.png,
	  web/jquery/ui/css/sunny/images/ui-bg_highlight-soft_100_feeebd_1x100.png,
	  web/jquery/ui/css/sunny/images/ui-bg_inset-soft_30_ffffff_1x100.png,
	  web/jquery/ui/css/sunny/images/ui-icons_3d3d3d_256x240.png,
	  web/jquery/ui/css/sunny/images/ui-icons_bd7b00_256x240.png,
	  web/jquery/ui/css/sunny/images/ui-icons_d19405_256x240.png,
	  web/jquery/ui/css/sunny/images/ui-icons_eb990f_256x240.png,
	  web/jquery/ui/css/sunny/images/ui-icons_ed9f26_256x240.png,
	  web/jquery/ui/css/sunny/images/ui-icons_fadc7a_256x240.png,
	  web/jquery/ui/css/sunny/images/ui-icons_ffe180_256x240.png,
	  web/jquery/ui/css/sunny/jquery-ui-1.10.4.custom.min.css[ADD],
	  web/jquery/ui/css/sunny/jquery-ui-1.9.1.custom.min.css[DEL],
	  web/jquery/ui/jquery-ui-1.10.4.custom.min.js[ADD],
	  web/jquery/ui/jquery-ui-1.9.1.custom.min.js[DEL],
	  web/jquery/ui/jquery-ui-i18n.js, web/js.inc, web/style.inc:
	  
	  Upgraded to jQuery UI Release 1.10.4

2014-02-08 10:58  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2810] web/jquery/jquery-2.1.0.min.js[ADD], web/js.inc:
	  
	  Upgraded to jQuery 2.1.0, with a fallback to 1.11.0 for IE8 and
	  below

2014-02-08 10:28  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2809] web/internalconfig.inc.php,
	  web/jquery/jquery-1.11.0.min.js[ADD],
	  web/jquery/jquery-1.8.2.min.js[DEL],
	  web/jquery/jquery-migrate-1.2.1.js[ADD],
	  web/jquery/jquery-migrate-1.2.1.min.js[ADD], web/js.inc:
	  
	  Upgraded to jQuery 1.11.0, fixing SF Bugs #293 in the process

2014-01-29 14:47  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2808] web/grab_globals.inc.php:
	  
	  Simplified code

2014-01-29 09:06  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2807] web/lang/lang.id[ADD], web/language.inc:
	  
	  Added Bahasa Indonesian translation. Thanks to Gibransyah Fakhri.
	  See SF Patches #44.

2014-01-29 08:49  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2806] web/systemdefaults.inc.php:
	  
	  Updated comment on changing type colours

2014-01-24 20:05  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2805] web/internalconfig.inc.php:
	  
	  Added missing commas. See SF Bugs #292

2014-01-20 20:59  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2804] web/js/datepicker.js.php:
	  
	  Allowed datepickers to be edited manually. See SF Bugs #291

2014-01-17 14:25  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2803] tables.my.pre41.sql, tables.my.sql, tables.pg.pre73.sql,
	  tables.pg.sql, web/dbsys.inc, web/edit_entry_handler.php,
	  web/functions_view.inc, web/internalconfig.inc.php,
	  web/lang/lang.en, web/lang/lang.it, web/mrbs_sql.inc,
	  web/upgrade/36[ADD], web/upgrade/36/mysql.sql[ADD],
	  web/upgrade/36/pgsql.sql[ADD]:
	  
	  Added 'modified_by' field so you can see who last modified an
	  entry

2014-01-15 21:29  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2802] web/upgrade.inc:
	  
	  Fixed upgrade.inc to work with multiple schemas

2014-01-15 20:50  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2801] web/pgsql.inc:
	  
	  Fixed sql_pgsql_table_exists() when used with a database
	  containing multiple schemas.

2014-01-09 15:24  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2800] web/dbsys.inc:
	  
	  Minor improvement on previous change. Qualified table names are
	  now formed for all databases other than MySQL, rather than just
	  for PostgreSQL. As most databases other than MySQL seem to
	  support schemas this will mean that should support for other
	  databases be added in the future the code is more likely to work.

2014-01-09 12:44  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2799] web/config.inc.php, web/dbsys.inc, web/pgsql.inc,
	  web/systemdefaults.inc.php:
	  
	  Added the ability to specify a schema as a database config
	  variable and thus the ability for MRBS to work with databases
	  containing multiple schemas (only applicable to PostgreSQL). See
	  SF Support Requests #431.

2013-12-13 13:52  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2798] web/approve_entry_handler.php:
	  
	  Fixed a bug whereby the room id wasn't being passed through to
	  approve_entry_handler.php. The bug doesn't manifest itself in
	  standard MRBS but does if you're extending auth_book_admin() to
	  make use of the room parameter.

2013-12-10 10:40  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2797] web/internalconfig.inc.php:
	  
	  Fixed problem causing a warning about the timezone not having
	  been set. The problem only manifests itself if the timezone
	  hasn't been set by php.ini using date.timezone. Most php.ini
	  files do this, but some don't.

2013-11-28 09:47  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2796] web/systemdefaults.inc.php:
	  
	  Replicated changes from Rev 2793 and 2794 to the systemdefaults
	  file and also extended to 'db_ext' settings

2013-11-28 09:20  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2795] web/config.inc.php:
	  
	  Improved comments in the config file. See SF Support Requests
	  #423

2013-11-27 19:44  John Beranek <jberanek@users.sourceforge.net>

	* [r2794] web/config.inc.php:
	  
	  Clarified $db_host setting when used with mysql/mysqli.

2013-11-27 19:34  John Beranek <jberanek@users.sourceforge.net>

	* [r2793] web/config.inc.php:
	  
	  Added an example of setting $db_port into config.inc.php.

2013-11-27 09:46  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2792] web/systemdefaults.inc.php:
	  
	  Corrected error in comment

2013-11-27 09:35  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2791] web/lang/lang.en, web/mrbs_sql.inc,
	  web/systemdefaults.inc.php:
	  
	  Implemented an earliest booking date using absolute dates,
	  controlled by the new config variables $min_booking_date_enabled
	  and $min_booking_date

2013-11-26 09:25  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2790] web/month.php:
	  
	  Removed redundant code

2013-11-26 09:24  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2789] web/functions_table.inc:
	  
	  Improved error reporting in the week view when there are no rooms

2013-11-25 20:36  John Beranek <jberanek@users.sourceforge.net>

	* [r2788] convert_db_to_utf8.php:
	  
	  Added passing of $db_port to sql_connect() call in
	  convert_db_to_utf8. See [support-requests:#365].

2013-11-25 20:32  John Beranek <jberanek@users.sourceforge.net>

	* [r2787] web/dbsys.inc:
	  
	  Make sql_connect() take an optional port parameter.

2013-11-25 18:30  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2786] web/dbsys.inc:
	  
	  Fixed bug where $db_port was being ignored in the upgrade
	  process. See SF Support Requests #365

2013-11-21 11:23  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2785] web/css/mrbs.css.php:
	  
	  Fixed problem with alignment of room and area selects in the week
	  and month views. Thanks to William Haller.

2013-11-21 10:48  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2784] convert_db_to_utf8.php, testdata.php, web/Blowfish.php,
	  web/Blowfish/DefaultKey.php, web/File/Passwd.php,
	  web/File/Passwd/Authbasic.php, web/File/Passwd/Authdigest.php,
	  web/File/Passwd/Common.php, web/File/Passwd/Custom.php,
	  web/File/Passwd/Cvs.php, web/File/Passwd/Smb.php,
	  web/File/Passwd/Unix.php, web/PEAR.php,
	  web/Themes/classic126/styling.inc, web/Themes/default/header.inc,
	  web/Themes/default/styling.inc, web/add.php, web/admin.php,
	  web/approve_entry_handler.php, web/auth/auth_auth_basic.inc,
	  web/auth/auth_config.inc, web/auth/auth_crypt.inc,
	  web/auth/auth_db.inc, web/auth/auth_db_ext.inc,
	  web/auth/auth_ext.inc, web/auth/auth_imap.inc,
	  web/auth/auth_imap_php.inc, web/auth/auth_ldap.inc,
	  web/auth/auth_nis.inc, web/auth/auth_none.inc,
	  web/auth/auth_nw.inc, web/auth/auth_pop3.inc,
	  web/auth/auth_smtp.inc, web/check_slot_ajax.php,
	  web/config.inc.php, web/day.php, web/defaultincludes.inc,
	  web/del.php, web/del_entry.php, web/del_entry_ajax.php,
	  web/edit_area_room.php, web/edit_entry.php,
	  web/edit_entry_handler.php, web/edit_users.php,
	  web/escapeshellarg.inc, web/functions.inc,
	  web/functions_ical.inc, web/functions_mail.inc,
	  web/functions_view.inc, web/grab_globals.inc.php, web/help.php,
	  web/import.php, web/index.php, web/internalconfig.inc.php,
	  web/js/refresh.js.php, web/lang/lang.ca, web/lang/lang.cs,
	  web/lang/lang.da, web/lang/lang.de, web/lang/lang.el,
	  web/lang/lang.en, web/lang/lang.es, web/lang/lang.eu,
	  web/lang/lang.fi, web/lang/lang.fr, web/lang/lang.he,
	  web/lang/lang.hu, web/lang/lang.it, web/lang/lang.ja,
	  web/lang/lang.ko, web/lang/lang.nl, web/lang/lang.no,
	  web/lang/lang.pt, web/lang/lang.pt-br, web/lang/lang.ru,
	  web/lang/lang.sl, web/lang/lang.sr-rs-latin, web/lang/lang.sv,
	  web/lang/lang.th, web/lang/lang.tr, web/lang/lang.zh-cn,
	  web/lang/lang.zh-tw, web/language.inc, web/mincals.inc,
	  web/month.php, web/mrbs_auth.inc, web/mrbs_sql.inc,
	  web/mysql.inc, web/mysqli.inc, web/pending.php, web/pgsql.inc,
	  web/record_activity_ajax.php, web/report.php, web/search.php,
	  web/session/session_cookie.inc, web/session/session_host.inc,
	  web/session/session_http.inc, web/session/session_ip.inc,
	  web/session/session_nt.inc, web/session/session_omni.inc,
	  web/session/session_php.inc, web/session/session_remote_user.inc,
	  web/standard_vars.inc.php, web/style.inc,
	  web/systemdefaults.inc.php, web/theme.inc, web/trailer.inc,
	  web/upgrade.inc, web/upgrade/13/post.inc,
	  web/upgrade/15/post.inc, web/upgrade/16/post.inc,
	  web/upgrade/17/post.inc, web/upgrade/2/post.inc,
	  web/upgrade/21/post.inc, web/upgrade/24/post.inc,
	  web/upgrade/32/post.inc, web/upgrade/34/post.inc,
	  web/upgrade/4/post.inc, web/upgrade/5/post.inc,
	  web/upgrade/6/post.inc, web/upgrade/7/post.inc,
	  web/upgrade/8/post.inc, web/version.inc, web/view_entry.php,
	  web/week.php:
	  
	  Removed closing PHP tags (?>) at the ends of files as they are
	  unnecessary and can cause problems with unexpected output (eg see
	  SF Bugs #288)

2013-11-20 12:06  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2783] web/report.php:
	  
	  Prevented output of headers when running reports in CLI mode.
	  Thanks to William Haller.

2013-11-14 11:23  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2781] web/site_faq/site_faq_cs.html[ADD]:
	  
	  Added Czech help file. Thanks to tachec. See
	  https://sourceforge.net/p/mrbs/patches/43/.

2013-11-13 10:13  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2780] web/lang/lang.cs:
	  
	  Updated Czech translation. See
	  https://sourceforge.net/p/mrbs/patches/42/

2013-11-07 15:20  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2779] web/auth/auth_db_ext.inc, web/systemdefaults.inc.php:
	  
	  Allowed use of non-standard port numbers when using 'db_ext'
	  authentication

2013-11-07 15:09  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2778] web/mysqli.inc:
	  
	  Removed debugging info when using $db_port with mysqli

2013-11-07 15:02  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2777] web/mysql.inc:
	  
	  Fixed bug when using $db_port with mysql

2013-11-07 14:46  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2776] web/dbsys.inc, web/mysql.inc, web/mysqli.inc,
	  web/pgsql.inc:
	  
	  Tidied up quoting of identifiers

2013-11-07 14:32  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2775] web/auth/auth_db_ext.inc:
	  
	  Added quoting of table and column names when using 'db_ext'
	  authentication

2013-11-07 14:25  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2774] web/auth/auth_db_ext.inc:
	  
	  Improved error reporting when using 'db_ext' authentication

2013-11-07 13:52  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2773] web/auth/auth_db_ext.inc, web/systemdefaults.inc.php:
	  
	  Changed default database system for 'db_ext' authentication from
	  mysql to mysqli (mysql is deprecated from PHP 5.5)

2013-10-18 15:59  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2772] web/edit_users.php:
	  
	  Fixed checking of password length when using multibyte characters

2013-10-18 15:53  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2771] web/mrbs_sql.inc:
	  
	  Fixed truncation of room and area names when using multi-byte
	  characters

2013-10-18 15:49  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2770] web/admin.php:
	  
	  Fixed truncation of multi-byte characters on the admin page

2013-10-18 15:38  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2769] web/edit_users.php:
	  
	  Fixed truncation of maxlength fields on the Add user form to
	  cater for multi-byte characters

2013-10-18 15:35  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2768] web/edit_entry.php, web/functions.inc:
	  
	  Added the ability to set a maxlength on textareas, including the
	  Description field on the edit_entry form.

2013-10-18 15:20  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2767] web/edit_entry_handler.php:
	  
	  Added comment

2013-10-18 15:09  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2766] web/edit_entry.php, web/edit_entry_handler.php,
	  web/systemdefaults.inc.php:
	  
	  Added the ability to set a maxlength attribute for custom fields
	  on the edit_entry page (see SF Feature Requests #230). At the
	  same time fixed handling of maxlength fields on the edit_entry
	  page for multi-byte characters.

2013-10-16 21:02  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2765] web/systemdefaults.inc.php:
	  
	  Added some comments about the use of associative arrays for
	  $select_options (see SF Bugs 282)

2013-10-02 20:15  John Beranek <jberanek@users.sourceforge.net>

	* [r2764] web/mysql.inc, web/mysqli.inc, web/pgsql.inc,
	  web/systemdefaults.inc.php:
	  
	  Added ability to specify the config variable $db_port, see
	  [support-requests:#365].

2013-09-30 09:57  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2763] web/functions_ical.inc:
	  
	  Fixed bug when exporting an individual entry of a series. Thanks
	  to Quique. See SF Patches #41

2013-09-21 13:37  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2762] web/report.php:
	  
	  Fixed bug when exporting monthly repeats in ical format (see SF
	  bugs #281)

2013-09-13 13:21  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2761] web/view_entry.php:
	  
	  Removed redundant code

2013-09-13 13:12  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2760] web/view_entry.php:
	  
	  Fixed bug causing the approval buttons not to be displayed on the
	  view_entry page in some circumstances (see SF Support Requests
	  #356)

2013-09-12 14:22  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2759] web/lang/lang.fr:
	  
	  Added to French translation (see SF Patches #40)

2013-09-11 19:57  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2758] web/edit_area_room.php:
	  
	  Fixed bug whereby custom HTML for a room was not being saved (see
	  SF Support requests #384)

2013-09-06 08:17  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2757] web/style.inc:
	  
	  Fixed last change to allow remote URLs (see SF Support Requests
	  #381)

2013-09-05 13:41  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2756] web/css/mrbs.css.php:
	  
	  Replaced tab with spaces

2013-09-05 13:09  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2755] web/style.inc, web/systemdefaults.inc.php:
	  
	  Added ability to use custom CSS files. See SF Support requests
	  #381.

2013-08-22 15:11  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2754] web/lang/lang.nl:
	  
	  Corrected confusing Dutch translation for "Repeat every". See SF
	  Bugs 279

2013-08-21 08:54  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2753] web/js/edit_entry.js.php:
	  
	  Fixed problem with use of indexOf() mdethod on arrays, which is
	  not supported by IE8 and below. See SF Bugs #280.

2013-08-07 08:07  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2752] web/language.inc:
	  
	  Removed another undefined index problem

2013-08-07 08:00  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2751] web/language.inc:
	  
	  Removed an undefined index problem

2013-08-06 17:52  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2750] web/language.inc:
	  
	  Added support for Estonian in Windows

2013-08-06 17:31  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2749] web/language.inc:
	  
	  Added an Estonian locale mapping for Unix. See SF Bugs #277

2013-07-22 12:21  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2746] web/internalconfig.inc.php:
	  
	  Fixed problem with Strict error messages being generated when
	  mail messages are sent using PHP versions < 5.4. See SF Support
	  Requests #367

2013-07-21 18:55  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2745] web/js.inc:
	  
	  Replaced use of deprecated jQuery .load() method

2013-07-21 18:47  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2744] web/js/resizable.js.php:
	  
	  Replaced use of deprecated jQuery .andSelf() method

2013-07-21 18:28  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2743] web/js/pending.js.php:
	  
	  Replaced use of deprecated jQuery .live() method

2013-07-21 10:58  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2742] web/day.php, web/edit_entry_handler.php,
	  web/js/edit_entry.js.php, web/js/general.js.php,
	  web/js/refresh.js.php, web/mrbs_auth.inc,
	  web/record_activity_ajax.php[ADD], web/session/session_php.inc,
	  web/systemdefaults.inc.php, web/week.php:
	  
	  Implemented an inactivity time out that will log users out after
	  a period of inactivity, set by the config variable
	  $auth["session_php"]["inactivity_expire_time"]. Only implemented
	  for the 'php' session scheme

2013-07-16 09:27  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2741] web/mrbs_sql.inc:
	  
	  Fixed undefined variable problem

2013-07-08 20:29  John Beranek <jberanek@users.sourceforge.net>

	* [r2740] web/version.inc:
	  
	  Updated version number post-release.

2013-07-08 20:26  John Beranek <jberanek@users.sourceforge.net>

	* [r2737] web/version.inc:
	  
	  Updated version number for release.

2013-07-08 20:13  John Beranek <jberanek@users.sourceforge.net>

	* [r2735] ChangeLog, NEWS:
	  
	  Updated NEWS and ChangeLog for release

2013-06-10 16:47  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2733] web/dbsys.inc, web/edit_area_room.php,
	  web/edit_users.php, web/mrbs_sql.inc, web/mysql.inc,
	  web/mysqli.inc, web/pgsql.inc:
	  
	  Fixed bug when using an SQL reserved word as a custom field name

2013-05-23 09:07  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2732] web/internalconfig.inc.php:
	  
	  Disabled E_STRICT errors (see SF Bugs #272)

2013-05-20 13:27  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2731] web/functions_mail.inc:
	  
	  Fixed bug causing error messages when there are no mail
	  recipients. Thanks to Tuomas. See SF Patches #37

2013-05-20 12:41  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2730] web/lang/lang.fi:
	  
	  Updated Finnish translation. Thanks to Tuomas. See SF Patches #38

2013-03-14 09:38  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2724] web/mrbs_sql.inc:
	  
	  Fixed bug when approving bookings and using PostgreSQL (removed
	  LIMIT clauses from UPDATE statements as they are not supported by
	  PostgreSQL)

2013-03-12 16:36  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2721] web/functions_ical.inc, web/mrbs_sql.inc,
	  web/view_entry.php:
	  
	  Made Export Series work with monthly repeats (it got broken when
	  the new monthly repeat types were introduced)

2013-03-11 14:15  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2717] web/systemdefaults.inc.php:
	  
	  Fixed typo in comment

2013-03-10 18:04  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2716] web/js/refresh.js.php, web/js/resizable.js.php:
	  
	  Fixed bug causing the "Goto" datepicker to be reset if it was
	  open at the time the booking table was refreshed.

2013-03-07 16:35  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2713] web/site_faq/site_faq_sv.html[ADD]:
	  
	  Added a Swedish site_faq. Thanks to Anders Henhammar.

2013-03-07 16:29  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2712] web/help.php, web/site_faq[ADD], web/site_faq.html[DEL],
	  web/site_faq/site_faq.html[CPY],
	  web/site_faq/site_faq_de.html[CPY],
	  web/site_faq/site_faq_es.html[CPY],
	  web/site_faq/site_faq_fr.html[CPY],
	  web/site_faq/site_faq_it.html[CPY],
	  web/site_faq/site_faq_nl.html[CPY], web/site_faq_de.html[DEL],
	  web/site_faq_es.html[DEL], web/site_faq_fr.html[DEL],
	  web/site_faq_it.html[DEL], web/site_faq_nl.html[DEL]:
	  
	  Moved the site_faq files into their own directory

2013-03-07 16:13  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2711] web/lang/lang.sv:
	  
	  Updated Swedish translation. Thanks to Anders Henhammar.

2013-02-20 14:55  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2706] web/view_entry.php:
	  
	  Fixed incorrect quoting of id column, resulting in error messages
	  when running under PostgreSQL. See SF bugs #266

2013-02-15 19:04  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2703] web/js/edit_entry.js.php:
	  
	  Fixed bug resulting in no end time options being offered if there
	  is only one enabled area.

2013-02-15 17:01  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2702] web/edit_area_room.php, web/edit_entry.php,
	  web/edit_entry_handler.php, web/functions.inc,
	  web/functions_table.inc, web/internalconfig.inc.php,
	  web/js/edit_area_room.js.php, web/js/edit_entry.js.php,
	  web/mincals.inc, web/mrbs_sql.inc, web/report.php:
	  
	  Introduced constants for SECONDS_PER_DAY etc.

2013-02-15 14:41  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2701] web/edit_entry.php, web/edit_entry_handler.php,
	  web/functions.inc, web/functions_table.inc:
	  
	  Fixed various issues with booking days spanning midnight,
	  including a problem with checking the All Day checkbox (see SF
	  Bugs #236 part (3))

2013-02-15 13:02  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2700] web/report.php:
	  
	  Fixed some label problems on the report page. See SF Bugs #265

2013-02-15 09:04  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2699] web/js/edit_entry.js.php:
	  
	  Fixed bug causing slots to be described as "n days, 24 hours"
	  instead of "n+1 days". See SF bugs #236 part (1).

2013-02-15 08:31  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2698] web/js/edit_entry.js.php:
	  
	  Fixed bug causing slots to be reported as 'n days, 0 minutes'
	  instead of 'n days'

2013-02-14 11:28  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2697] web/functions.inc:
	  
	  Fixed typo in comment

2013-02-14 11:23  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2696] web/edit_area_room.php:
	  
	  Fixed last change properly

2013-02-14 10:51  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2695] web/edit_area_room.php, web/internalconfig.inc.php:
	  
	  Fixed bug causing incorrect checking of resolution and number of
	  slots when the booking day stretches past midnight.

2013-02-11 08:51  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2694] web/js/resizable.js.php:
	  
	  Made sure that page refresh isn't restarted while we are in the
	  middle of a drag selection when we pass over the handles for
	  resizable bookings

2013-02-11 07:30  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2693] web/js/resizable.js.php:
	  
	  Improved performance of drag selection, especially with large
	  tables

2013-02-10 19:06  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2692] web/js/refresh.js.php:
	  
	  Restructured code

2013-02-10 18:44  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2691] web/js/refresh.js.php, web/js/resizable.js.php:
	  
	  Prevented page refresh when the mouse is hovering over a resize
	  handler (ie the user is about to start a resize)

2013-02-10 13:30  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2690] web/js/refresh.js.php:
	  
	  Fixed a bug causing multiple timers to be fired when the page is
	  hidden and then unhidden

2013-02-10 12:33  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2689] web/js/refresh.js.php, web/js/resizable.js.php:
	  
	  Fixed bug causing interval timer to stop occasionally

2013-02-10 11:37  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2688] web/js.inc, web/js/refresh.js.php,
	  web/js/resizable.js.php:
	  
	  Disabled page refreshing while resizing is in progress

2013-02-09 07:18  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2687] web/js/datepicker.js.php:
	  
	  Fixed bug causing clicking outside the datepicker to result in
	  date selection, rather than cancelling the datepicker. See SF
	  Bugs #263

2013-02-08 15:04  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2686] web/js/resizable.js.php:
	  
	  Fixed bug introduced in Rev 2671 preventing resizing of bookings
	  in the week view. See SF bugs #262

2013-02-05 16:40  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2684] web/lang/lang.it:
	  
	  Updated Italian translation. Provided by Diego Zuccato

2013-02-05 16:39  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2683] web/lang/lang.en:
	  
	  Tweaked formatting

2013-02-05 15:45  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2682] web/del_entry_ajax.php, web/mrbs_sql.inc:
	  
	  Fixed bug whereby the repeat entry row is not deleted if you do a
	  bulk delete from the Report page of all the entries in a series
	  (see SF bugs #260)

2013-02-03 22:28  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2680] web/js/edit_entry.js.php, web/js/refresh.js.php:
	  
	  Added comments

2013-02-03 14:11  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2678] web/js/functions.js.php:
	  
	  Fixed bug in last commit

2013-02-03 13:59  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2677] web/js/edit_entry.js.php, web/js/functions.js.php,
	  web/js/refresh.js.php:
	  
	  Disabled Ajax conflict checking and day/week/month page refresh
	  when the page is not visible (subject to browser support of page
	  visibility)

2013-02-01 21:05  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2673] web/edit_entry.php, web/edit_entry_handler.php,
	  web/lang/lang.en:
	  
	  Added client and server side validation to check that at least
	  one room is selected. (See SF Bugs #259)

2013-02-01 19:10  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2671] web/edit_entry.php, web/edit_entry_handler.php:
	  
	  Fixed bug where no room was selected on changing area. See SF
	  bugs #259

2013-02-01 18:20  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2670] web/js/edit_entry.js.php:
	  
	  Fixed bug causing time selectors not to work properly after the
	  area has been changed. See SF bugs #258

2013-01-31 20:23  John Beranek <jberanek@users.sourceforge.net>

	* [r2669] web/session/session_cookie.inc:
	  
	  Fixed warnings/errors from require_once() calls in
	  session_cookie.inc.

2013-01-23 12:20  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2655] web/lang/lang.da:
	  
	  Fixed typo

2013-01-23 12:17  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2654] web/lang/lang.da:
	  
	  Updated Danish translation. Thanks to Søren O`Neill

2013-01-12 18:05  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2641] web/js/edit_entry.js.php:
	  
	  Fixed a bug causing Ajax conflict testing not to work after a
	  failed HTML5 form validation event

2013-01-08 15:34  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2639] web/js/edit_entry.js.php:
	  
	  Slightly cleaner version of the fix in Rev 2637

2013-01-08 15:00  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2638] web/lang/lang.nl:
	  
	  Fixed another typo. Thanks to Dieter Adriaenssens - see SF
	  Patches #35

2013-01-08 14:55  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2637] web/js/edit_entry.js.php:
	  
	  Fixed bug preventing singular form of the duration units being
	  shown

2013-01-08 14:34  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2636] web/lang/lang.nl:
	  
	  Fixed typo. Thanks to Dieter Adriaenssens - see SF Patches #35

2013-01-03 21:41  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2632] web/config.inc.php, web/systemdefaults.inc.php:
	  
	  Changed default $dbsys to 'mysqli' from 'mysql', which is now
	  deprecated in PHP 5.5.0

2012-12-30 17:27  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2627] web/js/datatables.js.php, web/js/edit_entry.js.php,
	  web/js/pending.js.php, web/js/report.js.php:
	  
	  Fixed some JSHint problems

2012-12-19 16:36  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2606] web/tzurl/zoneinfo-outlook/Africa/Abidjan.ics,
	  web/tzurl/zoneinfo-outlook/Africa/Accra.ics,
	  web/tzurl/zoneinfo-outlook/Africa/Addis_Ababa.ics,
	  web/tzurl/zoneinfo-outlook/Africa/Algiers.ics,
	  web/tzurl/zoneinfo-outlook/Africa/Asmara.ics,
	  web/tzurl/zoneinfo-outlook/Africa/Bamako.ics,
	  web/tzurl/zoneinfo-outlook/Africa/Bangui.ics,
	  web/tzurl/zoneinfo-outlook/Africa/Banjul.ics,
	  web/tzurl/zoneinfo-outlook/Africa/Bissau.ics,
	  web/tzurl/zoneinfo-outlook/Africa/Blantyre.ics,
	  web/tzurl/zoneinfo-outlook/Africa/Brazzaville.ics,
	  web/tzurl/zoneinfo-outlook/Africa/Bujumbura.ics,
	  web/tzurl/zoneinfo-outlook/Africa/Cairo.ics,
	  web/tzurl/zoneinfo-outlook/Africa/Casablanca.ics,
	  web/tzurl/zoneinfo-outlook/Africa/Ceuta.ics,
	  web/tzurl/zoneinfo-outlook/Africa/Conakry.ics,
	  web/tzurl/zoneinfo-outlook/Africa/Dakar.ics,
	  web/tzurl/zoneinfo-outlook/Africa/Dar_es_Salaam.ics,
	  web/tzurl/zoneinfo-outlook/Africa/Djibouti.ics,
	  web/tzurl/zoneinfo-outlook/Africa/Douala.ics,
	  web/tzurl/zoneinfo-outlook/Africa/El_Aaiun.ics,
	  web/tzurl/zoneinfo-outlook/Africa/Freetown.ics,
	  web/tzurl/zoneinfo-outlook/Africa/Gaborone.ics,
	  web/tzurl/zoneinfo-outlook/Africa/Harare.ics,
	  web/tzurl/zoneinfo-outlook/Africa/Johannesburg.ics,
	  web/tzurl/zoneinfo-outlook/Africa/Juba.ics,
	  web/tzurl/zoneinfo-outlook/Africa/Kampala.ics,
	  web/tzurl/zoneinfo-outlook/Africa/Khartoum.ics,
	  web/tzurl/zoneinfo-outlook/Africa/Kigali.ics,
	  web/tzurl/zoneinfo-outlook/Africa/Kinshasa.ics,
	  web/tzurl/zoneinfo-outlook/Africa/Lagos.ics,
	  web/tzurl/zoneinfo-outlook/Africa/Libreville.ics,
	  web/tzurl/zoneinfo-outlook/Africa/Lome.ics,
	  web/tzurl/zoneinfo-outlook/Africa/Luanda.ics,
	  web/tzurl/zoneinfo-outlook/Africa/Lubumbashi.ics,
	  web/tzurl/zoneinfo-outlook/Africa/Lusaka.ics,
	  web/tzurl/zoneinfo-outlook/Africa/Malabo.ics,
	  web/tzurl/zoneinfo-outlook/Africa/Maputo.ics,
	  web/tzurl/zoneinfo-outlook/Africa/Maseru.ics,
	  web/tzurl/zoneinfo-outlook/Africa/Mbabane.ics,
	  web/tzurl/zoneinfo-outlook/Africa/Mogadishu.ics,
	  web/tzurl/zoneinfo-outlook/Africa/Monrovia.ics,
	  web/tzurl/zoneinfo-outlook/Africa/Nairobi.ics,
	  web/tzurl/zoneinfo-outlook/Africa/Ndjamena.ics,
	  web/tzurl/zoneinfo-outlook/Africa/Niamey.ics,
	  web/tzurl/zoneinfo-outlook/Africa/Nouakchott.ics,
	  web/tzurl/zoneinfo-outlook/Africa/Ouagadougou.ics,
	  web/tzurl/zoneinfo-outlook/Africa/Porto-Novo.ics,
	  web/tzurl/zoneinfo-outlook/Africa/Sao_Tome.ics,
	  web/tzurl/zoneinfo-outlook/Africa/Tripoli.ics,
	  web/tzurl/zoneinfo-outlook/Africa/Tunis.ics,
	  web/tzurl/zoneinfo-outlook/Africa/Windhoek.ics,
	  web/tzurl/zoneinfo-outlook/America/Adak.ics,
	  web/tzurl/zoneinfo-outlook/America/Anchorage.ics,
	  web/tzurl/zoneinfo-outlook/America/Anguilla.ics,
	  web/tzurl/zoneinfo-outlook/America/Antigua.ics,
	  web/tzurl/zoneinfo-outlook/America/Araguaina.ics,
	  web/tzurl/zoneinfo-outlook/America/Argentina/Buenos_Aires.ics,
	  web/tzurl/zoneinfo-outlook/America/Argentina/Catamarca.ics,
	  web/tzurl/zoneinfo-outlook/America/Argentina/Cordoba.ics,
	  web/tzurl/zoneinfo-outlook/America/Argentina/Jujuy.ics,
	  web/tzurl/zoneinfo-outlook/America/Argentina/La_Rioja.ics,
	  web/tzurl/zoneinfo-outlook/America/Argentina/Mendoza.ics,
	  web/tzurl/zoneinfo-outlook/America/Argentina/Rio_Gallegos.ics,
	  web/tzurl/zoneinfo-outlook/America/Argentina/Salta.ics,
	  web/tzurl/zoneinfo-outlook/America/Argentina/San_Juan.ics,
	  web/tzurl/zoneinfo-outlook/America/Argentina/San_Luis.ics,
	  web/tzurl/zoneinfo-outlook/America/Argentina/Tucuman.ics,
	  web/tzurl/zoneinfo-outlook/America/Argentina/Ushuaia.ics,
	  web/tzurl/zoneinfo-outlook/America/Aruba.ics,
	  web/tzurl/zoneinfo-outlook/America/Asuncion.ics,
	  web/tzurl/zoneinfo-outlook/America/Atikokan.ics,
	  web/tzurl/zoneinfo-outlook/America/Bahia.ics,
	  web/tzurl/zoneinfo-outlook/America/Bahia_Banderas.ics,
	  web/tzurl/zoneinfo-outlook/America/Barbados.ics,
	  web/tzurl/zoneinfo-outlook/America/Belem.ics,
	  web/tzurl/zoneinfo-outlook/America/Belize.ics,
	  web/tzurl/zoneinfo-outlook/America/Blanc-Sablon.ics,
	  web/tzurl/zoneinfo-outlook/America/Boa_Vista.ics,
	  web/tzurl/zoneinfo-outlook/America/Bogota.ics,
	  web/tzurl/zoneinfo-outlook/America/Boise.ics,
	  web/tzurl/zoneinfo-outlook/America/Cambridge_Bay.ics,
	  web/tzurl/zoneinfo-outlook/America/Campo_Grande.ics,
	  web/tzurl/zoneinfo-outlook/America/Cancun.ics,
	  web/tzurl/zoneinfo-outlook/America/Caracas.ics,
	  web/tzurl/zoneinfo-outlook/America/Cayenne.ics,
	  web/tzurl/zoneinfo-outlook/America/Cayman.ics,
	  web/tzurl/zoneinfo-outlook/America/Chicago.ics,
	  web/tzurl/zoneinfo-outlook/America/Chihuahua.ics,
	  web/tzurl/zoneinfo-outlook/America/Costa_Rica.ics,
	  web/tzurl/zoneinfo-outlook/America/Creston.ics[ADD],
	  web/tzurl/zoneinfo-outlook/America/Cuiaba.ics,
	  web/tzurl/zoneinfo-outlook/America/Curacao.ics,
	  web/tzurl/zoneinfo-outlook/America/Danmarkshavn.ics,
	  web/tzurl/zoneinfo-outlook/America/Dawson.ics,
	  web/tzurl/zoneinfo-outlook/America/Dawson_Creek.ics,
	  web/tzurl/zoneinfo-outlook/America/Denver.ics,
	  web/tzurl/zoneinfo-outlook/America/Detroit.ics,
	  web/tzurl/zoneinfo-outlook/America/Dominica.ics,
	  web/tzurl/zoneinfo-outlook/America/Edmonton.ics,
	  web/tzurl/zoneinfo-outlook/America/Eirunepe.ics,
	  web/tzurl/zoneinfo-outlook/America/El_Salvador.ics,
	  web/tzurl/zoneinfo-outlook/America/Fortaleza.ics,
	  web/tzurl/zoneinfo-outlook/America/Glace_Bay.ics,
	  web/tzurl/zoneinfo-outlook/America/Godthab.ics,
	  web/tzurl/zoneinfo-outlook/America/Goose_Bay.ics,
	  web/tzurl/zoneinfo-outlook/America/Grand_Turk.ics,
	  web/tzurl/zoneinfo-outlook/America/Grenada.ics,
	  web/tzurl/zoneinfo-outlook/America/Guadeloupe.ics,
	  web/tzurl/zoneinfo-outlook/America/Guatemala.ics,
	  web/tzurl/zoneinfo-outlook/America/Guayaquil.ics,
	  web/tzurl/zoneinfo-outlook/America/Guyana.ics,
	  web/tzurl/zoneinfo-outlook/America/Halifax.ics,
	  web/tzurl/zoneinfo-outlook/America/Havana.ics,
	  web/tzurl/zoneinfo-outlook/America/Hermosillo.ics,
	  web/tzurl/zoneinfo-outlook/America/Indiana/Indianapolis.ics,
	  web/tzurl/zoneinfo-outlook/America/Indiana/Knox.ics,
	  web/tzurl/zoneinfo-outlook/America/Indiana/Marengo.ics,
	  web/tzurl/zoneinfo-outlook/America/Indiana/Petersburg.ics,
	  web/tzurl/zoneinfo-outlook/America/Indiana/Tell_City.ics,
	  web/tzurl/zoneinfo-outlook/America/Indiana/Vevay.ics,
	  web/tzurl/zoneinfo-outlook/America/Indiana/Vincennes.ics,
	  web/tzurl/zoneinfo-outlook/America/Indiana/Winamac.ics,
	  web/tzurl/zoneinfo-outlook/America/Inuvik.ics,
	  web/tzurl/zoneinfo-outlook/America/Iqaluit.ics,
	  web/tzurl/zoneinfo-outlook/America/Jamaica.ics,
	  web/tzurl/zoneinfo-outlook/America/Juneau.ics,
	  web/tzurl/zoneinfo-outlook/America/Kentucky/Louisville.ics,
	  web/tzurl/zoneinfo-outlook/America/Kentucky/Monticello.ics,
	  web/tzurl/zoneinfo-outlook/America/Kralendijk.ics,
	  web/tzurl/zoneinfo-outlook/America/La_Paz.ics,
	  web/tzurl/zoneinfo-outlook/America/Lima.ics,
	  web/tzurl/zoneinfo-outlook/America/Los_Angeles.ics,
	  web/tzurl/zoneinfo-outlook/America/Lower_Princes.ics,
	  web/tzurl/zoneinfo-outlook/America/Maceio.ics,
	  web/tzurl/zoneinfo-outlook/America/Managua.ics,
	  web/tzurl/zoneinfo-outlook/America/Manaus.ics,
	  web/tzurl/zoneinfo-outlook/America/Marigot.ics,
	  web/tzurl/zoneinfo-outlook/America/Martinique.ics,
	  web/tzurl/zoneinfo-outlook/America/Matamoros.ics,
	  web/tzurl/zoneinfo-outlook/America/Mazatlan.ics,
	  web/tzurl/zoneinfo-outlook/America/Menominee.ics,
	  web/tzurl/zoneinfo-outlook/America/Merida.ics,
	  web/tzurl/zoneinfo-outlook/America/Metlakatla.ics,
	  web/tzurl/zoneinfo-outlook/America/Mexico_City.ics,
	  web/tzurl/zoneinfo-outlook/America/Miquelon.ics,
	  web/tzurl/zoneinfo-outlook/America/Moncton.ics,
	  web/tzurl/zoneinfo-outlook/America/Monterrey.ics,
	  web/tzurl/zoneinfo-outlook/America/Montevideo.ics,
	  web/tzurl/zoneinfo-outlook/America/Montreal.ics,
	  web/tzurl/zoneinfo-outlook/America/Montserrat.ics,
	  web/tzurl/zoneinfo-outlook/America/Nassau.ics,
	  web/tzurl/zoneinfo-outlook/America/New_York.ics,
	  web/tzurl/zoneinfo-outlook/America/Nipigon.ics,
	  web/tzurl/zoneinfo-outlook/America/Nome.ics,
	  web/tzurl/zoneinfo-outlook/America/Noronha.ics,
	  web/tzurl/zoneinfo-outlook/America/North_Dakota/Beulah.ics,
	  web/tzurl/zoneinfo-outlook/America/North_Dakota/Center.ics,
	  web/tzurl/zoneinfo-outlook/America/North_Dakota/New_Salem.ics,
	  web/tzurl/zoneinfo-outlook/America/Ojinaga.ics,
	  web/tzurl/zoneinfo-outlook/America/Panama.ics,
	  web/tzurl/zoneinfo-outlook/America/Pangnirtung.ics,
	  web/tzurl/zoneinfo-outlook/America/Paramaribo.ics,
	  web/tzurl/zoneinfo-outlook/America/Phoenix.ics,
	  web/tzurl/zoneinfo-outlook/America/Port-au-Prince.ics,
	  web/tzurl/zoneinfo-outlook/America/Port_of_Spain.ics,
	  web/tzurl/zoneinfo-outlook/America/Porto_Velho.ics,
	  web/tzurl/zoneinfo-outlook/America/Puerto_Rico.ics,
	  web/tzurl/zoneinfo-outlook/America/Rainy_River.ics,
	  web/tzurl/zoneinfo-outlook/America/Rankin_Inlet.ics,
	  web/tzurl/zoneinfo-outlook/America/Recife.ics,
	  web/tzurl/zoneinfo-outlook/America/Regina.ics,
	  web/tzurl/zoneinfo-outlook/America/Resolute.ics,
	  web/tzurl/zoneinfo-outlook/America/Rio_Branco.ics,
	  web/tzurl/zoneinfo-outlook/America/Santa_Isabel.ics,
	  web/tzurl/zoneinfo-outlook/America/Santarem.ics,
	  web/tzurl/zoneinfo-outlook/America/Santiago.ics,
	  web/tzurl/zoneinfo-outlook/America/Santo_Domingo.ics,
	  web/tzurl/zoneinfo-outlook/America/Sao_Paulo.ics,
	  web/tzurl/zoneinfo-outlook/America/Scoresbysund.ics,
	  web/tzurl/zoneinfo-outlook/America/Shiprock.ics[ADD],
	  web/tzurl/zoneinfo-outlook/America/Sitka.ics,
	  web/tzurl/zoneinfo-outlook/America/St_Barthelemy.ics,
	  web/tzurl/zoneinfo-outlook/America/St_Johns.ics,
	  web/tzurl/zoneinfo-outlook/America/St_Kitts.ics,
	  web/tzurl/zoneinfo-outlook/America/St_Lucia.ics,
	  web/tzurl/zoneinfo-outlook/America/St_Thomas.ics,
	  web/tzurl/zoneinfo-outlook/America/St_Vincent.ics,
	  web/tzurl/zoneinfo-outlook/America/Swift_Current.ics,
	  web/tzurl/zoneinfo-outlook/America/Tegucigalpa.ics,
	  web/tzurl/zoneinfo-outlook/America/Thule.ics,
	  web/tzurl/zoneinfo-outlook/America/Thunder_Bay.ics,
	  web/tzurl/zoneinfo-outlook/America/Tijuana.ics,
	  web/tzurl/zoneinfo-outlook/America/Toronto.ics,
	  web/tzurl/zoneinfo-outlook/America/Tortola.ics,
	  web/tzurl/zoneinfo-outlook/America/Vancouver.ics,
	  web/tzurl/zoneinfo-outlook/America/Whitehorse.ics,
	  web/tzurl/zoneinfo-outlook/America/Winnipeg.ics,
	  web/tzurl/zoneinfo-outlook/America/Yakutat.ics,
	  web/tzurl/zoneinfo-outlook/America/Yellowknife.ics,
	  web/tzurl/zoneinfo-outlook/Antarctica/Casey.ics,
	  web/tzurl/zoneinfo-outlook/Antarctica/Davis.ics,
	  web/tzurl/zoneinfo-outlook/Antarctica/DumontDUrville.ics,
	  web/tzurl/zoneinfo-outlook/Antarctica/Macquarie.ics,
	  web/tzurl/zoneinfo-outlook/Antarctica/Mawson.ics,
	  web/tzurl/zoneinfo-outlook/Antarctica/McMurdo.ics,
	  web/tzurl/zoneinfo-outlook/Antarctica/Palmer.ics,
	  web/tzurl/zoneinfo-outlook/Antarctica/Rothera.ics,
	  web/tzurl/zoneinfo-outlook/Antarctica/South_Pole.ics,
	  web/tzurl/zoneinfo-outlook/Antarctica/Syowa.ics,
	  web/tzurl/zoneinfo-outlook/Antarctica/Vostok.ics,
	  web/tzurl/zoneinfo-outlook/Arctic/Longyearbyen.ics,
	  web/tzurl/zoneinfo-outlook/Asia/Aden.ics,
	  web/tzurl/zoneinfo-outlook/Asia/Almaty.ics,
	  web/tzurl/zoneinfo-outlook/Asia/Amman.ics,
	  web/tzurl/zoneinfo-outlook/Asia/Anadyr.ics,
	  web/tzurl/zoneinfo-outlook/Asia/Aqtau.ics,
	  web/tzurl/zoneinfo-outlook/Asia/Aqtobe.ics,
	  web/tzurl/zoneinfo-outlook/Asia/Ashgabat.ics,
	  web/tzurl/zoneinfo-outlook/Asia/Baghdad.ics,
	  web/tzurl/zoneinfo-outlook/Asia/Bahrain.ics,
	  web/tzurl/zoneinfo-outlook/Asia/Baku.ics,
	  web/tzurl/zoneinfo-outlook/Asia/Bangkok.ics,
	  web/tzurl/zoneinfo-outlook/Asia/Beirut.ics,
	  web/tzurl/zoneinfo-outlook/Asia/Bishkek.ics,
	  web/tzurl/zoneinfo-outlook/Asia/Brunei.ics,
	  web/tzurl/zoneinfo-outlook/Asia/Choibalsan.ics,
	  web/tzurl/zoneinfo-outlook/Asia/Chongqing.ics,
	  web/tzurl/zoneinfo-outlook/Asia/Colombo.ics,
	  web/tzurl/zoneinfo-outlook/Asia/Damascus.ics,
	  web/tzurl/zoneinfo-outlook/Asia/Dhaka.ics,
	  web/tzurl/zoneinfo-outlook/Asia/Dili.ics,
	  web/tzurl/zoneinfo-outlook/Asia/Dubai.ics,
	  web/tzurl/zoneinfo-outlook/Asia/Dushanbe.ics,
	  web/tzurl/zoneinfo-outlook/Asia/Gaza.ics,
	  web/tzurl/zoneinfo-outlook/Asia/Harbin.ics,
	  web/tzurl/zoneinfo-outlook/Asia/Hebron.ics[ADD],
	  web/tzurl/zoneinfo-outlook/Asia/Ho_Chi_Minh.ics,
	  web/tzurl/zoneinfo-outlook/Asia/Hong_Kong.ics,
	  web/tzurl/zoneinfo-outlook/Asia/Hovd.ics,
	  web/tzurl/zoneinfo-outlook/Asia/Irkutsk.ics,
	  web/tzurl/zoneinfo-outlook/Asia/Istanbul.ics,
	  web/tzurl/zoneinfo-outlook/Asia/Jakarta.ics,
	  web/tzurl/zoneinfo-outlook/Asia/Jayapura.ics,
	  web/tzurl/zoneinfo-outlook/Asia/Jerusalem.ics,
	  web/tzurl/zoneinfo-outlook/Asia/Kabul.ics,
	  web/tzurl/zoneinfo-outlook/Asia/Kamchatka.ics,
	  web/tzurl/zoneinfo-outlook/Asia/Karachi.ics,
	  web/tzurl/zoneinfo-outlook/Asia/Kashgar.ics,
	  web/tzurl/zoneinfo-outlook/Asia/Kathmandu.ics,
	  web/tzurl/zoneinfo-outlook/Asia/Kolkata.ics,
	  web/tzurl/zoneinfo-outlook/Asia/Krasnoyarsk.ics,
	  web/tzurl/zoneinfo-outlook/Asia/Kuala_Lumpur.ics,
	  web/tzurl/zoneinfo-outlook/Asia/Kuching.ics,
	  web/tzurl/zoneinfo-outlook/Asia/Kuwait.ics,
	  web/tzurl/zoneinfo-outlook/Asia/Macau.ics,
	  web/tzurl/zoneinfo-outlook/Asia/Magadan.ics,
	  web/tzurl/zoneinfo-outlook/Asia/Makassar.ics,
	  web/tzurl/zoneinfo-outlook/Asia/Manila.ics,
	  web/tzurl/zoneinfo-outlook/Asia/Muscat.ics,
	  web/tzurl/zoneinfo-outlook/Asia/Nicosia.ics,
	  web/tzurl/zoneinfo-outlook/Asia/Novokuznetsk.ics,
	  web/tzurl/zoneinfo-outlook/Asia/Novosibirsk.ics,
	  web/tzurl/zoneinfo-outlook/Asia/Omsk.ics,
	  web/tzurl/zoneinfo-outlook/Asia/Oral.ics,
	  web/tzurl/zoneinfo-outlook/Asia/Phnom_Penh.ics,
	  web/tzurl/zoneinfo-outlook/Asia/Pontianak.ics,
	  web/tzurl/zoneinfo-outlook/Asia/Pyongyang.ics,
	  web/tzurl/zoneinfo-outlook/Asia/Qatar.ics,
	  web/tzurl/zoneinfo-outlook/Asia/Qyzylorda.ics,
	  web/tzurl/zoneinfo-outlook/Asia/Rangoon.ics,
	  web/tzurl/zoneinfo-outlook/Asia/Riyadh.ics,
	  web/tzurl/zoneinfo-outlook/Asia/Sakhalin.ics,
	  web/tzurl/zoneinfo-outlook/Asia/Samarkand.ics,
	  web/tzurl/zoneinfo-outlook/Asia/Seoul.ics,
	  web/tzurl/zoneinfo-outlook/Asia/Shanghai.ics,
	  web/tzurl/zoneinfo-outlook/Asia/Singapore.ics,
	  web/tzurl/zoneinfo-outlook/Asia/Taipei.ics,
	  web/tzurl/zoneinfo-outlook/Asia/Tashkent.ics,
	  web/tzurl/zoneinfo-outlook/Asia/Tbilisi.ics,
	  web/tzurl/zoneinfo-outlook/Asia/Tehran.ics,
	  web/tzurl/zoneinfo-outlook/Asia/Thimphu.ics,
	  web/tzurl/zoneinfo-outlook/Asia/Tokyo.ics,
	  web/tzurl/zoneinfo-outlook/Asia/Ulaanbaatar.ics,
	  web/tzurl/zoneinfo-outlook/Asia/Urumqi.ics,
	  web/tzurl/zoneinfo-outlook/Asia/Vientiane.ics,
	  web/tzurl/zoneinfo-outlook/Asia/Vladivostok.ics,
	  web/tzurl/zoneinfo-outlook/Asia/Yakutsk.ics,
	  web/tzurl/zoneinfo-outlook/Asia/Yekaterinburg.ics,
	  web/tzurl/zoneinfo-outlook/Asia/Yerevan.ics,
	  web/tzurl/zoneinfo-outlook/Atlantic/Azores.ics,
	  web/tzurl/zoneinfo-outlook/Atlantic/Bermuda.ics,
	  web/tzurl/zoneinfo-outlook/Atlantic/Canary.ics,
	  web/tzurl/zoneinfo-outlook/Atlantic/Cape_Verde.ics,
	  web/tzurl/zoneinfo-outlook/Atlantic/Faroe.ics,
	  web/tzurl/zoneinfo-outlook/Atlantic/Madeira.ics,
	  web/tzurl/zoneinfo-outlook/Atlantic/Reykjavik.ics,
	  web/tzurl/zoneinfo-outlook/Atlantic/South_Georgia.ics,
	  web/tzurl/zoneinfo-outlook/Atlantic/St_Helena.ics,
	  web/tzurl/zoneinfo-outlook/Atlantic/Stanley.ics,
	  web/tzurl/zoneinfo-outlook/Australia/Adelaide.ics,
	  web/tzurl/zoneinfo-outlook/Australia/Brisbane.ics,
	  web/tzurl/zoneinfo-outlook/Australia/Broken_Hill.ics[ADD],
	  web/tzurl/zoneinfo-outlook/Australia/Currie.ics,
	  web/tzurl/zoneinfo-outlook/Australia/Darwin.ics,
	  web/tzurl/zoneinfo-outlook/Australia/Eucla.ics,
	  web/tzurl/zoneinfo-outlook/Australia/Hobart.ics,
	  web/tzurl/zoneinfo-outlook/Australia/Lindeman.ics,
	  web/tzurl/zoneinfo-outlook/Australia/Lord_Howe.ics,
	  web/tzurl/zoneinfo-outlook/Australia/Melbourne.ics,
	  web/tzurl/zoneinfo-outlook/Australia/Perth.ics,
	  web/tzurl/zoneinfo-outlook/Australia/Sydney.ics,
	  web/tzurl/zoneinfo-outlook/Europe/Amsterdam.ics,
	  web/tzurl/zoneinfo-outlook/Europe/Andorra.ics,
	  web/tzurl/zoneinfo-outlook/Europe/Athens.ics,
	  web/tzurl/zoneinfo-outlook/Europe/Belgrade.ics,
	  web/tzurl/zoneinfo-outlook/Europe/Berlin.ics,
	  web/tzurl/zoneinfo-outlook/Europe/Bratislava.ics,
	  web/tzurl/zoneinfo-outlook/Europe/Brussels.ics,
	  web/tzurl/zoneinfo-outlook/Europe/Bucharest.ics,
	  web/tzurl/zoneinfo-outlook/Europe/Budapest.ics,
	  web/tzurl/zoneinfo-outlook/Europe/Chisinau.ics,
	  web/tzurl/zoneinfo-outlook/Europe/Copenhagen.ics,
	  web/tzurl/zoneinfo-outlook/Europe/Dublin.ics,
	  web/tzurl/zoneinfo-outlook/Europe/Gibraltar.ics,
	  web/tzurl/zoneinfo-outlook/Europe/Guernsey.ics,
	  web/tzurl/zoneinfo-outlook/Europe/Helsinki.ics,
	  web/tzurl/zoneinfo-outlook/Europe/Isle_of_Man.ics,
	  web/tzurl/zoneinfo-outlook/Europe/Istanbul.ics,
	  web/tzurl/zoneinfo-outlook/Europe/Jersey.ics,
	  web/tzurl/zoneinfo-outlook/Europe/Kaliningrad.ics,
	  web/tzurl/zoneinfo-outlook/Europe/Kiev.ics,
	  web/tzurl/zoneinfo-outlook/Europe/Lisbon.ics,
	  web/tzurl/zoneinfo-outlook/Europe/Ljubljana.ics,
	  web/tzurl/zoneinfo-outlook/Europe/London.ics,
	  web/tzurl/zoneinfo-outlook/Europe/Luxembourg.ics,
	  web/tzurl/zoneinfo-outlook/Europe/Madrid.ics,
	  web/tzurl/zoneinfo-outlook/Europe/Malta.ics,
	  web/tzurl/zoneinfo-outlook/Europe/Mariehamn.ics,
	  web/tzurl/zoneinfo-outlook/Europe/Minsk.ics,
	  web/tzurl/zoneinfo-outlook/Europe/Monaco.ics,
	  web/tzurl/zoneinfo-outlook/Europe/Moscow.ics,
	  web/tzurl/zoneinfo-outlook/Europe/Nicosia.ics,
	  web/tzurl/zoneinfo-outlook/Europe/Oslo.ics,
	  web/tzurl/zoneinfo-outlook/Europe/Paris.ics,
	  web/tzurl/zoneinfo-outlook/Europe/Podgorica.ics,
	  web/tzurl/zoneinfo-outlook/Europe/Prague.ics,
	  web/tzurl/zoneinfo-outlook/Europe/Riga.ics,
	  web/tzurl/zoneinfo-outlook/Europe/Rome.ics,
	  web/tzurl/zoneinfo-outlook/Europe/Samara.ics,
	  web/tzurl/zoneinfo-outlook/Europe/San_Marino.ics,
	  web/tzurl/zoneinfo-outlook/Europe/Sarajevo.ics,
	  web/tzurl/zoneinfo-outlook/Europe/Simferopol.ics,
	  web/tzurl/zoneinfo-outlook/Europe/Skopje.ics,
	  web/tzurl/zoneinfo-outlook/Europe/Sofia.ics,
	  web/tzurl/zoneinfo-outlook/Europe/Stockholm.ics,
	  web/tzurl/zoneinfo-outlook/Europe/Tallinn.ics,
	  web/tzurl/zoneinfo-outlook/Europe/Tirane.ics[ADD],
	  web/tzurl/zoneinfo-outlook/Europe/Uzhgorod.ics,
	  web/tzurl/zoneinfo-outlook/Europe/Vaduz.ics,
	  web/tzurl/zoneinfo-outlook/Europe/Vatican.ics,
	  web/tzurl/zoneinfo-outlook/Europe/Vienna.ics,
	  web/tzurl/zoneinfo-outlook/Europe/Vilnius.ics,
	  web/tzurl/zoneinfo-outlook/Europe/Volgograd.ics,
	  web/tzurl/zoneinfo-outlook/Europe/Warsaw.ics,
	  web/tzurl/zoneinfo-outlook/Europe/Zagreb.ics,
	  web/tzurl/zoneinfo-outlook/Europe/Zaporozhye.ics,
	  web/tzurl/zoneinfo-outlook/Europe/Zurich.ics,
	  web/tzurl/zoneinfo-outlook/Indian/Antananarivo.ics,
	  web/tzurl/zoneinfo-outlook/Indian/Chagos.ics,
	  web/tzurl/zoneinfo-outlook/Indian/Christmas.ics,
	  web/tzurl/zoneinfo-outlook/Indian/Cocos.ics,
	  web/tzurl/zoneinfo-outlook/Indian/Comoro.ics,
	  web/tzurl/zoneinfo-outlook/Indian/Kerguelen.ics,
	  web/tzurl/zoneinfo-outlook/Indian/Mahe.ics,
	  web/tzurl/zoneinfo-outlook/Indian/Maldives.ics,
	  web/tzurl/zoneinfo-outlook/Indian/Mauritius.ics,
	  web/tzurl/zoneinfo-outlook/Indian/Mayotte.ics,
	  web/tzurl/zoneinfo-outlook/Indian/Reunion.ics,
	  web/tzurl/zoneinfo-outlook/Pacific/Apia.ics,
	  web/tzurl/zoneinfo-outlook/Pacific/Auckland.ics,
	  web/tzurl/zoneinfo-outlook/Pacific/Chatham.ics,
	  web/tzurl/zoneinfo-outlook/Pacific/Chuuk.ics,
	  web/tzurl/zoneinfo-outlook/Pacific/Easter.ics,
	  web/tzurl/zoneinfo-outlook/Pacific/Efate.ics,
	  web/tzurl/zoneinfo-outlook/Pacific/Enderbury.ics,
	  web/tzurl/zoneinfo-outlook/Pacific/Fakaofo.ics,
	  web/tzurl/zoneinfo-outlook/Pacific/Fiji.ics,
	  web/tzurl/zoneinfo-outlook/Pacific/Funafuti.ics,
	  web/tzurl/zoneinfo-outlook/Pacific/Galapagos.ics,
	  web/tzurl/zoneinfo-outlook/Pacific/Gambier.ics,
	  web/tzurl/zoneinfo-outlook/Pacific/Guadalcanal.ics,
	  web/tzurl/zoneinfo-outlook/Pacific/Guam.ics,
	  web/tzurl/zoneinfo-outlook/Pacific/Honolulu.ics,
	  web/tzurl/zoneinfo-outlook/Pacific/Johnston.ics,
	  web/tzurl/zoneinfo-outlook/Pacific/Kiritimati.ics,
	  web/tzurl/zoneinfo-outlook/Pacific/Kosrae.ics,
	  web/tzurl/zoneinfo-outlook/Pacific/Kwajalein.ics,
	  web/tzurl/zoneinfo-outlook/Pacific/Majuro.ics,
	  web/tzurl/zoneinfo-outlook/Pacific/Marquesas.ics,
	  web/tzurl/zoneinfo-outlook/Pacific/Midway.ics,
	  web/tzurl/zoneinfo-outlook/Pacific/Nauru.ics,
	  web/tzurl/zoneinfo-outlook/Pacific/Niue.ics,
	  web/tzurl/zoneinfo-outlook/Pacific/Norfolk.ics,
	  web/tzurl/zoneinfo-outlook/Pacific/Noumea.ics,
	  web/tzurl/zoneinfo-outlook/Pacific/Pago_Pago.ics,
	  web/tzurl/zoneinfo-outlook/Pacific/Palau.ics,
	  web/tzurl/zoneinfo-outlook/Pacific/Pitcairn.ics,
	  web/tzurl/zoneinfo-outlook/Pacific/Pohnpei.ics,
	  web/tzurl/zoneinfo-outlook/Pacific/Ponape.ics,
	  web/tzurl/zoneinfo-outlook/Pacific/Port_Moresby.ics,
	  web/tzurl/zoneinfo-outlook/Pacific/Rarotonga.ics,
	  web/tzurl/zoneinfo-outlook/Pacific/Saipan.ics,
	  web/tzurl/zoneinfo-outlook/Pacific/Tahiti.ics,
	  web/tzurl/zoneinfo-outlook/Pacific/Tarawa.ics,
	  web/tzurl/zoneinfo-outlook/Pacific/Tongatapu.ics,
	  web/tzurl/zoneinfo-outlook/Pacific/Truk.ics,
	  web/tzurl/zoneinfo-outlook/Pacific/Wake.ics,
	  web/tzurl/zoneinfo-outlook/Pacific/Wallis.ics,
	  web/tzurl/zoneinfo/Africa/Abidjan.ics,
	  web/tzurl/zoneinfo/Africa/Accra.ics,
	  web/tzurl/zoneinfo/Africa/Addis_Ababa.ics,
	  web/tzurl/zoneinfo/Africa/Algiers.ics,
	  web/tzurl/zoneinfo/Africa/Asmara.ics,
	  web/tzurl/zoneinfo/Africa/Bamako.ics,
	  web/tzurl/zoneinfo/Africa/Bangui.ics,
	  web/tzurl/zoneinfo/Africa/Banjul.ics,
	  web/tzurl/zoneinfo/Africa/Bissau.ics,
	  web/tzurl/zoneinfo/Africa/Blantyre.ics,
	  web/tzurl/zoneinfo/Africa/Brazzaville.ics,
	  web/tzurl/zoneinfo/Africa/Bujumbura.ics,
	  web/tzurl/zoneinfo/Africa/Cairo.ics,
	  web/tzurl/zoneinfo/Africa/Casablanca.ics,
	  web/tzurl/zoneinfo/Africa/Ceuta.ics,
	  web/tzurl/zoneinfo/Africa/Conakry.ics,
	  web/tzurl/zoneinfo/Africa/Dakar.ics,
	  web/tzurl/zoneinfo/Africa/Dar_es_Salaam.ics,
	  web/tzurl/zoneinfo/Africa/Djibouti.ics,
	  web/tzurl/zoneinfo/Africa/Douala.ics,
	  web/tzurl/zoneinfo/Africa/El_Aaiun.ics,
	  web/tzurl/zoneinfo/Africa/Freetown.ics,
	  web/tzurl/zoneinfo/Africa/Gaborone.ics,
	  web/tzurl/zoneinfo/Africa/Harare.ics,
	  web/tzurl/zoneinfo/Africa/Johannesburg.ics,
	  web/tzurl/zoneinfo/Africa/Juba.ics,
	  web/tzurl/zoneinfo/Africa/Kampala.ics,
	  web/tzurl/zoneinfo/Africa/Khartoum.ics,
	  web/tzurl/zoneinfo/Africa/Kigali.ics,
	  web/tzurl/zoneinfo/Africa/Kinshasa.ics,
	  web/tzurl/zoneinfo/Africa/Lagos.ics,
	  web/tzurl/zoneinfo/Africa/Libreville.ics,
	  web/tzurl/zoneinfo/Africa/Lome.ics,
	  web/tzurl/zoneinfo/Africa/Luanda.ics,
	  web/tzurl/zoneinfo/Africa/Lubumbashi.ics,
	  web/tzurl/zoneinfo/Africa/Lusaka.ics,
	  web/tzurl/zoneinfo/Africa/Malabo.ics,
	  web/tzurl/zoneinfo/Africa/Maputo.ics,
	  web/tzurl/zoneinfo/Africa/Maseru.ics,
	  web/tzurl/zoneinfo/Africa/Mbabane.ics,
	  web/tzurl/zoneinfo/Africa/Mogadishu.ics,
	  web/tzurl/zoneinfo/Africa/Monrovia.ics,
	  web/tzurl/zoneinfo/Africa/Nairobi.ics,
	  web/tzurl/zoneinfo/Africa/Ndjamena.ics,
	  web/tzurl/zoneinfo/Africa/Niamey.ics,
	  web/tzurl/zoneinfo/Africa/Nouakchott.ics,
	  web/tzurl/zoneinfo/Africa/Ouagadougou.ics,
	  web/tzurl/zoneinfo/Africa/Porto-Novo.ics,
	  web/tzurl/zoneinfo/Africa/Sao_Tome.ics,
	  web/tzurl/zoneinfo/Africa/Tripoli.ics,
	  web/tzurl/zoneinfo/Africa/Tunis.ics,
	  web/tzurl/zoneinfo/Africa/Windhoek.ics,
	  web/tzurl/zoneinfo/America/Adak.ics,
	  web/tzurl/zoneinfo/America/Anchorage.ics,
	  web/tzurl/zoneinfo/America/Anguilla.ics,
	  web/tzurl/zoneinfo/America/Antigua.ics,
	  web/tzurl/zoneinfo/America/Araguaina.ics,
	  web/tzurl/zoneinfo/America/Argentina/Buenos_Aires.ics,
	  web/tzurl/zoneinfo/America/Argentina/Catamarca.ics,
	  web/tzurl/zoneinfo/America/Argentina/Cordoba.ics,
	  web/tzurl/zoneinfo/America/Argentina/Jujuy.ics,
	  web/tzurl/zoneinfo/America/Argentina/La_Rioja.ics,
	  web/tzurl/zoneinfo/America/Argentina/Mendoza.ics,
	  web/tzurl/zoneinfo/America/Argentina/Rio_Gallegos.ics,
	  web/tzurl/zoneinfo/America/Argentina/Salta.ics,
	  web/tzurl/zoneinfo/America/Argentina/San_Juan.ics,
	  web/tzurl/zoneinfo/America/Argentina/San_Luis.ics,
	  web/tzurl/zoneinfo/America/Argentina/Tucuman.ics,
	  web/tzurl/zoneinfo/America/Argentina/Ushuaia.ics,
	  web/tzurl/zoneinfo/America/Aruba.ics,
	  web/tzurl/zoneinfo/America/Asuncion.ics,
	  web/tzurl/zoneinfo/America/Atikokan.ics,
	  web/tzurl/zoneinfo/America/Bahia.ics,
	  web/tzurl/zoneinfo/America/Bahia_Banderas.ics,
	  web/tzurl/zoneinfo/America/Barbados.ics,
	  web/tzurl/zoneinfo/America/Belem.ics,
	  web/tzurl/zoneinfo/America/Belize.ics,
	  web/tzurl/zoneinfo/America/Blanc-Sablon.ics,
	  web/tzurl/zoneinfo/America/Boa_Vista.ics,
	  web/tzurl/zoneinfo/America/Bogota.ics,
	  web/tzurl/zoneinfo/America/Boise.ics,
	  web/tzurl/zoneinfo/America/Cambridge_Bay.ics,
	  web/tzurl/zoneinfo/America/Campo_Grande.ics,
	  web/tzurl/zoneinfo/America/Cancun.ics,
	  web/tzurl/zoneinfo/America/Caracas.ics,
	  web/tzurl/zoneinfo/America/Cayenne.ics,
	  web/tzurl/zoneinfo/America/Cayman.ics,
	  web/tzurl/zoneinfo/America/Chicago.ics,
	  web/tzurl/zoneinfo/America/Chihuahua.ics,
	  web/tzurl/zoneinfo/America/Costa_Rica.ics,
	  web/tzurl/zoneinfo/America/Creston.ics[ADD],
	  web/tzurl/zoneinfo/America/Cuiaba.ics,
	  web/tzurl/zoneinfo/America/Curacao.ics,
	  web/tzurl/zoneinfo/America/Danmarkshavn.ics,
	  web/tzurl/zoneinfo/America/Dawson.ics,
	  web/tzurl/zoneinfo/America/Dawson_Creek.ics,
	  web/tzurl/zoneinfo/America/Denver.ics,
	  web/tzurl/zoneinfo/America/Detroit.ics,
	  web/tzurl/zoneinfo/America/Dominica.ics,
	  web/tzurl/zoneinfo/America/Edmonton.ics,
	  web/tzurl/zoneinfo/America/Eirunepe.ics,
	  web/tzurl/zoneinfo/America/El_Salvador.ics,
	  web/tzurl/zoneinfo/America/Fortaleza.ics,
	  web/tzurl/zoneinfo/America/Glace_Bay.ics,
	  web/tzurl/zoneinfo/America/Godthab.ics,
	  web/tzurl/zoneinfo/America/Goose_Bay.ics,
	  web/tzurl/zoneinfo/America/Grand_Turk.ics,
	  web/tzurl/zoneinfo/America/Grenada.ics,
	  web/tzurl/zoneinfo/America/Guadeloupe.ics,
	  web/tzurl/zoneinfo/America/Guatemala.ics,
	  web/tzurl/zoneinfo/America/Guayaquil.ics,
	  web/tzurl/zoneinfo/America/Guyana.ics,
	  web/tzurl/zoneinfo/America/Halifax.ics,
	  web/tzurl/zoneinfo/America/Havana.ics,
	  web/tzurl/zoneinfo/America/Hermosillo.ics,
	  web/tzurl/zoneinfo/America/Indiana/Indianapolis.ics,
	  web/tzurl/zoneinfo/America/Indiana/Knox.ics,
	  web/tzurl/zoneinfo/America/Indiana/Marengo.ics,
	  web/tzurl/zoneinfo/America/Indiana/Petersburg.ics,
	  web/tzurl/zoneinfo/America/Indiana/Tell_City.ics,
	  web/tzurl/zoneinfo/America/Indiana/Vevay.ics,
	  web/tzurl/zoneinfo/America/Indiana/Vincennes.ics,
	  web/tzurl/zoneinfo/America/Indiana/Winamac.ics,
	  web/tzurl/zoneinfo/America/Inuvik.ics,
	  web/tzurl/zoneinfo/America/Iqaluit.ics,
	  web/tzurl/zoneinfo/America/Jamaica.ics,
	  web/tzurl/zoneinfo/America/Juneau.ics,
	  web/tzurl/zoneinfo/America/Kentucky/Louisville.ics,
	  web/tzurl/zoneinfo/America/Kentucky/Monticello.ics,
	  web/tzurl/zoneinfo/America/Kralendijk.ics,
	  web/tzurl/zoneinfo/America/La_Paz.ics,
	  web/tzurl/zoneinfo/America/Lima.ics,
	  web/tzurl/zoneinfo/America/Los_Angeles.ics,
	  web/tzurl/zoneinfo/America/Lower_Princes.ics,
	  web/tzurl/zoneinfo/America/Maceio.ics,
	  web/tzurl/zoneinfo/America/Managua.ics,
	  web/tzurl/zoneinfo/America/Manaus.ics,
	  web/tzurl/zoneinfo/America/Marigot.ics,
	  web/tzurl/zoneinfo/America/Martinique.ics,
	  web/tzurl/zoneinfo/America/Matamoros.ics,
	  web/tzurl/zoneinfo/America/Mazatlan.ics,
	  web/tzurl/zoneinfo/America/Menominee.ics,
	  web/tzurl/zoneinfo/America/Merida.ics,
	  web/tzurl/zoneinfo/America/Metlakatla.ics,
	  web/tzurl/zoneinfo/America/Mexico_City.ics,
	  web/tzurl/zoneinfo/America/Miquelon.ics,
	  web/tzurl/zoneinfo/America/Moncton.ics,
	  web/tzurl/zoneinfo/America/Monterrey.ics,
	  web/tzurl/zoneinfo/America/Montevideo.ics,
	  web/tzurl/zoneinfo/America/Montreal.ics,
	  web/tzurl/zoneinfo/America/Montserrat.ics,
	  web/tzurl/zoneinfo/America/Nassau.ics,
	  web/tzurl/zoneinfo/America/New_York.ics,
	  web/tzurl/zoneinfo/America/Nipigon.ics,
	  web/tzurl/zoneinfo/America/Nome.ics,
	  web/tzurl/zoneinfo/America/Noronha.ics,
	  web/tzurl/zoneinfo/America/North_Dakota/Beulah.ics,
	  web/tzurl/zoneinfo/America/North_Dakota/Center.ics,
	  web/tzurl/zoneinfo/America/North_Dakota/New_Salem.ics,
	  web/tzurl/zoneinfo/America/Ojinaga.ics,
	  web/tzurl/zoneinfo/America/Panama.ics,
	  web/tzurl/zoneinfo/America/Pangnirtung.ics,
	  web/tzurl/zoneinfo/America/Paramaribo.ics,
	  web/tzurl/zoneinfo/America/Phoenix.ics,
	  web/tzurl/zoneinfo/America/Port-au-Prince.ics,
	  web/tzurl/zoneinfo/America/Port_of_Spain.ics,
	  web/tzurl/zoneinfo/America/Porto_Velho.ics,
	  web/tzurl/zoneinfo/America/Puerto_Rico.ics,
	  web/tzurl/zoneinfo/America/Rainy_River.ics,
	  web/tzurl/zoneinfo/America/Rankin_Inlet.ics,
	  web/tzurl/zoneinfo/America/Recife.ics,
	  web/tzurl/zoneinfo/America/Regina.ics,
	  web/tzurl/zoneinfo/America/Resolute.ics,
	  web/tzurl/zoneinfo/America/Rio_Branco.ics,
	  web/tzurl/zoneinfo/America/Santa_Isabel.ics,
	  web/tzurl/zoneinfo/America/Santarem.ics,
	  web/tzurl/zoneinfo/America/Santiago.ics,
	  web/tzurl/zoneinfo/America/Santo_Domingo.ics,
	  web/tzurl/zoneinfo/America/Sao_Paulo.ics,
	  web/tzurl/zoneinfo/America/Scoresbysund.ics,
	  web/tzurl/zoneinfo/America/Shiprock.ics[ADD],
	  web/tzurl/zoneinfo/America/Sitka.ics,
	  web/tzurl/zoneinfo/America/St_Barthelemy.ics,
	  web/tzurl/zoneinfo/America/St_Johns.ics,
	  web/tzurl/zoneinfo/America/St_Kitts.ics,
	  web/tzurl/zoneinfo/America/St_Lucia.ics,
	  web/tzurl/zoneinfo/America/St_Thomas.ics,
	  web/tzurl/zoneinfo/America/St_Vincent.ics,
	  web/tzurl/zoneinfo/America/Swift_Current.ics,
	  web/tzurl/zoneinfo/America/Tegucigalpa.ics,
	  web/tzurl/zoneinfo/America/Thule.ics,
	  web/tzurl/zoneinfo/America/Thunder_Bay.ics,
	  web/tzurl/zoneinfo/America/Tijuana.ics,
	  web/tzurl/zoneinfo/America/Toronto.ics,
	  web/tzurl/zoneinfo/America/Tortola.ics,
	  web/tzurl/zoneinfo/America/Vancouver.ics,
	  web/tzurl/zoneinfo/America/Whitehorse.ics,
	  web/tzurl/zoneinfo/America/Winnipeg.ics,
	  web/tzurl/zoneinfo/America/Yakutat.ics,
	  web/tzurl/zoneinfo/America/Yellowknife.ics,
	  web/tzurl/zoneinfo/Antarctica/Casey.ics,
	  web/tzurl/zoneinfo/Antarctica/Davis.ics,
	  web/tzurl/zoneinfo/Antarctica/DumontDUrville.ics,
	  web/tzurl/zoneinfo/Antarctica/Macquarie.ics,
	  web/tzurl/zoneinfo/Antarctica/Mawson.ics,
	  web/tzurl/zoneinfo/Antarctica/McMurdo.ics,
	  web/tzurl/zoneinfo/Antarctica/Palmer.ics,
	  web/tzurl/zoneinfo/Antarctica/Rothera.ics,
	  web/tzurl/zoneinfo/Antarctica/South_Pole.ics,
	  web/tzurl/zoneinfo/Antarctica/Syowa.ics,
	  web/tzurl/zoneinfo/Antarctica/Vostok.ics,
	  web/tzurl/zoneinfo/Arctic/Longyearbyen.ics,
	  web/tzurl/zoneinfo/Asia/Aden.ics,
	  web/tzurl/zoneinfo/Asia/Almaty.ics,
	  web/tzurl/zoneinfo/Asia/Amman.ics,
	  web/tzurl/zoneinfo/Asia/Anadyr.ics,
	  web/tzurl/zoneinfo/Asia/Aqtau.ics,
	  web/tzurl/zoneinfo/Asia/Aqtobe.ics,
	  web/tzurl/zoneinfo/Asia/Ashgabat.ics,
	  web/tzurl/zoneinfo/Asia/Baghdad.ics,
	  web/tzurl/zoneinfo/Asia/Bahrain.ics,
	  web/tzurl/zoneinfo/Asia/Baku.ics,
	  web/tzurl/zoneinfo/Asia/Bangkok.ics,
	  web/tzurl/zoneinfo/Asia/Beirut.ics,
	  web/tzurl/zoneinfo/Asia/Bishkek.ics,
	  web/tzurl/zoneinfo/Asia/Brunei.ics,
	  web/tzurl/zoneinfo/Asia/Choibalsan.ics,
	  web/tzurl/zoneinfo/Asia/Chongqing.ics,
	  web/tzurl/zoneinfo/Asia/Colombo.ics,
	  web/tzurl/zoneinfo/Asia/Damascus.ics,
	  web/tzurl/zoneinfo/Asia/Dhaka.ics,
	  web/tzurl/zoneinfo/Asia/Dili.ics,
	  web/tzurl/zoneinfo/Asia/Dubai.ics,
	  web/tzurl/zoneinfo/Asia/Dushanbe.ics,
	  web/tzurl/zoneinfo/Asia/Gaza.ics,
	  web/tzurl/zoneinfo/Asia/Harbin.ics,
	  web/tzurl/zoneinfo/Asia/Hebron.ics[ADD],
	  web/tzurl/zoneinfo/Asia/Ho_Chi_Minh.ics,
	  web/tzurl/zoneinfo/Asia/Hong_Kong.ics,
	  web/tzurl/zoneinfo/Asia/Hovd.ics,
	  web/tzurl/zoneinfo/Asia/Irkutsk.ics,
	  web/tzurl/zoneinfo/Asia/Istanbul.ics,
	  web/tzurl/zoneinfo/Asia/Jakarta.ics,
	  web/tzurl/zoneinfo/Asia/Jayapura.ics,
	  web/tzurl/zoneinfo/Asia/Jerusalem.ics,
	  web/tzurl/zoneinfo/Asia/Kabul.ics,
	  web/tzurl/zoneinfo/Asia/Kamchatka.ics,
	  web/tzurl/zoneinfo/Asia/Karachi.ics,
	  web/tzurl/zoneinfo/Asia/Kashgar.ics,
	  web/tzurl/zoneinfo/Asia/Kathmandu.ics,
	  web/tzurl/zoneinfo/Asia/Kolkata.ics,
	  web/tzurl/zoneinfo/Asia/Krasnoyarsk.ics,
	  web/tzurl/zoneinfo/Asia/Kuala_Lumpur.ics,
	  web/tzurl/zoneinfo/Asia/Kuching.ics,
	  web/tzurl/zoneinfo/Asia/Kuwait.ics,
	  web/tzurl/zoneinfo/Asia/Macau.ics,
	  web/tzurl/zoneinfo/Asia/Magadan.ics,
	  web/tzurl/zoneinfo/Asia/Makassar.ics,
	  web/tzurl/zoneinfo/Asia/Manila.ics,
	  web/tzurl/zoneinfo/Asia/Muscat.ics,
	  web/tzurl/zoneinfo/Asia/Nicosia.ics,
	  web/tzurl/zoneinfo/Asia/Novokuznetsk.ics,
	  web/tzurl/zoneinfo/Asia/Novosibirsk.ics,
	  web/tzurl/zoneinfo/Asia/Omsk.ics,
	  web/tzurl/zoneinfo/Asia/Oral.ics,
	  web/tzurl/zoneinfo/Asia/Phnom_Penh.ics,
	  web/tzurl/zoneinfo/Asia/Pontianak.ics,
	  web/tzurl/zoneinfo/Asia/Pyongyang.ics,
	  web/tzurl/zoneinfo/Asia/Qatar.ics,
	  web/tzurl/zoneinfo/Asia/Qyzylorda.ics,
	  web/tzurl/zoneinfo/Asia/Rangoon.ics,
	  web/tzurl/zoneinfo/Asia/Riyadh.ics,
	  web/tzurl/zoneinfo/Asia/Sakhalin.ics,
	  web/tzurl/zoneinfo/Asia/Samarkand.ics,
	  web/tzurl/zoneinfo/Asia/Seoul.ics,
	  web/tzurl/zoneinfo/Asia/Shanghai.ics,
	  web/tzurl/zoneinfo/Asia/Singapore.ics,
	  web/tzurl/zoneinfo/Asia/Taipei.ics,
	  web/tzurl/zoneinfo/Asia/Tashkent.ics,
	  web/tzurl/zoneinfo/Asia/Tbilisi.ics,
	  web/tzurl/zoneinfo/Asia/Tehran.ics,
	  web/tzurl/zoneinfo/Asia/Thimphu.ics,
	  web/tzurl/zoneinfo/Asia/Tokyo.ics,
	  web/tzurl/zoneinfo/Asia/Ulaanbaatar.ics,
	  web/tzurl/zoneinfo/Asia/Urumqi.ics,
	  web/tzurl/zoneinfo/Asia/Vientiane.ics,
	  web/tzurl/zoneinfo/Asia/Vladivostok.ics,
	  web/tzurl/zoneinfo/Asia/Yakutsk.ics,
	  web/tzurl/zoneinfo/Asia/Yekaterinburg.ics,
	  web/tzurl/zoneinfo/Asia/Yerevan.ics,
	  web/tzurl/zoneinfo/Atlantic/Azores.ics,
	  web/tzurl/zoneinfo/Atlantic/Bermuda.ics,
	  web/tzurl/zoneinfo/Atlantic/Canary.ics,
	  web/tzurl/zoneinfo/Atlantic/Cape_Verde.ics,
	  web/tzurl/zoneinfo/Atlantic/Faroe.ics,
	  web/tzurl/zoneinfo/Atlantic/Madeira.ics,
	  web/tzurl/zoneinfo/Atlantic/Reykjavik.ics,
	  web/tzurl/zoneinfo/Atlantic/South_Georgia.ics,
	  web/tzurl/zoneinfo/Atlantic/St_Helena.ics,
	  web/tzurl/zoneinfo/Atlantic/Stanley.ics,
	  web/tzurl/zoneinfo/Australia/Adelaide.ics,
	  web/tzurl/zoneinfo/Australia/Brisbane.ics,
	  web/tzurl/zoneinfo/Australia/Broken_Hill.ics[ADD],
	  web/tzurl/zoneinfo/Australia/Currie.ics,
	  web/tzurl/zoneinfo/Australia/Darwin.ics,
	  web/tzurl/zoneinfo/Australia/Eucla.ics,
	  web/tzurl/zoneinfo/Australia/Hobart.ics,
	  web/tzurl/zoneinfo/Australia/Lindeman.ics,
	  web/tzurl/zoneinfo/Australia/Lord_Howe.ics,
	  web/tzurl/zoneinfo/Australia/Melbourne.ics,
	  web/tzurl/zoneinfo/Australia/Perth.ics,
	  web/tzurl/zoneinfo/Australia/Sydney.ics,
	  web/tzurl/zoneinfo/Europe/Amsterdam.ics,
	  web/tzurl/zoneinfo/Europe/Andorra.ics,
	  web/tzurl/zoneinfo/Europe/Athens.ics,
	  web/tzurl/zoneinfo/Europe/Belgrade.ics,
	  web/tzurl/zoneinfo/Europe/Berlin.ics,
	  web/tzurl/zoneinfo/Europe/Bratislava.ics,
	  web/tzurl/zoneinfo/Europe/Brussels.ics,
	  web/tzurl/zoneinfo/Europe/Bucharest.ics,
	  web/tzurl/zoneinfo/Europe/Budapest.ics,
	  web/tzurl/zoneinfo/Europe/Chisinau.ics,
	  web/tzurl/zoneinfo/Europe/Copenhagen.ics,
	  web/tzurl/zoneinfo/Europe/Dublin.ics,
	  web/tzurl/zoneinfo/Europe/Gibraltar.ics,
	  web/tzurl/zoneinfo/Europe/Guernsey.ics,
	  web/tzurl/zoneinfo/Europe/Helsinki.ics,
	  web/tzurl/zoneinfo/Europe/Isle_of_Man.ics,
	  web/tzurl/zoneinfo/Europe/Istanbul.ics,
	  web/tzurl/zoneinfo/Europe/Jersey.ics,
	  web/tzurl/zoneinfo/Europe/Kaliningrad.ics,
	  web/tzurl/zoneinfo/Europe/Kiev.ics,
	  web/tzurl/zoneinfo/Europe/Lisbon.ics,
	  web/tzurl/zoneinfo/Europe/Ljubljana.ics,
	  web/tzurl/zoneinfo/Europe/London.ics,
	  web/tzurl/zoneinfo/Europe/Luxembourg.ics,
	  web/tzurl/zoneinfo/Europe/Madrid.ics,
	  web/tzurl/zoneinfo/Europe/Malta.ics,
	  web/tzurl/zoneinfo/Europe/Mariehamn.ics,
	  web/tzurl/zoneinfo/Europe/Minsk.ics,
	  web/tzurl/zoneinfo/Europe/Monaco.ics,
	  web/tzurl/zoneinfo/Europe/Moscow.ics,
	  web/tzurl/zoneinfo/Europe/Nicosia.ics,
	  web/tzurl/zoneinfo/Europe/Oslo.ics,
	  web/tzurl/zoneinfo/Europe/Paris.ics,
	  web/tzurl/zoneinfo/Europe/Podgorica.ics,
	  web/tzurl/zoneinfo/Europe/Prague.ics,
	  web/tzurl/zoneinfo/Europe/Riga.ics,
	  web/tzurl/zoneinfo/Europe/Rome.ics,
	  web/tzurl/zoneinfo/Europe/Samara.ics,
	  web/tzurl/zoneinfo/Europe/San_Marino.ics,
	  web/tzurl/zoneinfo/Europe/Sarajevo.ics,
	  web/tzurl/zoneinfo/Europe/Simferopol.ics,
	  web/tzurl/zoneinfo/Europe/Skopje.ics,
	  web/tzurl/zoneinfo/Europe/Sofia.ics,
	  web/tzurl/zoneinfo/Europe/Stockholm.ics,
	  web/tzurl/zoneinfo/Europe/Tallinn.ics,
	  web/tzurl/zoneinfo/Europe/Tirane.ics[ADD],
	  web/tzurl/zoneinfo/Europe/Uzhgorod.ics,
	  web/tzurl/zoneinfo/Europe/Vaduz.ics,
	  web/tzurl/zoneinfo/Europe/Vatican.ics,
	  web/tzurl/zoneinfo/Europe/Vienna.ics,
	  web/tzurl/zoneinfo/Europe/Vilnius.ics,
	  web/tzurl/zoneinfo/Europe/Volgograd.ics,
	  web/tzurl/zoneinfo/Europe/Warsaw.ics,
	  web/tzurl/zoneinfo/Europe/Zagreb.ics,
	  web/tzurl/zoneinfo/Europe/Zaporozhye.ics,
	  web/tzurl/zoneinfo/Europe/Zurich.ics,
	  web/tzurl/zoneinfo/Indian/Antananarivo.ics,
	  web/tzurl/zoneinfo/Indian/Chagos.ics,
	  web/tzurl/zoneinfo/Indian/Christmas.ics,
	  web/tzurl/zoneinfo/Indian/Cocos.ics,
	  web/tzurl/zoneinfo/Indian/Comoro.ics,
	  web/tzurl/zoneinfo/Indian/Kerguelen.ics,
	  web/tzurl/zoneinfo/Indian/Mahe.ics,
	  web/tzurl/zoneinfo/Indian/Maldives.ics,
	  web/tzurl/zoneinfo/Indian/Mauritius.ics,
	  web/tzurl/zoneinfo/Indian/Mayotte.ics,
	  web/tzurl/zoneinfo/Indian/Reunion.ics,
	  web/tzurl/zoneinfo/Pacific/Apia.ics,
	  web/tzurl/zoneinfo/Pacific/Auckland.ics,
	  web/tzurl/zoneinfo/Pacific/Chatham.ics,
	  web/tzurl/zoneinfo/Pacific/Chuuk.ics,
	  web/tzurl/zoneinfo/Pacific/Easter.ics,
	  web/tzurl/zoneinfo/Pacific/Efate.ics,
	  web/tzurl/zoneinfo/Pacific/Enderbury.ics,
	  web/tzurl/zoneinfo/Pacific/Fakaofo.ics,
	  web/tzurl/zoneinfo/Pacific/Fiji.ics,
	  web/tzurl/zoneinfo/Pacific/Funafuti.ics,
	  web/tzurl/zoneinfo/Pacific/Galapagos.ics,
	  web/tzurl/zoneinfo/Pacific/Gambier.ics,
	  web/tzurl/zoneinfo/Pacific/Guadalcanal.ics,
	  web/tzurl/zoneinfo/Pacific/Guam.ics,
	  web/tzurl/zoneinfo/Pacific/Honolulu.ics,
	  web/tzurl/zoneinfo/Pacific/Johnston.ics,
	  web/tzurl/zoneinfo/Pacific/Kiritimati.ics,
	  web/tzurl/zoneinfo/Pacific/Kosrae.ics,
	  web/tzurl/zoneinfo/Pacific/Kwajalein.ics,
	  web/tzurl/zoneinfo/Pacific/Majuro.ics,
	  web/tzurl/zoneinfo/Pacific/Marquesas.ics,
	  web/tzurl/zoneinfo/Pacific/Midway.ics,
	  web/tzurl/zoneinfo/Pacific/Nauru.ics,
	  web/tzurl/zoneinfo/Pacific/Niue.ics,
	  web/tzurl/zoneinfo/Pacific/Norfolk.ics,
	  web/tzurl/zoneinfo/Pacific/Noumea.ics,
	  web/tzurl/zoneinfo/Pacific/Pago_Pago.ics,
	  web/tzurl/zoneinfo/Pacific/Palau.ics,
	  web/tzurl/zoneinfo/Pacific/Pitcairn.ics,
	  web/tzurl/zoneinfo/Pacific/Pohnpei.ics,
	  web/tzurl/zoneinfo/Pacific/Ponape.ics,
	  web/tzurl/zoneinfo/Pacific/Port_Moresby.ics,
	  web/tzurl/zoneinfo/Pacific/Rarotonga.ics,
	  web/tzurl/zoneinfo/Pacific/Saipan.ics,
	  web/tzurl/zoneinfo/Pacific/Tahiti.ics,
	  web/tzurl/zoneinfo/Pacific/Tarawa.ics,
	  web/tzurl/zoneinfo/Pacific/Tongatapu.ics,
	  web/tzurl/zoneinfo/Pacific/Truk.ics,
	  web/tzurl/zoneinfo/Pacific/Wake.ics,
	  web/tzurl/zoneinfo/Pacific/Wallis.ics:
	  
	  Updated timezone definitions

2012-12-18 21:45  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2605] web/js/refresh.js.php:
	  
	  Fixed some JSHint problems

2012-12-18 21:42  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2604] web/js/multiple.js.php:
	  
	  Fixed some JSHint problems

2012-12-18 21:32  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2603] web/js/resizable.js.php:
	  
	  Fixed some JSHint problems

2012-12-18 10:55  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2601] web/functions.inc:
	  
	  Restructured code

2012-12-18 10:38  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2600] web/functions.inc, web/js/datepicker.js.php:
	  
	  Moved JavaScript out of functions.inc and into datepicker.js.php

2012-12-17 17:06  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2598] web/css/mrbs.css.php, web/edit_entry.php,
	  web/js/edit_entry.js.php, web/js/functions.js.php:
	  
	  Moved JavaScript out of edit_entry.php

2012-12-16 14:12  Thomas Bleher <tbleher@users.sourceforge.net>

	* [r2597] web/css/mrbs.css.php, web/systemdefaults.inc.php:
	  
	  Make clipping of bookings in month view configurable via
	  $clipped_month.

2012-12-16 14:11  Thomas Bleher <tbleher@users.sourceforge.net>

	* [r2596] web/functions.inc:
	  
	  Followup r2590: Add room description as tooltip for room list in
	  header (also in select mode) Newer browsers seem to support
	  tooltips for select options - nice :)

2012-12-15 08:52  Thomas Bleher <tbleher@users.sourceforge.net>

	* [r2595] web/functions_table.inc:
	  
	  day view: Add space before () when showing capacity for room
	  names

2012-12-14 22:22  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2594] web/js/edit_area_room.js.php:
	  
	  Tidied up the JavaScript, fixing some JSHint problems.

2012-12-14 21:51  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2593] web/js/edit_area_room.js.php:
	  
	  Corrected an out of scope use of a variable

2012-12-14 21:46  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2592] web/systemdefaults.inc.php:
	  
	  Corrected typo in comment

2012-12-14 20:49  Thomas Bleher <tbleher@users.sourceforge.net>

	* [r2591] web/lang/lang.de:
	  
	  Update german translation

2012-12-14 20:48  Thomas Bleher <tbleher@users.sourceforge.net>

	* [r2590] web/functions.inc:
	  
	  Add room description as tooltip for room list in header (only in
	  list mode for now)

2012-12-14 18:52  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2589] web/report.php:
	  
	  Removed redundant parameter to report_row()

2012-12-12 18:17  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2588] web/approve_entry_handler.php, web/functions_mail.inc,
	  web/mrbs_sql.inc:
	  
	  Fixed problem with misleading email notifications (see SF Bugs
	  255)

2012-12-12 13:50  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2587] web/mrbs_sql.inc:
	  
	  Made mrbsMakeBookings() return an array of start times booked. No
	  functional change to MRBS.

2012-12-12 13:18  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2586] web/approve_entry_handler.php, web/mrbs_sql.inc:
	  
	  Made mrbsApproveEntry() return an array of start times approved.
	  No functional change to MRBS.

2012-12-10 19:03  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2585] web/css/mrbs.css.php:
	  
	  Fixed a problem with display of labels in forms (caused by a
	  recent change)

2012-12-10 11:02  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2584] web/edit_area_room.php:
	  
	  Restructured code

2012-12-10 10:38  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2583] web/edit_area_room.php:
	  
	  Restructured code

2012-12-10 10:36  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2582] web/lang/lang.fr:
	  
	  Changed capitalisation of one string

2012-12-09 19:27  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2581] web/edit_area_room.php:
	  
	  Removed redundant code

2012-12-09 19:19  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2580] web/edit_area_room.php:
	  
	  Restructured code

2012-12-09 17:54  Thomas Bleher <tbleher@users.sourceforge.net>

	* [r2579] web/functions_mail.inc:
	  
	  Mark emails from mrbs as auto-generated, so that vacation mailers
	  don't answer mrbs mails

2012-12-09 17:35  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2578] web/edit_area_room.php, web/js/edit_area_room.js.php:
	  
	  Improved the way the "start of last slot" field is displayed on
	  load

2012-12-09 17:22  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2577] web/edit_area_room.php, web/functions.inc:
	  
	  Restructured code

2012-12-09 16:26  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2576] web/css/mrbs.css.php, web/edit_area_room.php,
	  web/js/edit_area_room.js.php:
	  
	  Restructured code

2012-12-09 09:48  Thomas Bleher <tbleher@users.sourceforge.net>

	* [r2575] web/report.php:
	  
	  Translate approval status and confirmation status radio buttons
	  in report.php

2012-12-09 09:24  Thomas Bleher <tbleher@users.sourceforge.net>

	* [r2574] checklang.php:
	  
	  Make checklang.php work with lang/ subdirectory

2012-12-08 18:37  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2573] web/edit_area_room.php, web/edit_entry.php,
	  web/edit_users.php, web/functions.inc:
	  
	  Restructured code

2012-12-07 17:22  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2572] web/del_entry.php, web/functions_mail.inc,
	  web/mrbs_sql.inc:
	  
	  Fixed bug causing incorrect email notifications to be issued when
	  members of a series were deleted (see SF Bugs #247)

2012-12-07 16:45  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2571] web/functions_mail.inc:
	  
	  Fixed typo in comment

2012-12-06 18:34  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2570] web/upgrade/17/post.inc, web/upgrade/24/post.inc:
	  
	  Fixed more syntax errors

2012-12-06 18:00  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2569] web/upgrade/17/post.inc, web/upgrade/24/post.inc:
	  
	  Fixed some syntax errors caused by some lines having been
	  accidentally truncated

2012-12-01 12:27  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2568] web/css/mrbs-ie.css:
	  
	  Tweaked position of <input> elements in IE

2012-11-30 22:13  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2567] web/standard_vars.inc.php:
	  
	  Fixed bug causing an infinite loop if a negative day value is
	  given in the query string. Thanks to Neil Carter.

2012-11-28 09:52  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2566] web/report.php:
	  
	  Fixed bug resulting in button labels in the report form not being
	  translated

2012-11-27 18:28  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2565] web/edit_entry.php, web/functions.inc:
	  
	  Fixed major bug when editing an individual entry in a series that
	  caused a new series to be created alongside the original series.

2012-11-27 18:13  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2564] web/mrbs_sql.inc:
	  
	  Fixed bug causing the wrong mode (periods/times) to be used in
	  certain circumstances for reporting durations

2012-11-27 15:23  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2563] web/edit_entry.php, web/functions.inc, web/lang/lang.en,
	  web/mrbs_sql.inc, web/site_faq.html:
	  
	  Added the ability to specify the "fifth" and "fifth last"
	  weekdays of the month when making monthly recurring bookings.
	  These are strict interpretations and will result in no bookings
	  for months where there are only four of the specified day of of
	  the week. (Using "last" or "first" will give you the fourth or
	  fourth last weekday if there are only four weekdays in the
	  month).

2012-11-07 07:01  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2562] web/help.php:
	  
	  Added some HTML escaping

2012-11-06 19:06  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2561] web/Themes/default/header.inc, web/help.php,
	  web/js/datepicker.js.php, web/language.inc:
	  
	  Eliminated need to use $langs as a global

2012-11-05 17:12  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2559] web/admin.php:
	  
	  Ensured that rooms in the room list are sorted by the room sort
	  key

2012-11-05 16:51  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2558] web/functions.inc, web/functions_mail.inc,
	  web/language.inc, web/report.php, web/search.php,
	  web/session/session_cookie.inc, web/session/session_http.inc,
	  web/session/session_php.inc:
	  
	  Fixed occurrences of != '' being used instead of !== ''. Causes
	  bugs such as Confirmed as well as Tentative reports being shown
	  in reports when only tentative have been requested.

2012-11-05 15:19  John Beranek <jberanek@users.sourceforge.net>

	* [r2557] web/language.inc:
	  
	  Updated the Microsoft locale reference URLs in language.inc.

2012-11-05 14:54  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2556]
	  web/jquery/ui/css/sunny/images/ui-bg_gloss-wave_60_fece2f_500x100.png,
	  web/jquery/ui/css/sunny/images/ui-bg_gloss-wave_90_fff9e5_500x100.png,
	  web/jquery/ui/css/sunny/images/ui-icons_3d3d3d_256x240.png,
	  web/jquery/ui/css/sunny/images/ui-icons_eb990f_256x240.png,
	  web/jquery/ui/css/sunny/images/ui-icons_ed9f26_256x240.png,
	  web/jquery/ui/css/sunny/jquery-ui-1.8.16.custom.css[DEL],
	  web/jquery/ui/css/sunny/jquery-ui-1.9.1.custom.min.css[ADD],
	  web/jquery/ui/jquery-ui-1.8.22.custom.min.js[DEL],
	  web/jquery/ui/jquery-ui-1.9.1.custom.min.js[ADD],
	  web/jquery/ui/jquery-ui-i18n.js, web/js.inc, web/style.inc:
	  
	  Upgraded jQuery UI from Release 1.8.22 to 1.9.1

2012-11-05 14:51  John Beranek <jberanek@users.sourceforge.net>

	* [r2555] web/language.inc, web/upgrade/17/post.inc,
	  web/upgrade/24/post.inc:
	  
	  Fixed a syntax error in 2 upgrade post.inc files.
	  
	  Corrected the Windows locale specifier for "Serbian Latin" so you
	  get Latin and not Cyrillic dates on a WAMP server.

2012-11-05 14:33  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2554] web/jquery/jquery-1.7.2.min.js[DEL],
	  web/jquery/jquery-1.8.2.min.js[ADD], web/js.inc:
	  
	  Upgraded jQuery from Release 1.7.2 to 1.8.2

2012-11-05 14:22  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2553] web/jquery/ui/jquery-ui-datepicker-en-US.js[DEL],
	  web/jquery/ui/jquery-ui-datepicker-en.js[DEL],
	  web/jquery/ui/jquery-ui-datepicker-sr-RS-LATIN.js[DEL],
	  web/jquery/ui/jquery-ui-i18n.MRBS.js[ADD], web/js.inc:
	  
	  Restructured code to combine the extra MRBS datepicker regional
	  settings into one file. Also made them refer to the standard
	  settings where possible.

2012-11-05 14:01  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2552] web/jquery/ui/jquery-ui-datepicker-sr-RS-LATIN.js:
	  
	  Fixed bug in datepicker Serbian-Latin regional settings

2012-11-05 10:47  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2551] web/jquery/ui/jquery-ui-datepicker-sr-RS-LATIN.js[ADD],
	  web/js.inc, web/js/datepicker.js.php, web/language.inc:
	  
	  Added in datepicker support for Serbian Latin. Also tested the
	  previous changes on Windows IIS.

2012-11-05 00:05  John Beranek <jberanek@users.sourceforge.net>

	* [r2550] web/language.inc:
	  
	  Removed incorrect/unnecessary locale map entries. Serbian (Latin)
	  still not tested on Windows, AIX or MacOS X server platforms.

2012-11-04 23:57  John Beranek <jberanek@users.sourceforge.net>

	* [r2549] web/lang/lang.sr-rs-latin[ADD], web/language.inc:
	  
	  Added Serbian (Latin) support - translation provided by 'knjigor'
	  on the Sourceforge tracker. Needed some additional mappings/code
	  in language.inc to support the unusual locale. Not yet tested on
	  a Windows server environment.

2012-11-02 11:32  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2548] web/report.php:
	  
	  Fixed bug where <span>s used for sorting the HTML table were
	  appearing in the CSV and iCalendar reports.

2012-10-31 12:45  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2547] web/report.php:
	  
	  Fixed bug causing a datalist not to be presented for custom
	  fields on the Report page even when $datalist_options is set.

2012-10-31 09:00  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2546] web/lang/lang.en, web/lang/lang.fr, web/report.php:
	  
	  Fixed problem with French translation (a temporary fix - I think
	  there has to be a more elegant way of dealing with the
	  requirement in French for a non breaking space before colons
	  etc.)

2012-10-30 21:04  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2545] web/edit_entry.php:
	  
	  Fixed bug preventing bookings being edited

2012-10-30 16:37  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2544] web/mrbs_sql.inc:
	  
	  Fixed bug introduced in Rev 2538 preventing drag-editing of
	  bookings

2012-10-30 11:51  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2543] web/functions.inc, web/systemdefaults.inc.php:
	  
	  Fixed some HTML5 validation issues

2012-10-30 11:50  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2542] web/internalconfig.inc.php:
	  
	  Prevented E_USER_NOTICE errors being reported during normal MRBS
	  operation (E_NOTICE errors are already ignored)

2012-10-30 10:56  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2541] web/edit_entry.php, web/edit_users.php,
	  web/functions.inc:
	  
	  Fixed some HTML5 validation issues

2012-10-30 09:04  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2540] web/functions.inc, web/grab_globals.inc.php:
	  
	  Added a server side check for Opera so that autocomplete can be
	  turned on for datalists, in case JavaScript is disabled. (Left
	  the client side check in just in case the server isn't passing
	  through the user agent string).

2012-10-29 15:44  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2539] web/edit_entry.php, web/edit_users.php,
	  web/functions.inc, web/report.php, web/systemdefaults.inc.php:
	  
	  Extended support of $datalist_options to the same fields as
	  $select_options

2012-10-29 12:07  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2538] web/mrbs_sql.inc:
	  
	  Restructured code, moving the user check inside mrbsCheckPolicy()

2012-10-29 11:21  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2537] web/edit_entry.php:
	  
	  Fixed undefined index problems

2012-10-29 11:16  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2536] web/functions_view.inc:
	  
	  Fixed undefined index problems

2012-10-29 11:07  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2535] web/edit_entry.php:
	  
	  Fixed undefined variable problem

2012-10-28 09:12  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2534] web/edit_entry.php, web/functions.inc, web/js.inc,
	  web/js/general.js.php, web/js/report.js.php, web/report.php,
	  web/systemdefaults.inc.php:
	  
	  Converted autocomplete fields to use HTML5 <datalist> elements if
	  supported, otherwise to fall back to the jQuery UI Autocomplete
	  widget. Added ability for users to define $datalist_options in
	  the config file to force a field to be treated as a datalist
	  (only supported for entry.name at the moment).

2012-10-27 14:19  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2533] web/functions.inc:
	  
	  Added some missing hidden inputs

2012-10-27 14:00  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2532] web/functions.inc:
	  
	  Added some missing HTML escaping

2012-10-26 15:09  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2531] web/edit_users.php:
	  
	  Fixed undefined variable bug introduced during recent
	  restructuring

2012-10-26 12:52  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2530] web/report.php, web/systemdefaults.inc.php:
	  
	  Added a config variable to allow the order of the fields in the
	  Presentation Options section of the Report form to be changed.

2012-10-26 08:18  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2529] web/report.php, web/systemdefaults.inc.php:
	  
	  Added a config variable to allow the order of the fields in the
	  Search Criteria section of the Report form to be changed.

2012-10-25 16:33  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2528] web/report.php:
	  
	  Restructured code

2012-10-25 16:17  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2527] web/report.php:
	  
	  Restructured code

2012-10-25 15:29  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2526] web/report.php:
	  
	  Restructured code

2012-10-24 17:05  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2525] web/functions.inc:
	  
	  Extended generate_checkbox()

2012-10-24 12:44  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2524] web/functions.inc:
	  
	  Extended generate_select() to allow multiple selection

2012-10-24 12:00  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2523] web/edit_entry.php, web/functions.inc:
	  
	  Restructured code

2012-10-24 11:45  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2522] web/edit_entry.php, web/js/edit_entry.js.php:
	  
	  Moved some JavaScript out of edit_entry.php

2012-10-24 10:27  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2521] web/edit_entry.php, web/functions.inc:
	  
	  Restructured code

2012-10-24 09:26  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2520] web/edit_entry.php, web/edit_entry_handler.php,
	  web/edit_users.php, web/functions.inc,
	  web/internalconfig.inc.php:
	  
	  Simplified code

2012-10-22 16:53  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2519] web/edit_users.php, web/js/edit_users.js.php,
	  web/js/pending.js.php, web/js/search.js.php, web/pending.php,
	  web/search.php:
	  
	  Restructured code so that the search, users and pending tables
	  are more resilient to changes in column order

2012-10-22 16:06  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2518] web/js/datatables.js.php, web/js/report.js.php:
	  
	  Restructured code

2012-10-22 15:19  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2517] web/js/report.js.php, web/report.php:
	  
	  Restructured code to be more resilient to changes in report
	  column order

2012-10-22 14:06  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2516] web/js/report.js.php:
	  
	  Fixed problem with filtering and sorting of reports (column
	  numbers off by one)

2012-10-22 13:38  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2515] web/js/report.js.php, web/report.php:
	  
	  Fixed bug preventing bulk delete working

2012-10-22 13:09  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2514] web/lang/lang.fr:
	  
	  Minor tweak to translation

2012-10-22 12:01  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2513] web/css/mrbs.css.php:
	  
	  Fixed last fix properly

2012-10-22 10:12  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2512] web/css/mrbs.css.php:
	  
	  Fixed formatting problem on Report page in some languages

2012-10-19 15:17  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2511] ., tables.my.pre41.sql, tables.my.sql,
	  tables.pg.pre73.sql, tables.pg.sql, web/css/mrbs-ie8.css,
	  web/css/mrbs.css.php, web/dbsys.inc, web/edit_entry.php,
	  web/edit_entry_handler.php, web/edit_users.php,
	  web/functions.inc, web/functions_ical.inc,
	  web/functions_mail.inc, web/functions_view.inc,
	  web/internalconfig.inc.php, web/js/edit_entry.js.php,
	  web/lang/lang.ca, web/lang/lang.cs, web/lang/lang.da,
	  web/lang/lang.de, web/lang/lang.el, web/lang/lang.en,
	  web/lang/lang.es, web/lang/lang.eu, web/lang/lang.fi,
	  web/lang/lang.fr, web/lang/lang.he, web/lang/lang.hu,
	  web/lang/lang.it, web/lang/lang.ja, web/lang/lang.ko,
	  web/lang/lang.nl, web/lang/lang.no, web/lang/lang.pl,
	  web/lang/lang.pt, web/lang/lang.pt-br, web/lang/lang.ru,
	  web/lang/lang.sl, web/lang/lang.sv, web/lang/lang.th,
	  web/lang/lang.tr, web/lang/lang.zh-cn, web/lang/lang.zh-tw,
	  web/mrbs_sql.inc, web/report.php, web/site_faq.html,
	  web/site_faq_de.html, web/site_faq_es.html, web/site_faq_fr.html,
	  web/site_faq_it.html, web/site_faq_nl.html,
	  web/systemdefaults.inc.php, web/upgrade/31[CPY],
	  web/upgrade/32[CPY], web/upgrade/33[CPY], web/upgrade/34[CPY],
	  web/upgrade/35[CPY]:
	  
	  Reintegrated the improved_repeat_interface back into the trunk.
	  MRBS now has a simplified interface for making repeat bookings
	  and the range of monthly repeats has been expanded. It is now
	  possible to have monthly repeats on the last, second last, third
	  last and fourth last weekdays of the month. (Last was possible
	  before, but only if the first member of the series happened to be
	  on the fifth weekday of a month).

2012-10-17 21:04  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2507] web/upgrade.inc:
	  
	  Fixed bug in upgrade procedure causing the upgrade to fail if the
	  number of rows affected by a query was zero.

2012-10-11 10:55  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2488] web/dbsys.inc, web/mysql.inc, web/mysqli.inc,
	  web/pgsql.inc:
	  
	  Corrected comments

2012-10-09 16:01  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2481] web/css/mrbs.css.php:
	  
	  Fixed bug causing fault in formatting of month view

2012-10-04 08:44  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2471] ., web/Themes/classic126/styling.inc,
	  web/Themes/default/styling.inc, web/areadefaults.inc.php,
	  web/check_slot_ajax.php[CPY], web/css/mrbs.css.php,
	  web/edit_area_room.php, web/edit_entry.php,
	  web/edit_entry_handler.php, web/functions.inc,
	  web/functions_table.inc, web/import.php,
	  web/internalconfig.inc.php, web/js/datepicker.js.php,
	  web/js/edit_area_room.js.php, web/js/edit_entry.js.php,
	  web/month.php, web/mrbs_auth.inc:
	  
	  Reintegrated the flexible_day_end branch back into the trunk.
	  MRBS now supports booking days that span midnight (if
	  $eveningends is before $morningstarts then it is assumed to be on
	  the following day). At the same time a number of problems to do
	  with DST handling have been fixed, particularly the display of
	  the transition hours and the operation of MRBS in timezones where
	  the DST change is not 1 hour. Also the use of the deprecated
	  $is_dst parameter to mktime() has been eliminated.

2012-10-03 21:01  John Beranek <jberanek@users.sourceforge.net>

	* [r2470] web/version.inc:
	  
	  Updated version number post-release

2012-10-03 20:05  John Beranek <jberanek@users.sourceforge.net>

	* [r2467] ChangeLog, NEWS:
	  
	  Updated NEWS and ChangeLog for release

2012-10-03 20:03  John Beranek <jberanek@users.sourceforge.net>

	* [r2466] web/version.inc:
	  
	  Updated version number for release

2012-10-03 19:35  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2464] web/import.php:
	  
	  Added an HTML5 accept attribute to limit files to iCalendar files

2012-09-26 15:57  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2438] web/report.php:
	  
	  Fixed bug when trying to export a report to a .ics file when the
	  status is not "all". See SF Bugs #246

2012-09-12 09:25  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2408] web/auth/auth_db.inc, web/auth/auth_db_ext.inc,
	  web/dbsys.inc, web/mysql.inc, web/mysqli.inc, web/pgsql.inc:
	  
	  Fixed a bug in 'db' and 'db_ext' authentication schemes when
	  using MySQL whereby a login was validated successfully even if
	  the username contained trailing spaces. This then caused problems
	  subsequently when comparing the creator of a booking with the
	  user. See SF Bugs #245.

2012-09-11 15:43  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2403] web/edit_area_room.php, web/js/edit_area_room.js.php:
	  
	  Moved Javascript out of edit_area_room.php into
	  edit_area_room.js.php

2012-09-11 09:10  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2401] web/language.inc:
	  
	  Fixed bug which meant that the datatables strings were not being
	  translated

2012-09-09 13:56  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2400] web/edit_entry.php, web/js/edit_entry.js.php:
	  
	  Moved some JavaScript out of edit_entry.php into
	  edit_entry.js.php

2012-09-08 17:16  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2399] web/css/mrbs.css.php, web/edit_users.php:
	  
	  Fixed sorting and styling of integer custom fields in
	  edit_users.php

2012-09-07 15:59  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2398] web/session/session_php.inc:
	  
	  Fixed problem with users being unable to login when MRBS is
	  running on IIS

2012-09-06 07:30  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2397] web/functions_ical.inc:
	  
	  Tidied previous change (again)

2012-09-05 16:57  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2396] web/functions_ical.inc:
	  
	  Tidied up last change

2012-09-05 16:46  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2395] web/functions_ical.inc:
	  
	  Removed a theoretical bug

2012-09-05 15:57  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2394] web/language.inc:
	  
	  Made utf8_bytecount() PHP4-safe. See SF bugs 243.

2012-09-05 14:21  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2393] web/js/edit_entry.js.php:
	  
	  Kept track of how many Ajax requests are outstanding on the
	  server so that we don't swamp the server with requests if for
	  some reason the server is taking a long time to process them. See
	  SF Support Request 258.

2012-09-05 13:15  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2392] web/functions_ical.inc, web/systemdefaults.inc.php:
	  
	  Improved error handling when updating VTIMEZONE definitions. Now
	  if MRBS is unable to download a new definition from the web, as
	  will happen on sites that do not have external internet access,
	  the last_updated field is updated anyway so that MRBS does not
	  attempt to retry for another 28 days (default setting).
	  Previously it would retry every time edit_entry_handler.php was
	  executed. See also SF Support Request 258.

2012-09-03 16:20  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2391] web/mysql.inc, web/mysqli.inc:
	  
	  Added some error checking to distinguish between GET_LOCK timing
	  out and returning an error.

2012-08-15 19:54  John Beranek <jberanek@users.sourceforge.net>

	* [r2390] web/systemdefaults.inc.php:
	  
	  Corrected minor typo in a comment.

2012-08-14 20:16  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2389] web/edit_entry.php, web/internalconfig.inc.php,
	  web/js/edit_entry.js.php:
	  
	  Moved some JavaScript out of the php file and into the js file

2012-08-14 19:53  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2388] web/js/report.js.php:
	  
	  Fixed undeclared variable problem

2012-08-14 19:50  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2387] web/js/datatables.js.php:
	  
	  Fixed undeclared variable problem

2012-08-14 19:46  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2386] web/js/resizable.js.php:
	  
	  Minor simplification

2012-08-14 17:10  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2385] web/js/resizable.js.php:
	  
	  Fixed problems found in strict mode

2012-08-14 15:57  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2384] web/js/edit_entry.js.php:
	  
	  Fixed undeclared variable problem

2012-08-14 15:53  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2383] web/internalconfig.inc.php, web/js/admin.js.php,
	  web/js/cell_click.js.php, web/js/datatables.js.php,
	  web/js/datepicker.js.php, web/js/edit_area_room.js.php,
	  web/js/edit_entry.js.php, web/js/edit_users.js.php,
	  web/js/functions.js.php, web/js/general.js.php,
	  web/js/multiple.js.php, web/js/pending.js.php,
	  web/js/refresh.js.php, web/js/report.js.php,
	  web/js/resizable.js.php, web/js/search.js.php:
	  
	  Added a $use_strict internal configuration option to put the
	  JavaScript into strict mode. Useful for debugging.

2012-08-14 15:02  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2382] web/edit_area_room.php, web/js/report.js.php:
	  
	  Added some missing radix parameters to parseInt() calls

2012-08-14 07:36  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2381] web/edit_entry.php, web/js/edit_users.js.php,
	  web/js/pending.js.php, web/js/report.js.php,
	  web/js/search.js.php:
	  
	  Created new arrays and objects using literals instead of new
	  Array()/Object()

2012-08-13 21:36  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2380] web/js/admin.js.php, web/js/cell_click.js.php,
	  web/js/edit_area_room.js.php, web/js/edit_entry.js.php,
	  web/js/edit_users.js.php, web/js/general.js.php,
	  web/js/multiple.js.php, web/js/pending.js.php,
	  web/js/refresh.js.php, web/js/report.js.php,
	  web/js/resizable.js.php, web/js/search.js.php:
	  
	  Added some missing semi-colons

2012-08-13 21:14  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2379] web/js/edit_entry.js.php:
	  
	  Added some missing radix parameters to parseInt() calls

2012-08-13 20:56  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2378] web/js/edit_entry.js.php:
	  
	  Fixed some minor JavaScript errors

2012-08-13 20:47  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2377] web/js/edit_entry.js.php:
	  
	  Switched to creating new arrays using array literals

2012-08-12 19:48  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2376] web/js/refresh.js.php:
	  
	  Fixed bug introduced in last revision where refreshing wasn't
	  disabled if $refresh_rate equals zero

2012-08-12 19:15  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2375] web/Themes/default/header.inc:
	  
	  Fixed HTML5 validation issue

2012-08-12 19:11  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2374] web/day.php, web/functions_table.inc, web/js.inc,
	  web/js/refresh.js.php[ADD], web/js/resizable.js.php,
	  web/style.inc, web/week.php:
	  
	  Implemented page refresh in the day and week views using Ajax
	  requests if possible instead of through a <meta> tag. More
	  efficient as only the main table is sent instead of the whole
	  page.

2012-08-12 08:41  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2373] web/lang/lang.cs:
	  
	  Updated Czech translation. Thanks to Ondřej Kopka. See SF patches
	  #22.

2012-08-12 07:54  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2372] web/lang/lang.ja:
	  
	  Updated Japanese translation. Thanks to Takanori Matsuura. See SF
	  patches #33.

2012-08-10 14:47  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2371] web/mrbs_sql.inc:
	  
	  Changed error level from WARNING to NOTICE when an entry isn't
	  found, as this will happen quite legitimately if somebody else
	  has deleted or edited an entry while you were looking at it.

2012-08-09 16:10  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2370] web/report.php:
	  
	  Changed the behaviour of the report page so that if .csv or .ics
	  output is selected and there are no matching records then an
	  empty file is produced, rather than a browser message that there
	  are no matching entries.

2012-08-01 21:06  John Beranek <jberanek@users.sourceforge.net>

	* [r2369] web/upgrade/17/post.inc, web/upgrade/24/post.inc,
	  web/upgrade/25/mysql.sql, web/upgrade/25/pgsql.sql:
	  
	  Upgrade fixes as suggested in [bugs:#224]

2012-07-26 17:51  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2361] web/import.php:
	  
	  Ignored VALARM comnponents inside VEVENTS as MRBS does not yet do
	  reminders

2012-07-26 14:48  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2360] web/import.php:
	  
	  Fixed bug which meant that "Room-Area" order did not work

2012-07-25 16:35  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2357] web/day.php:
	  
	  Trivial change to comment to test commit notifications

2012-07-25 15:50  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2356] web/js/edit_users.js.php, web/js/report.js.php,
	  web/js/search.js.php:
	  
	  Fixed some potential bugs

2012-07-25 15:35  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2355] web/js/general.js.php:
	  
	  Fixed JavaScript error when using an auth type other than 'db'

2012-07-25 14:28  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2354] web/jquery/ui/jquery-ui-1.8.16.custom.min.js[DEL],
	  web/jquery/ui/jquery-ui-1.8.22.custom.min.js[ADD],
	  web/jquery/ui/jquery-ui-i18n.js, web/js.inc:
	  
	  Upgraded to Release 1.8.22 of jQuery UI

2012-07-25 14:06  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2353] web/jquery/jquery-1.6.4.min.js[DEL],
	  web/jquery/jquery-1.7.2.min.js[ADD], web/js.inc:
	  
	  Upgraded to jQuery Release 1.7.2

2012-07-25 10:12  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2352] web/lang/lang.th:
	  
	  Corrected Thai translation. Thanks to Suthep.

2012-07-23 14:44  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2351] web/functions_mail.inc:
	  
	  Fixed bug giving incorrect previous repeat end date in email
	  notification when a booking is changed from an individual booking
	  to a series.

2012-07-23 14:15  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2350] web/js/resizable.js.php, web/lang/lang.en:
	  
	  Added some positive visual feedback when bookings are altered by
	  dragging the cell border

2012-07-22 16:15  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2349] web/js/pending.js.php:
	  
	  Fixed bug on pending page where only a maximum of 10 members of a
	  series were being displayed

2012-07-22 15:20  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2348] web/Themes/default/header.inc:
	  
	  Added some SQL error reporting

2012-07-22 14:16  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2347] web/edit_users.php:
	  
	  Minor change to test commit notifications

2012-07-22 14:02  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2346] web/edit_users.php:
	  
	  Fixed HTML5 validation errors Added missing trailer on Add User
	  form

2012-07-22 12:53  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2345] web/edit_users.php:
	  
	  Fixed colons after labels on new user form

2012-07-20 15:00  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2344] web/edit_users.php:
	  
	  Fixed bug introduced in last revision causing
	  $auth['only_admin_can_see_other_users'] not to work

2012-07-20 14:29  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2343] web/edit_users.php,
	  web/jquery/datatables/css/mrbs-table.css,
	  web/js/edit_users.js.php, web/js/general.js.php,
	  web/session/session_cookie.inc, web/session/session_http.inc,
	  web/session/session_php.inc, web/session/session_remote_user.inc:
	  
	  Made the users table use an Ajax data source for better
	  performance with large numbers of users

2012-07-20 11:31  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2342] web/lang/lang.en, web/mrbs_sql.inc,
	  web/systemdefaults.inc.php:
	  
	  Added a new config setting, $max_booking_date, to prevent
	  bookings after a certain date, eg the end of term. Thanks to a
	  suggestion by Matthew Hilling.

2012-07-19 08:13  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2341] web/Themes/default/header.inc, web/functions.inc:
	  
	  Moved the HTTP header generation into a function

2012-07-19 06:57  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2340] web/Themes/default/header.inc, web/functions.inc:
	  
	  Added an HTTP header to prevent IE going into Compatibility View

2012-07-18 13:08  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2339] web/js/datatables.js.php:
	  
	  Fixed minor typo in comment

2012-07-18 10:54  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2338] web/add.php, web/admin.php,
	  web/approve_entry_handler.php, web/day.php, web/del.php,
	  web/del_entry.php, web/del_entry_ajax.php,
	  web/edit_area_room.php, web/edit_entry.php,
	  web/edit_entry_handler.php, web/edit_users.php, web/help.php,
	  web/import.php, web/index.php, web/js/admin.js.php,
	  web/js/cell_click.js.php, web/js/datatables.js.php,
	  web/js/datepicker.js.php, web/js/edit_area_room.js.php,
	  web/js/edit_entry.js.php, web/js/edit_users.js.php,
	  web/js/functions.js.php, web/js/general.js.php,
	  web/js/multiple.js.php, web/js/pending.js.php,
	  web/js/report.js.php, web/js/resizable.js.php,
	  web/js/search.js.php, web/month.php, web/pending.php,
	  web/report.php, web/search.php, web/view_entry.php, web/week.php:
	  
	  Fixed more problems to do with Search and Report introduced
	  during the JavaScript restructuring. (Disabled caching of some
	  files which need to be dynamically generated)

2012-07-18 09:52  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2337] web/defaultincludes.inc, web/js.inc:
	  
	  Fixed various problems to do with Search and Report introduced
	  during the JavaScript restructuring

2012-07-17 10:22  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2336] web/tzurl/zoneinfo-outlook/Africa/Abidjan.ics,
	  web/tzurl/zoneinfo-outlook/Africa/Accra.ics,
	  web/tzurl/zoneinfo-outlook/Africa/Addis_Ababa.ics,
	  web/tzurl/zoneinfo-outlook/Africa/Algiers.ics,
	  web/tzurl/zoneinfo-outlook/Africa/Asmara.ics,
	  web/tzurl/zoneinfo-outlook/Africa/Bamako.ics,
	  web/tzurl/zoneinfo-outlook/Africa/Bangui.ics,
	  web/tzurl/zoneinfo-outlook/Africa/Banjul.ics,
	  web/tzurl/zoneinfo-outlook/Africa/Bissau.ics,
	  web/tzurl/zoneinfo-outlook/Africa/Blantyre.ics,
	  web/tzurl/zoneinfo-outlook/Africa/Brazzaville.ics,
	  web/tzurl/zoneinfo-outlook/Africa/Bujumbura.ics,
	  web/tzurl/zoneinfo-outlook/Africa/Cairo.ics,
	  web/tzurl/zoneinfo-outlook/Africa/Casablanca.ics,
	  web/tzurl/zoneinfo-outlook/Africa/Ceuta.ics,
	  web/tzurl/zoneinfo-outlook/Africa/Conakry.ics,
	  web/tzurl/zoneinfo-outlook/Africa/Dakar.ics,
	  web/tzurl/zoneinfo-outlook/Africa/Dar_es_Salaam.ics,
	  web/tzurl/zoneinfo-outlook/Africa/Djibouti.ics,
	  web/tzurl/zoneinfo-outlook/Africa/Douala.ics,
	  web/tzurl/zoneinfo-outlook/Africa/El_Aaiun.ics,
	  web/tzurl/zoneinfo-outlook/Africa/Freetown.ics,
	  web/tzurl/zoneinfo-outlook/Africa/Gaborone.ics,
	  web/tzurl/zoneinfo-outlook/Africa/Harare.ics,
	  web/tzurl/zoneinfo-outlook/Africa/Johannesburg.ics,
	  web/tzurl/zoneinfo-outlook/Africa/Kampala.ics,
	  web/tzurl/zoneinfo-outlook/Africa/Khartoum.ics,
	  web/tzurl/zoneinfo-outlook/Africa/Kigali.ics,
	  web/tzurl/zoneinfo-outlook/Africa/Kinshasa.ics,
	  web/tzurl/zoneinfo-outlook/Africa/Lagos.ics,
	  web/tzurl/zoneinfo-outlook/Africa/Libreville.ics,
	  web/tzurl/zoneinfo-outlook/Africa/Lome.ics,
	  web/tzurl/zoneinfo-outlook/Africa/Luanda.ics,
	  web/tzurl/zoneinfo-outlook/Africa/Lubumbashi.ics,
	  web/tzurl/zoneinfo-outlook/Africa/Lusaka.ics,
	  web/tzurl/zoneinfo-outlook/Africa/Malabo.ics,
	  web/tzurl/zoneinfo-outlook/Africa/Maputo.ics,
	  web/tzurl/zoneinfo-outlook/Africa/Maseru.ics,
	  web/tzurl/zoneinfo-outlook/Africa/Mbabane.ics,
	  web/tzurl/zoneinfo-outlook/Africa/Mogadishu.ics,
	  web/tzurl/zoneinfo-outlook/Africa/Monrovia.ics,
	  web/tzurl/zoneinfo-outlook/Africa/Nairobi.ics,
	  web/tzurl/zoneinfo-outlook/Africa/Ndjamena.ics,
	  web/tzurl/zoneinfo-outlook/Africa/Niamey.ics,
	  web/tzurl/zoneinfo-outlook/Africa/Nouakchott.ics,
	  web/tzurl/zoneinfo-outlook/Africa/Ouagadougou.ics,
	  web/tzurl/zoneinfo-outlook/Africa/Porto-Novo.ics,
	  web/tzurl/zoneinfo-outlook/Africa/Sao_Tome.ics,
	  web/tzurl/zoneinfo-outlook/Africa/Tripoli.ics,
	  web/tzurl/zoneinfo-outlook/Africa/Tunis.ics,
	  web/tzurl/zoneinfo-outlook/Africa/Windhoek.ics,
	  web/tzurl/zoneinfo-outlook/America/Adak.ics,
	  web/tzurl/zoneinfo-outlook/America/Anchorage.ics,
	  web/tzurl/zoneinfo-outlook/America/Anguilla.ics,
	  web/tzurl/zoneinfo-outlook/America/Antigua.ics,
	  web/tzurl/zoneinfo-outlook/America/Araguaina.ics,
	  web/tzurl/zoneinfo-outlook/America/Argentina/Buenos_Aires.ics,
	  web/tzurl/zoneinfo-outlook/America/Argentina/Catamarca.ics,
	  web/tzurl/zoneinfo-outlook/America/Argentina/Cordoba.ics,
	  web/tzurl/zoneinfo-outlook/America/Argentina/Jujuy.ics,
	  web/tzurl/zoneinfo-outlook/America/Argentina/La_Rioja.ics,
	  web/tzurl/zoneinfo-outlook/America/Argentina/Mendoza.ics,
	  web/tzurl/zoneinfo-outlook/America/Argentina/Rio_Gallegos.ics,
	  web/tzurl/zoneinfo-outlook/America/Argentina/Salta.ics,
	  web/tzurl/zoneinfo-outlook/America/Argentina/San_Juan.ics,
	  web/tzurl/zoneinfo-outlook/America/Argentina/San_Luis.ics,
	  web/tzurl/zoneinfo-outlook/America/Argentina/Tucuman.ics,
	  web/tzurl/zoneinfo-outlook/America/Argentina/Ushuaia.ics,
	  web/tzurl/zoneinfo-outlook/America/Aruba.ics,
	  web/tzurl/zoneinfo-outlook/America/Asuncion.ics,
	  web/tzurl/zoneinfo-outlook/America/Atikokan.ics,
	  web/tzurl/zoneinfo-outlook/America/Bahia.ics,
	  web/tzurl/zoneinfo-outlook/America/Bahia_Banderas.ics,
	  web/tzurl/zoneinfo-outlook/America/Barbados.ics,
	  web/tzurl/zoneinfo-outlook/America/Belem.ics,
	  web/tzurl/zoneinfo-outlook/America/Belize.ics,
	  web/tzurl/zoneinfo-outlook/America/Blanc-Sablon.ics,
	  web/tzurl/zoneinfo-outlook/America/Boa_Vista.ics,
	  web/tzurl/zoneinfo-outlook/America/Bogota.ics,
	  web/tzurl/zoneinfo-outlook/America/Boise.ics,
	  web/tzurl/zoneinfo-outlook/America/Cambridge_Bay.ics,
	  web/tzurl/zoneinfo-outlook/America/Campo_Grande.ics,
	  web/tzurl/zoneinfo-outlook/America/Cancun.ics,
	  web/tzurl/zoneinfo-outlook/America/Caracas.ics,
	  web/tzurl/zoneinfo-outlook/America/Cayenne.ics,
	  web/tzurl/zoneinfo-outlook/America/Cayman.ics,
	  web/tzurl/zoneinfo-outlook/America/Chicago.ics,
	  web/tzurl/zoneinfo-outlook/America/Chihuahua.ics,
	  web/tzurl/zoneinfo-outlook/America/Costa_Rica.ics,
	  web/tzurl/zoneinfo-outlook/America/Cuiaba.ics,
	  web/tzurl/zoneinfo-outlook/America/Curacao.ics,
	  web/tzurl/zoneinfo-outlook/America/Danmarkshavn.ics,
	  web/tzurl/zoneinfo-outlook/America/Dawson.ics,
	  web/tzurl/zoneinfo-outlook/America/Dawson_Creek.ics,
	  web/tzurl/zoneinfo-outlook/America/Denver.ics,
	  web/tzurl/zoneinfo-outlook/America/Detroit.ics,
	  web/tzurl/zoneinfo-outlook/America/Dominica.ics,
	  web/tzurl/zoneinfo-outlook/America/Edmonton.ics,
	  web/tzurl/zoneinfo-outlook/America/Eirunepe.ics,
	  web/tzurl/zoneinfo-outlook/America/El_Salvador.ics,
	  web/tzurl/zoneinfo-outlook/America/Fortaleza.ics,
	  web/tzurl/zoneinfo-outlook/America/Glace_Bay.ics,
	  web/tzurl/zoneinfo-outlook/America/Godthab.ics,
	  web/tzurl/zoneinfo-outlook/America/Goose_Bay.ics,
	  web/tzurl/zoneinfo-outlook/America/Grand_Turk.ics,
	  web/tzurl/zoneinfo-outlook/America/Grenada.ics,
	  web/tzurl/zoneinfo-outlook/America/Guadeloupe.ics,
	  web/tzurl/zoneinfo-outlook/America/Guatemala.ics,
	  web/tzurl/zoneinfo-outlook/America/Guayaquil.ics,
	  web/tzurl/zoneinfo-outlook/America/Guyana.ics,
	  web/tzurl/zoneinfo-outlook/America/Halifax.ics,
	  web/tzurl/zoneinfo-outlook/America/Havana.ics,
	  web/tzurl/zoneinfo-outlook/America/Hermosillo.ics,
	  web/tzurl/zoneinfo-outlook/America/Indiana/Indianapolis.ics,
	  web/tzurl/zoneinfo-outlook/America/Indiana/Knox.ics,
	  web/tzurl/zoneinfo-outlook/America/Indiana/Marengo.ics,
	  web/tzurl/zoneinfo-outlook/America/Indiana/Petersburg.ics,
	  web/tzurl/zoneinfo-outlook/America/Indiana/Tell_City.ics,
	  web/tzurl/zoneinfo-outlook/America/Indiana/Vevay.ics,
	  web/tzurl/zoneinfo-outlook/America/Indiana/Vincennes.ics,
	  web/tzurl/zoneinfo-outlook/America/Indiana/Winamac.ics,
	  web/tzurl/zoneinfo-outlook/America/Inuvik.ics,
	  web/tzurl/zoneinfo-outlook/America/Iqaluit.ics,
	  web/tzurl/zoneinfo-outlook/America/Jamaica.ics,
	  web/tzurl/zoneinfo-outlook/America/Juneau.ics,
	  web/tzurl/zoneinfo-outlook/America/Kentucky/Louisville.ics,
	  web/tzurl/zoneinfo-outlook/America/Kentucky/Monticello.ics,
	  web/tzurl/zoneinfo-outlook/America/Kralendijk.ics,
	  web/tzurl/zoneinfo-outlook/America/La_Paz.ics,
	  web/tzurl/zoneinfo-outlook/America/Lima.ics,
	  web/tzurl/zoneinfo-outlook/America/Los_Angeles.ics,
	  web/tzurl/zoneinfo-outlook/America/Lower_Princes.ics,
	  web/tzurl/zoneinfo-outlook/America/Maceio.ics,
	  web/tzurl/zoneinfo-outlook/America/Managua.ics,
	  web/tzurl/zoneinfo-outlook/America/Manaus.ics,
	  web/tzurl/zoneinfo-outlook/America/Marigot.ics,
	  web/tzurl/zoneinfo-outlook/America/Martinique.ics,
	  web/tzurl/zoneinfo-outlook/America/Matamoros.ics,
	  web/tzurl/zoneinfo-outlook/America/Mazatlan.ics,
	  web/tzurl/zoneinfo-outlook/America/Menominee.ics,
	  web/tzurl/zoneinfo-outlook/America/Merida.ics,
	  web/tzurl/zoneinfo-outlook/America/Metlakatla.ics,
	  web/tzurl/zoneinfo-outlook/America/Mexico_City.ics,
	  web/tzurl/zoneinfo-outlook/America/Miquelon.ics,
	  web/tzurl/zoneinfo-outlook/America/Moncton.ics,
	  web/tzurl/zoneinfo-outlook/America/Monterrey.ics,
	  web/tzurl/zoneinfo-outlook/America/Montevideo.ics,
	  web/tzurl/zoneinfo-outlook/America/Montreal.ics,
	  web/tzurl/zoneinfo-outlook/America/Montserrat.ics,
	  web/tzurl/zoneinfo-outlook/America/Nassau.ics,
	  web/tzurl/zoneinfo-outlook/America/New_York.ics,
	  web/tzurl/zoneinfo-outlook/America/Nipigon.ics,
	  web/tzurl/zoneinfo-outlook/America/Nome.ics,
	  web/tzurl/zoneinfo-outlook/America/Noronha.ics,
	  web/tzurl/zoneinfo-outlook/America/North_Dakota/Beulah.ics,
	  web/tzurl/zoneinfo-outlook/America/North_Dakota/Center.ics,
	  web/tzurl/zoneinfo-outlook/America/North_Dakota/New_Salem.ics,
	  web/tzurl/zoneinfo-outlook/America/Ojinaga.ics,
	  web/tzurl/zoneinfo-outlook/America/Panama.ics,
	  web/tzurl/zoneinfo-outlook/America/Pangnirtung.ics,
	  web/tzurl/zoneinfo-outlook/America/Paramaribo.ics,
	  web/tzurl/zoneinfo-outlook/America/Phoenix.ics,
	  web/tzurl/zoneinfo-outlook/America/Port-au-Prince.ics,
	  web/tzurl/zoneinfo-outlook/America/Port_of_Spain.ics,
	  web/tzurl/zoneinfo-outlook/America/Porto_Velho.ics,
	  web/tzurl/zoneinfo-outlook/America/Puerto_Rico.ics,
	  web/tzurl/zoneinfo-outlook/America/Rainy_River.ics,
	  web/tzurl/zoneinfo-outlook/America/Rankin_Inlet.ics,
	  web/tzurl/zoneinfo-outlook/America/Recife.ics,
	  web/tzurl/zoneinfo-outlook/America/Regina.ics,
	  web/tzurl/zoneinfo-outlook/America/Resolute.ics,
	  web/tzurl/zoneinfo-outlook/America/Rio_Branco.ics,
	  web/tzurl/zoneinfo-outlook/America/Santa_Isabel.ics,
	  web/tzurl/zoneinfo-outlook/America/Santarem.ics,
	  web/tzurl/zoneinfo-outlook/America/Santiago.ics,
	  web/tzurl/zoneinfo-outlook/America/Santo_Domingo.ics,
	  web/tzurl/zoneinfo-outlook/America/Sao_Paulo.ics,
	  web/tzurl/zoneinfo-outlook/America/Scoresbysund.ics,
	  web/tzurl/zoneinfo-outlook/America/Sitka.ics,
	  web/tzurl/zoneinfo-outlook/America/St_Barthelemy.ics,
	  web/tzurl/zoneinfo-outlook/America/St_Johns.ics,
	  web/tzurl/zoneinfo-outlook/America/St_Kitts.ics,
	  web/tzurl/zoneinfo-outlook/America/St_Lucia.ics,
	  web/tzurl/zoneinfo-outlook/America/St_Thomas.ics,
	  web/tzurl/zoneinfo-outlook/America/St_Vincent.ics,
	  web/tzurl/zoneinfo-outlook/America/Swift_Current.ics,
	  web/tzurl/zoneinfo-outlook/America/Tegucigalpa.ics,
	  web/tzurl/zoneinfo-outlook/America/Thule.ics,
	  web/tzurl/zoneinfo-outlook/America/Thunder_Bay.ics,
	  web/tzurl/zoneinfo-outlook/America/Tijuana.ics,
	  web/tzurl/zoneinfo-outlook/America/Toronto.ics,
	  web/tzurl/zoneinfo-outlook/America/Tortola.ics,
	  web/tzurl/zoneinfo-outlook/America/Vancouver.ics,
	  web/tzurl/zoneinfo-outlook/America/Whitehorse.ics,
	  web/tzurl/zoneinfo-outlook/America/Winnipeg.ics,
	  web/tzurl/zoneinfo-outlook/America/Yakutat.ics,
	  web/tzurl/zoneinfo-outlook/America/Yellowknife.ics,
	  web/tzurl/zoneinfo-outlook/Antarctica/Casey.ics,
	  web/tzurl/zoneinfo-outlook/Antarctica/Davis.ics,
	  web/tzurl/zoneinfo-outlook/Antarctica/DumontDUrville.ics,
	  web/tzurl/zoneinfo-outlook/Antarctica/Macquarie.ics,
	  web/tzurl/zoneinfo-outlook/Antarctica/Mawson.ics,
	  web/tzurl/zoneinfo-outlook/Antarctica/McMurdo.ics,
	  web/tzurl/zoneinfo-outlook/Antarctica/Palmer.ics,
	  web/tzurl/zoneinfo-outlook/Antarctica/Rothera.ics,
	  web/tzurl/zoneinfo-outlook/Antarctica/South_Pole.ics,
	  web/tzurl/zoneinfo-outlook/Antarctica/Syowa.ics,
	  web/tzurl/zoneinfo-outlook/Antarctica/Vostok.ics,
	  web/tzurl/zoneinfo-outlook/Arctic/Longyearbyen.ics,
	  web/tzurl/zoneinfo-outlook/Asia/Aden.ics,
	  web/tzurl/zoneinfo-outlook/Asia/Almaty.ics,
	  web/tzurl/zoneinfo-outlook/Asia/Amman.ics,
	  web/tzurl/zoneinfo-outlook/Asia/Anadyr.ics,
	  web/tzurl/zoneinfo-outlook/Asia/Aqtau.ics,
	  web/tzurl/zoneinfo-outlook/Asia/Aqtobe.ics,
	  web/tzurl/zoneinfo-outlook/Asia/Ashgabat.ics,
	  web/tzurl/zoneinfo-outlook/Asia/Baghdad.ics,
	  web/tzurl/zoneinfo-outlook/Asia/Bahrain.ics,
	  web/tzurl/zoneinfo-outlook/Asia/Baku.ics,
	  web/tzurl/zoneinfo-outlook/Asia/Bangkok.ics,
	  web/tzurl/zoneinfo-outlook/Asia/Beirut.ics,
	  web/tzurl/zoneinfo-outlook/Asia/Bishkek.ics,
	  web/tzurl/zoneinfo-outlook/Asia/Brunei.ics,
	  web/tzurl/zoneinfo-outlook/Asia/Choibalsan.ics,
	  web/tzurl/zoneinfo-outlook/Asia/Chongqing.ics,
	  web/tzurl/zoneinfo-outlook/Asia/Colombo.ics,
	  web/tzurl/zoneinfo-outlook/Asia/Damascus.ics,
	  web/tzurl/zoneinfo-outlook/Asia/Dhaka.ics,
	  web/tzurl/zoneinfo-outlook/Asia/Dili.ics,
	  web/tzurl/zoneinfo-outlook/Asia/Dubai.ics,
	  web/tzurl/zoneinfo-outlook/Asia/Dushanbe.ics,
	  web/tzurl/zoneinfo-outlook/Asia/Gaza.ics,
	  web/tzurl/zoneinfo-outlook/Asia/Harbin.ics,
	  web/tzurl/zoneinfo-outlook/Asia/Ho_Chi_Minh.ics,
	  web/tzurl/zoneinfo-outlook/Asia/Hong_Kong.ics,
	  web/tzurl/zoneinfo-outlook/Asia/Hovd.ics,
	  web/tzurl/zoneinfo-outlook/Asia/Irkutsk.ics,
	  web/tzurl/zoneinfo-outlook/Asia/Istanbul.ics,
	  web/tzurl/zoneinfo-outlook/Asia/Jakarta.ics,
	  web/tzurl/zoneinfo-outlook/Asia/Jayapura.ics,
	  web/tzurl/zoneinfo-outlook/Asia/Jerusalem.ics,
	  web/tzurl/zoneinfo-outlook/Asia/Kabul.ics,
	  web/tzurl/zoneinfo-outlook/Asia/Kamchatka.ics,
	  web/tzurl/zoneinfo-outlook/Asia/Karachi.ics,
	  web/tzurl/zoneinfo-outlook/Asia/Kashgar.ics,
	  web/tzurl/zoneinfo-outlook/Asia/Kathmandu.ics,
	  web/tzurl/zoneinfo-outlook/Asia/Kolkata.ics,
	  web/tzurl/zoneinfo-outlook/Asia/Krasnoyarsk.ics,
	  web/tzurl/zoneinfo-outlook/Asia/Kuala_Lumpur.ics,
	  web/tzurl/zoneinfo-outlook/Asia/Kuching.ics,
	  web/tzurl/zoneinfo-outlook/Asia/Kuwait.ics,
	  web/tzurl/zoneinfo-outlook/Asia/Macau.ics,
	  web/tzurl/zoneinfo-outlook/Asia/Magadan.ics,
	  web/tzurl/zoneinfo-outlook/Asia/Makassar.ics,
	  web/tzurl/zoneinfo-outlook/Asia/Manila.ics,
	  web/tzurl/zoneinfo-outlook/Asia/Muscat.ics,
	  web/tzurl/zoneinfo-outlook/Asia/Nicosia.ics,
	  web/tzurl/zoneinfo-outlook/Asia/Novokuznetsk.ics,
	  web/tzurl/zoneinfo-outlook/Asia/Novosibirsk.ics,
	  web/tzurl/zoneinfo-outlook/Asia/Omsk.ics,
	  web/tzurl/zoneinfo-outlook/Asia/Oral.ics,
	  web/tzurl/zoneinfo-outlook/Asia/Phnom_Penh.ics,
	  web/tzurl/zoneinfo-outlook/Asia/Pontianak.ics,
	  web/tzurl/zoneinfo-outlook/Asia/Pyongyang.ics,
	  web/tzurl/zoneinfo-outlook/Asia/Qatar.ics,
	  web/tzurl/zoneinfo-outlook/Asia/Qyzylorda.ics,
	  web/tzurl/zoneinfo-outlook/Asia/Rangoon.ics,
	  web/tzurl/zoneinfo-outlook/Asia/Riyadh.ics,
	  web/tzurl/zoneinfo-outlook/Asia/Sakhalin.ics,
	  web/tzurl/zoneinfo-outlook/Asia/Samarkand.ics,
	  web/tzurl/zoneinfo-outlook/Asia/Seoul.ics,
	  web/tzurl/zoneinfo-outlook/Asia/Shanghai.ics,
	  web/tzurl/zoneinfo-outlook/Asia/Singapore.ics,
	  web/tzurl/zoneinfo-outlook/Asia/Taipei.ics,
	  web/tzurl/zoneinfo-outlook/Asia/Tashkent.ics,
	  web/tzurl/zoneinfo-outlook/Asia/Tbilisi.ics,
	  web/tzurl/zoneinfo-outlook/Asia/Tehran.ics,
	  web/tzurl/zoneinfo-outlook/Asia/Thimphu.ics,
	  web/tzurl/zoneinfo-outlook/Asia/Tokyo.ics,
	  web/tzurl/zoneinfo-outlook/Asia/Ulaanbaatar.ics,
	  web/tzurl/zoneinfo-outlook/Asia/Urumqi.ics,
	  web/tzurl/zoneinfo-outlook/Asia/Vientiane.ics,
	  web/tzurl/zoneinfo-outlook/Asia/Vladivostok.ics,
	  web/tzurl/zoneinfo-outlook/Asia/Yakutsk.ics,
	  web/tzurl/zoneinfo-outlook/Asia/Yekaterinburg.ics,
	  web/tzurl/zoneinfo-outlook/Asia/Yerevan.ics,
	  web/tzurl/zoneinfo-outlook/Atlantic/Azores.ics,
	  web/tzurl/zoneinfo-outlook/Atlantic/Bermuda.ics,
	  web/tzurl/zoneinfo-outlook/Atlantic/Canary.ics,
	  web/tzurl/zoneinfo-outlook/Atlantic/Cape_Verde.ics,
	  web/tzurl/zoneinfo-outlook/Atlantic/Faroe.ics,
	  web/tzurl/zoneinfo-outlook/Atlantic/Madeira.ics,
	  web/tzurl/zoneinfo-outlook/Atlantic/Reykjavik.ics,
	  web/tzurl/zoneinfo-outlook/Atlantic/South_Georgia.ics,
	  web/tzurl/zoneinfo-outlook/Atlantic/St_Helena.ics,
	  web/tzurl/zoneinfo-outlook/Atlantic/Stanley.ics,
	  web/tzurl/zoneinfo-outlook/Australia/Adelaide.ics,
	  web/tzurl/zoneinfo-outlook/Australia/Brisbane.ics,
	  web/tzurl/zoneinfo-outlook/Australia/Currie.ics,
	  web/tzurl/zoneinfo-outlook/Australia/Darwin.ics,
	  web/tzurl/zoneinfo-outlook/Australia/Eucla.ics,
	  web/tzurl/zoneinfo-outlook/Australia/Hobart.ics,
	  web/tzurl/zoneinfo-outlook/Australia/Lindeman.ics,
	  web/tzurl/zoneinfo-outlook/Australia/Lord_Howe.ics,
	  web/tzurl/zoneinfo-outlook/Australia/Melbourne.ics,
	  web/tzurl/zoneinfo-outlook/Australia/Perth.ics,
	  web/tzurl/zoneinfo-outlook/Australia/Sydney.ics,
	  web/tzurl/zoneinfo-outlook/Europe/Amsterdam.ics,
	  web/tzurl/zoneinfo-outlook/Europe/Andorra.ics,
	  web/tzurl/zoneinfo-outlook/Europe/Athens.ics,
	  web/tzurl/zoneinfo-outlook/Europe/Belgrade.ics,
	  web/tzurl/zoneinfo-outlook/Europe/Berlin.ics,
	  web/tzurl/zoneinfo-outlook/Europe/Bratislava.ics,
	  web/tzurl/zoneinfo-outlook/Europe/Brussels.ics,
	  web/tzurl/zoneinfo-outlook/Europe/Bucharest.ics,
	  web/tzurl/zoneinfo-outlook/Europe/Budapest.ics,
	  web/tzurl/zoneinfo-outlook/Europe/Chisinau.ics,
	  web/tzurl/zoneinfo-outlook/Europe/Copenhagen.ics,
	  web/tzurl/zoneinfo-outlook/Europe/Dublin.ics,
	  web/tzurl/zoneinfo-outlook/Europe/Gibraltar.ics,
	  web/tzurl/zoneinfo-outlook/Europe/Guernsey.ics,
	  web/tzurl/zoneinfo-outlook/Europe/Helsinki.ics,
	  web/tzurl/zoneinfo-outlook/Europe/Isle_of_Man.ics,
	  web/tzurl/zoneinfo-outlook/Europe/Istanbul.ics,
	  web/tzurl/zoneinfo-outlook/Europe/Jersey.ics,
	  web/tzurl/zoneinfo-outlook/Europe/Kaliningrad.ics,
	  web/tzurl/zoneinfo-outlook/Europe/Kiev.ics,
	  web/tzurl/zoneinfo-outlook/Europe/Lisbon.ics,
	  web/tzurl/zoneinfo-outlook/Europe/Ljubljana.ics,
	  web/tzurl/zoneinfo-outlook/Europe/London.ics,
	  web/tzurl/zoneinfo-outlook/Europe/Luxembourg.ics,
	  web/tzurl/zoneinfo-outlook/Europe/Madrid.ics,
	  web/tzurl/zoneinfo-outlook/Europe/Malta.ics,
	  web/tzurl/zoneinfo-outlook/Europe/Mariehamn.ics,
	  web/tzurl/zoneinfo-outlook/Europe/Minsk.ics,
	  web/tzurl/zoneinfo-outlook/Europe/Monaco.ics,
	  web/tzurl/zoneinfo-outlook/Europe/Moscow.ics,
	  web/tzurl/zoneinfo-outlook/Europe/Nicosia.ics,
	  web/tzurl/zoneinfo-outlook/Europe/Oslo.ics,
	  web/tzurl/zoneinfo-outlook/Europe/Paris.ics,
	  web/tzurl/zoneinfo-outlook/Europe/Podgorica.ics,
	  web/tzurl/zoneinfo-outlook/Europe/Prague.ics,
	  web/tzurl/zoneinfo-outlook/Europe/Riga.ics,
	  web/tzurl/zoneinfo-outlook/Europe/Rome.ics,
	  web/tzurl/zoneinfo-outlook/Europe/Samara.ics,
	  web/tzurl/zoneinfo-outlook/Europe/San_Marino.ics,
	  web/tzurl/zoneinfo-outlook/Europe/Sarajevo.ics,
	  web/tzurl/zoneinfo-outlook/Europe/Simferopol.ics,
	  web/tzurl/zoneinfo-outlook/Europe/Skopje.ics,
	  web/tzurl/zoneinfo-outlook/Europe/Sofia.ics,
	  web/tzurl/zoneinfo-outlook/Europe/Stockholm.ics,
	  web/tzurl/zoneinfo-outlook/Europe/Tallinn.ics,
	  web/tzurl/zoneinfo-outlook/Europe/Uzhgorod.ics,
	  web/tzurl/zoneinfo-outlook/Europe/Vaduz.ics,
	  web/tzurl/zoneinfo-outlook/Europe/Vatican.ics,
	  web/tzurl/zoneinfo-outlook/Europe/Vienna.ics,
	  web/tzurl/zoneinfo-outlook/Europe/Vilnius.ics,
	  web/tzurl/zoneinfo-outlook/Europe/Volgograd.ics,
	  web/tzurl/zoneinfo-outlook/Europe/Warsaw.ics,
	  web/tzurl/zoneinfo-outlook/Europe/Zagreb.ics,
	  web/tzurl/zoneinfo-outlook/Europe/Zaporozhye.ics,
	  web/tzurl/zoneinfo-outlook/Europe/Zurich.ics,
	  web/tzurl/zoneinfo-outlook/Indian/Antananarivo.ics,
	  web/tzurl/zoneinfo-outlook/Indian/Chagos.ics,
	  web/tzurl/zoneinfo-outlook/Indian/Christmas.ics,
	  web/tzurl/zoneinfo-outlook/Indian/Cocos.ics,
	  web/tzurl/zoneinfo-outlook/Indian/Comoro.ics,
	  web/tzurl/zoneinfo-outlook/Indian/Kerguelen.ics,
	  web/tzurl/zoneinfo-outlook/Indian/Mahe.ics,
	  web/tzurl/zoneinfo-outlook/Indian/Maldives.ics,
	  web/tzurl/zoneinfo-outlook/Indian/Mauritius.ics,
	  web/tzurl/zoneinfo-outlook/Indian/Mayotte.ics,
	  web/tzurl/zoneinfo-outlook/Indian/Reunion.ics,
	  web/tzurl/zoneinfo-outlook/Pacific/Apia.ics,
	  web/tzurl/zoneinfo-outlook/Pacific/Auckland.ics,
	  web/tzurl/zoneinfo-outlook/Pacific/Chatham.ics,
	  web/tzurl/zoneinfo-outlook/Pacific/Chuuk.ics,
	  web/tzurl/zoneinfo-outlook/Pacific/Easter.ics,
	  web/tzurl/zoneinfo-outlook/Pacific/Efate.ics,
	  web/tzurl/zoneinfo-outlook/Pacific/Enderbury.ics,
	  web/tzurl/zoneinfo-outlook/Pacific/Fakaofo.ics,
	  web/tzurl/zoneinfo-outlook/Pacific/Fiji.ics,
	  web/tzurl/zoneinfo-outlook/Pacific/Funafuti.ics,
	  web/tzurl/zoneinfo-outlook/Pacific/Galapagos.ics,
	  web/tzurl/zoneinfo-outlook/Pacific/Gambier.ics,
	  web/tzurl/zoneinfo-outlook/Pacific/Guadalcanal.ics,
	  web/tzurl/zoneinfo-outlook/Pacific/Guam.ics,
	  web/tzurl/zoneinfo-outlook/Pacific/Honolulu.ics,
	  web/tzurl/zoneinfo-outlook/Pacific/Johnston.ics,
	  web/tzurl/zoneinfo-outlook/Pacific/Kiritimati.ics,
	  web/tzurl/zoneinfo-outlook/Pacific/Kosrae.ics,
	  web/tzurl/zoneinfo-outlook/Pacific/Kwajalein.ics,
	  web/tzurl/zoneinfo-outlook/Pacific/Majuro.ics,
	  web/tzurl/zoneinfo-outlook/Pacific/Marquesas.ics,
	  web/tzurl/zoneinfo-outlook/Pacific/Midway.ics,
	  web/tzurl/zoneinfo-outlook/Pacific/Nauru.ics,
	  web/tzurl/zoneinfo-outlook/Pacific/Niue.ics,
	  web/tzurl/zoneinfo-outlook/Pacific/Norfolk.ics,
	  web/tzurl/zoneinfo-outlook/Pacific/Noumea.ics,
	  web/tzurl/zoneinfo-outlook/Pacific/Pago_Pago.ics,
	  web/tzurl/zoneinfo-outlook/Pacific/Palau.ics,
	  web/tzurl/zoneinfo-outlook/Pacific/Pitcairn.ics,
	  web/tzurl/zoneinfo-outlook/Pacific/Pohnpei.ics,
	  web/tzurl/zoneinfo-outlook/Pacific/Ponape.ics,
	  web/tzurl/zoneinfo-outlook/Pacific/Port_Moresby.ics,
	  web/tzurl/zoneinfo-outlook/Pacific/Rarotonga.ics,
	  web/tzurl/zoneinfo-outlook/Pacific/Saipan.ics,
	  web/tzurl/zoneinfo-outlook/Pacific/Tahiti.ics,
	  web/tzurl/zoneinfo-outlook/Pacific/Tarawa.ics,
	  web/tzurl/zoneinfo-outlook/Pacific/Tongatapu.ics,
	  web/tzurl/zoneinfo-outlook/Pacific/Truk.ics,
	  web/tzurl/zoneinfo-outlook/Pacific/Wake.ics,
	  web/tzurl/zoneinfo-outlook/Pacific/Wallis.ics,
	  web/tzurl/zoneinfo/Africa/Abidjan.ics,
	  web/tzurl/zoneinfo/Africa/Accra.ics,
	  web/tzurl/zoneinfo/Africa/Addis_Ababa.ics,
	  web/tzurl/zoneinfo/Africa/Algiers.ics,
	  web/tzurl/zoneinfo/Africa/Asmara.ics,
	  web/tzurl/zoneinfo/Africa/Bamako.ics,
	  web/tzurl/zoneinfo/Africa/Bangui.ics,
	  web/tzurl/zoneinfo/Africa/Banjul.ics,
	  web/tzurl/zoneinfo/Africa/Bissau.ics,
	  web/tzurl/zoneinfo/Africa/Blantyre.ics,
	  web/tzurl/zoneinfo/Africa/Brazzaville.ics,
	  web/tzurl/zoneinfo/Africa/Bujumbura.ics,
	  web/tzurl/zoneinfo/Africa/Cairo.ics,
	  web/tzurl/zoneinfo/Africa/Casablanca.ics,
	  web/tzurl/zoneinfo/Africa/Ceuta.ics,
	  web/tzurl/zoneinfo/Africa/Conakry.ics,
	  web/tzurl/zoneinfo/Africa/Dakar.ics,
	  web/tzurl/zoneinfo/Africa/Dar_es_Salaam.ics,
	  web/tzurl/zoneinfo/Africa/Djibouti.ics,
	  web/tzurl/zoneinfo/Africa/Douala.ics,
	  web/tzurl/zoneinfo/Africa/El_Aaiun.ics,
	  web/tzurl/zoneinfo/Africa/Freetown.ics,
	  web/tzurl/zoneinfo/Africa/Gaborone.ics,
	  web/tzurl/zoneinfo/Africa/Harare.ics,
	  web/tzurl/zoneinfo/Africa/Johannesburg.ics,
	  web/tzurl/zoneinfo/Africa/Kampala.ics,
	  web/tzurl/zoneinfo/Africa/Khartoum.ics,
	  web/tzurl/zoneinfo/Africa/Kigali.ics,
	  web/tzurl/zoneinfo/Africa/Kinshasa.ics,
	  web/tzurl/zoneinfo/Africa/Lagos.ics,
	  web/tzurl/zoneinfo/Africa/Libreville.ics,
	  web/tzurl/zoneinfo/Africa/Lome.ics,
	  web/tzurl/zoneinfo/Africa/Luanda.ics,
	  web/tzurl/zoneinfo/Africa/Lubumbashi.ics,
	  web/tzurl/zoneinfo/Africa/Lusaka.ics,
	  web/tzurl/zoneinfo/Africa/Malabo.ics,
	  web/tzurl/zoneinfo/Africa/Maputo.ics,
	  web/tzurl/zoneinfo/Africa/Maseru.ics,
	  web/tzurl/zoneinfo/Africa/Mbabane.ics,
	  web/tzurl/zoneinfo/Africa/Mogadishu.ics,
	  web/tzurl/zoneinfo/Africa/Monrovia.ics,
	  web/tzurl/zoneinfo/Africa/Nairobi.ics,
	  web/tzurl/zoneinfo/Africa/Ndjamena.ics,
	  web/tzurl/zoneinfo/Africa/Niamey.ics,
	  web/tzurl/zoneinfo/Africa/Nouakchott.ics,
	  web/tzurl/zoneinfo/Africa/Ouagadougou.ics,
	  web/tzurl/zoneinfo/Africa/Porto-Novo.ics,
	  web/tzurl/zoneinfo/Africa/Sao_Tome.ics,
	  web/tzurl/zoneinfo/Africa/Tripoli.ics,
	  web/tzurl/zoneinfo/Africa/Tunis.ics,
	  web/tzurl/zoneinfo/Africa/Windhoek.ics,
	  web/tzurl/zoneinfo/America/Adak.ics,
	  web/tzurl/zoneinfo/America/Anchorage.ics,
	  web/tzurl/zoneinfo/America/Anguilla.ics,
	  web/tzurl/zoneinfo/America/Antigua.ics,
	  web/tzurl/zoneinfo/America/Araguaina.ics,
	  web/tzurl/zoneinfo/America/Argentina/Buenos_Aires.ics,
	  web/tzurl/zoneinfo/America/Argentina/Catamarca.ics,
	  web/tzurl/zoneinfo/America/Argentina/Cordoba.ics,
	  web/tzurl/zoneinfo/America/Argentina/Jujuy.ics,
	  web/tzurl/zoneinfo/America/Argentina/La_Rioja.ics,
	  web/tzurl/zoneinfo/America/Argentina/Mendoza.ics,
	  web/tzurl/zoneinfo/America/Argentina/Rio_Gallegos.ics,
	  web/tzurl/zoneinfo/America/Argentina/Salta.ics,
	  web/tzurl/zoneinfo/America/Argentina/San_Juan.ics,
	  web/tzurl/zoneinfo/America/Argentina/San_Luis.ics,
	  web/tzurl/zoneinfo/America/Argentina/Tucuman.ics,
	  web/tzurl/zoneinfo/America/Argentina/Ushuaia.ics,
	  web/tzurl/zoneinfo/America/Aruba.ics,
	  web/tzurl/zoneinfo/America/Asuncion.ics,
	  web/tzurl/zoneinfo/America/Atikokan.ics,
	  web/tzurl/zoneinfo/America/Bahia.ics,
	  web/tzurl/zoneinfo/America/Bahia_Banderas.ics,
	  web/tzurl/zoneinfo/America/Barbados.ics,
	  web/tzurl/zoneinfo/America/Belem.ics,
	  web/tzurl/zoneinfo/America/Belize.ics,
	  web/tzurl/zoneinfo/America/Blanc-Sablon.ics,
	  web/tzurl/zoneinfo/America/Boa_Vista.ics,
	  web/tzurl/zoneinfo/America/Bogota.ics,
	  web/tzurl/zoneinfo/America/Boise.ics,
	  web/tzurl/zoneinfo/America/Cambridge_Bay.ics,
	  web/tzurl/zoneinfo/America/Campo_Grande.ics,
	  web/tzurl/zoneinfo/America/Cancun.ics,
	  web/tzurl/zoneinfo/America/Caracas.ics,
	  web/tzurl/zoneinfo/America/Cayenne.ics,
	  web/tzurl/zoneinfo/America/Cayman.ics,
	  web/tzurl/zoneinfo/America/Chicago.ics,
	  web/tzurl/zoneinfo/America/Chihuahua.ics,
	  web/tzurl/zoneinfo/America/Costa_Rica.ics,
	  web/tzurl/zoneinfo/America/Cuiaba.ics,
	  web/tzurl/zoneinfo/America/Curacao.ics,
	  web/tzurl/zoneinfo/America/Danmarkshavn.ics,
	  web/tzurl/zoneinfo/America/Dawson.ics,
	  web/tzurl/zoneinfo/America/Dawson_Creek.ics,
	  web/tzurl/zoneinfo/America/Denver.ics,
	  web/tzurl/zoneinfo/America/Detroit.ics,
	  web/tzurl/zoneinfo/America/Dominica.ics,
	  web/tzurl/zoneinfo/America/Edmonton.ics,
	  web/tzurl/zoneinfo/America/Eirunepe.ics,
	  web/tzurl/zoneinfo/America/El_Salvador.ics,
	  web/tzurl/zoneinfo/America/Fortaleza.ics,
	  web/tzurl/zoneinfo/America/Glace_Bay.ics,
	  web/tzurl/zoneinfo/America/Godthab.ics,
	  web/tzurl/zoneinfo/America/Goose_Bay.ics,
	  web/tzurl/zoneinfo/America/Grand_Turk.ics,
	  web/tzurl/zoneinfo/America/Grenada.ics,
	  web/tzurl/zoneinfo/America/Guadeloupe.ics,
	  web/tzurl/zoneinfo/America/Guatemala.ics,
	  web/tzurl/zoneinfo/America/Guayaquil.ics,
	  web/tzurl/zoneinfo/America/Guyana.ics,
	  web/tzurl/zoneinfo/America/Halifax.ics,
	  web/tzurl/zoneinfo/America/Havana.ics,
	  web/tzurl/zoneinfo/America/Hermosillo.ics,
	  web/tzurl/zoneinfo/America/Indiana/Indianapolis.ics,
	  web/tzurl/zoneinfo/America/Indiana/Knox.ics,
	  web/tzurl/zoneinfo/America/Indiana/Marengo.ics,
	  web/tzurl/zoneinfo/America/Indiana/Petersburg.ics,
	  web/tzurl/zoneinfo/America/Indiana/Tell_City.ics,
	  web/tzurl/zoneinfo/America/Indiana/Vevay.ics,
	  web/tzurl/zoneinfo/America/Indiana/Vincennes.ics,
	  web/tzurl/zoneinfo/America/Indiana/Winamac.ics,
	  web/tzurl/zoneinfo/America/Inuvik.ics,
	  web/tzurl/zoneinfo/America/Iqaluit.ics,
	  web/tzurl/zoneinfo/America/Jamaica.ics,
	  web/tzurl/zoneinfo/America/Juneau.ics,
	  web/tzurl/zoneinfo/America/Kentucky/Louisville.ics,
	  web/tzurl/zoneinfo/America/Kentucky/Monticello.ics,
	  web/tzurl/zoneinfo/America/Kralendijk.ics,
	  web/tzurl/zoneinfo/America/La_Paz.ics,
	  web/tzurl/zoneinfo/America/Lima.ics,
	  web/tzurl/zoneinfo/America/Los_Angeles.ics,
	  web/tzurl/zoneinfo/America/Lower_Princes.ics,
	  web/tzurl/zoneinfo/America/Maceio.ics,
	  web/tzurl/zoneinfo/America/Managua.ics,
	  web/tzurl/zoneinfo/America/Manaus.ics,
	  web/tzurl/zoneinfo/America/Marigot.ics,
	  web/tzurl/zoneinfo/America/Martinique.ics,
	  web/tzurl/zoneinfo/America/Matamoros.ics,
	  web/tzurl/zoneinfo/America/Mazatlan.ics,
	  web/tzurl/zoneinfo/America/Menominee.ics,
	  web/tzurl/zoneinfo/America/Merida.ics,
	  web/tzurl/zoneinfo/America/Metlakatla.ics,
	  web/tzurl/zoneinfo/America/Mexico_City.ics,
	  web/tzurl/zoneinfo/America/Miquelon.ics,
	  web/tzurl/zoneinfo/America/Moncton.ics,
	  web/tzurl/zoneinfo/America/Monterrey.ics,
	  web/tzurl/zoneinfo/America/Montevideo.ics,
	  web/tzurl/zoneinfo/America/Montreal.ics,
	  web/tzurl/zoneinfo/America/Montserrat.ics,
	  web/tzurl/zoneinfo/America/Nassau.ics,
	  web/tzurl/zoneinfo/America/New_York.ics,
	  web/tzurl/zoneinfo/America/Nipigon.ics,
	  web/tzurl/zoneinfo/America/Nome.ics,
	  web/tzurl/zoneinfo/America/Noronha.ics,
	  web/tzurl/zoneinfo/America/North_Dakota/Beulah.ics,
	  web/tzurl/zoneinfo/America/North_Dakota/Center.ics,
	  web/tzurl/zoneinfo/America/North_Dakota/New_Salem.ics,
	  web/tzurl/zoneinfo/America/Ojinaga.ics,
	  web/tzurl/zoneinfo/America/Panama.ics,
	  web/tzurl/zoneinfo/America/Pangnirtung.ics,
	  web/tzurl/zoneinfo/America/Paramaribo.ics,
	  web/tzurl/zoneinfo/America/Phoenix.ics,
	  web/tzurl/zoneinfo/America/Port-au-Prince.ics,
	  web/tzurl/zoneinfo/America/Port_of_Spain.ics,
	  web/tzurl/zoneinfo/America/Porto_Velho.ics,
	  web/tzurl/zoneinfo/America/Puerto_Rico.ics,
	  web/tzurl/zoneinfo/America/Rainy_River.ics,
	  web/tzurl/zoneinfo/America/Rankin_Inlet.ics,
	  web/tzurl/zoneinfo/America/Recife.ics,
	  web/tzurl/zoneinfo/America/Regina.ics,
	  web/tzurl/zoneinfo/America/Resolute.ics,
	  web/tzurl/zoneinfo/America/Rio_Branco.ics,
	  web/tzurl/zoneinfo/America/Santa_Isabel.ics,
	  web/tzurl/zoneinfo/America/Santarem.ics,
	  web/tzurl/zoneinfo/America/Santiago.ics,
	  web/tzurl/zoneinfo/America/Santo_Domingo.ics,
	  web/tzurl/zoneinfo/America/Sao_Paulo.ics,
	  web/tzurl/zoneinfo/America/Scoresbysund.ics,
	  web/tzurl/zoneinfo/America/Sitka.ics,
	  web/tzurl/zoneinfo/America/St_Barthelemy.ics,
	  web/tzurl/zoneinfo/America/St_Johns.ics,
	  web/tzurl/zoneinfo/America/St_Kitts.ics,
	  web/tzurl/zoneinfo/America/St_Lucia.ics,
	  web/tzurl/zoneinfo/America/St_Thomas.ics,
	  web/tzurl/zoneinfo/America/St_Vincent.ics,
	  web/tzurl/zoneinfo/America/Swift_Current.ics,
	  web/tzurl/zoneinfo/America/Tegucigalpa.ics,
	  web/tzurl/zoneinfo/America/Thule.ics,
	  web/tzurl/zoneinfo/America/Thunder_Bay.ics,
	  web/tzurl/zoneinfo/America/Tijuana.ics,
	  web/tzurl/zoneinfo/America/Toronto.ics,
	  web/tzurl/zoneinfo/America/Tortola.ics,
	  web/tzurl/zoneinfo/America/Vancouver.ics,
	  web/tzurl/zoneinfo/America/Whitehorse.ics,
	  web/tzurl/zoneinfo/America/Winnipeg.ics,
	  web/tzurl/zoneinfo/America/Yakutat.ics,
	  web/tzurl/zoneinfo/America/Yellowknife.ics,
	  web/tzurl/zoneinfo/Antarctica/Casey.ics,
	  web/tzurl/zoneinfo/Antarctica/Davis.ics,
	  web/tzurl/zoneinfo/Antarctica/DumontDUrville.ics,
	  web/tzurl/zoneinfo/Antarctica/Macquarie.ics,
	  web/tzurl/zoneinfo/Antarctica/Mawson.ics,
	  web/tzurl/zoneinfo/Antarctica/McMurdo.ics,
	  web/tzurl/zoneinfo/Antarctica/Palmer.ics,
	  web/tzurl/zoneinfo/Antarctica/Rothera.ics,
	  web/tzurl/zoneinfo/Antarctica/South_Pole.ics,
	  web/tzurl/zoneinfo/Antarctica/Syowa.ics,
	  web/tzurl/zoneinfo/Antarctica/Vostok.ics,
	  web/tzurl/zoneinfo/Arctic/Longyearbyen.ics,
	  web/tzurl/zoneinfo/Asia/Aden.ics,
	  web/tzurl/zoneinfo/Asia/Almaty.ics,
	  web/tzurl/zoneinfo/Asia/Amman.ics,
	  web/tzurl/zoneinfo/Asia/Anadyr.ics,
	  web/tzurl/zoneinfo/Asia/Aqtau.ics,
	  web/tzurl/zoneinfo/Asia/Aqtobe.ics,
	  web/tzurl/zoneinfo/Asia/Ashgabat.ics,
	  web/tzurl/zoneinfo/Asia/Baghdad.ics,
	  web/tzurl/zoneinfo/Asia/Bahrain.ics,
	  web/tzurl/zoneinfo/Asia/Baku.ics,
	  web/tzurl/zoneinfo/Asia/Bangkok.ics,
	  web/tzurl/zoneinfo/Asia/Beirut.ics,
	  web/tzurl/zoneinfo/Asia/Bishkek.ics,
	  web/tzurl/zoneinfo/Asia/Brunei.ics,
	  web/tzurl/zoneinfo/Asia/Choibalsan.ics,
	  web/tzurl/zoneinfo/Asia/Chongqing.ics,
	  web/tzurl/zoneinfo/Asia/Colombo.ics,
	  web/tzurl/zoneinfo/Asia/Damascus.ics,
	  web/tzurl/zoneinfo/Asia/Dhaka.ics,
	  web/tzurl/zoneinfo/Asia/Dili.ics,
	  web/tzurl/zoneinfo/Asia/Dubai.ics,
	  web/tzurl/zoneinfo/Asia/Dushanbe.ics,
	  web/tzurl/zoneinfo/Asia/Gaza.ics,
	  web/tzurl/zoneinfo/Asia/Harbin.ics,
	  web/tzurl/zoneinfo/Asia/Ho_Chi_Minh.ics,
	  web/tzurl/zoneinfo/Asia/Hong_Kong.ics,
	  web/tzurl/zoneinfo/Asia/Hovd.ics,
	  web/tzurl/zoneinfo/Asia/Irkutsk.ics,
	  web/tzurl/zoneinfo/Asia/Istanbul.ics,
	  web/tzurl/zoneinfo/Asia/Jakarta.ics,
	  web/tzurl/zoneinfo/Asia/Jayapura.ics,
	  web/tzurl/zoneinfo/Asia/Jerusalem.ics,
	  web/tzurl/zoneinfo/Asia/Kabul.ics,
	  web/tzurl/zoneinfo/Asia/Kamchatka.ics,
	  web/tzurl/zoneinfo/Asia/Karachi.ics,
	  web/tzurl/zoneinfo/Asia/Kashgar.ics,
	  web/tzurl/zoneinfo/Asia/Kathmandu.ics,
	  web/tzurl/zoneinfo/Asia/Kolkata.ics,
	  web/tzurl/zoneinfo/Asia/Krasnoyarsk.ics,
	  web/tzurl/zoneinfo/Asia/Kuala_Lumpur.ics,
	  web/tzurl/zoneinfo/Asia/Kuching.ics,
	  web/tzurl/zoneinfo/Asia/Kuwait.ics,
	  web/tzurl/zoneinfo/Asia/Macau.ics,
	  web/tzurl/zoneinfo/Asia/Magadan.ics,
	  web/tzurl/zoneinfo/Asia/Makassar.ics,
	  web/tzurl/zoneinfo/Asia/Manila.ics,
	  web/tzurl/zoneinfo/Asia/Muscat.ics,
	  web/tzurl/zoneinfo/Asia/Nicosia.ics,
	  web/tzurl/zoneinfo/Asia/Novokuznetsk.ics,
	  web/tzurl/zoneinfo/Asia/Novosibirsk.ics,
	  web/tzurl/zoneinfo/Asia/Omsk.ics,
	  web/tzurl/zoneinfo/Asia/Oral.ics,
	  web/tzurl/zoneinfo/Asia/Phnom_Penh.ics,
	  web/tzurl/zoneinfo/Asia/Pontianak.ics,
	  web/tzurl/zoneinfo/Asia/Pyongyang.ics,
	  web/tzurl/zoneinfo/Asia/Qatar.ics,
	  web/tzurl/zoneinfo/Asia/Qyzylorda.ics,
	  web/tzurl/zoneinfo/Asia/Rangoon.ics,
	  web/tzurl/zoneinfo/Asia/Riyadh.ics,
	  web/tzurl/zoneinfo/Asia/Sakhalin.ics,
	  web/tzurl/zoneinfo/Asia/Samarkand.ics,
	  web/tzurl/zoneinfo/Asia/Seoul.ics,
	  web/tzurl/zoneinfo/Asia/Shanghai.ics,
	  web/tzurl/zoneinfo/Asia/Singapore.ics,
	  web/tzurl/zoneinfo/Asia/Taipei.ics,
	  web/tzurl/zoneinfo/Asia/Tashkent.ics,
	  web/tzurl/zoneinfo/Asia/Tbilisi.ics,
	  web/tzurl/zoneinfo/Asia/Tehran.ics,
	  web/tzurl/zoneinfo/Asia/Thimphu.ics,
	  web/tzurl/zoneinfo/Asia/Tokyo.ics,
	  web/tzurl/zoneinfo/Asia/Ulaanbaatar.ics,
	  web/tzurl/zoneinfo/Asia/Urumqi.ics,
	  web/tzurl/zoneinfo/Asia/Vientiane.ics,
	  web/tzurl/zoneinfo/Asia/Vladivostok.ics,
	  web/tzurl/zoneinfo/Asia/Yakutsk.ics,
	  web/tzurl/zoneinfo/Asia/Yekaterinburg.ics,
	  web/tzurl/zoneinfo/Asia/Yerevan.ics,
	  web/tzurl/zoneinfo/Atlantic/Azores.ics,
	  web/tzurl/zoneinfo/Atlantic/Bermuda.ics,
	  web/tzurl/zoneinfo/Atlantic/Canary.ics,
	  web/tzurl/zoneinfo/Atlantic/Cape_Verde.ics,
	  web/tzurl/zoneinfo/Atlantic/Faroe.ics,
	  web/tzurl/zoneinfo/Atlantic/Madeira.ics,
	  web/tzurl/zoneinfo/Atlantic/Reykjavik.ics,
	  web/tzurl/zoneinfo/Atlantic/South_Georgia.ics,
	  web/tzurl/zoneinfo/Atlantic/St_Helena.ics,
	  web/tzurl/zoneinfo/Atlantic/Stanley.ics,
	  web/tzurl/zoneinfo/Australia/Adelaide.ics,
	  web/tzurl/zoneinfo/Australia/Brisbane.ics,
	  web/tzurl/zoneinfo/Australia/Currie.ics,
	  web/tzurl/zoneinfo/Australia/Darwin.ics,
	  web/tzurl/zoneinfo/Australia/Eucla.ics,
	  web/tzurl/zoneinfo/Australia/Hobart.ics,
	  web/tzurl/zoneinfo/Australia/Lindeman.ics,
	  web/tzurl/zoneinfo/Australia/Lord_Howe.ics,
	  web/tzurl/zoneinfo/Australia/Melbourne.ics,
	  web/tzurl/zoneinfo/Australia/Perth.ics,
	  web/tzurl/zoneinfo/Australia/Sydney.ics,
	  web/tzurl/zoneinfo/Europe/Amsterdam.ics,
	  web/tzurl/zoneinfo/Europe/Andorra.ics,
	  web/tzurl/zoneinfo/Europe/Athens.ics,
	  web/tzurl/zoneinfo/Europe/Belgrade.ics,
	  web/tzurl/zoneinfo/Europe/Berlin.ics,
	  web/tzurl/zoneinfo/Europe/Bratislava.ics,
	  web/tzurl/zoneinfo/Europe/Brussels.ics,
	  web/tzurl/zoneinfo/Europe/Bucharest.ics,
	  web/tzurl/zoneinfo/Europe/Budapest.ics,
	  web/tzurl/zoneinfo/Europe/Chisinau.ics,
	  web/tzurl/zoneinfo/Europe/Copenhagen.ics,
	  web/tzurl/zoneinfo/Europe/Dublin.ics,
	  web/tzurl/zoneinfo/Europe/Gibraltar.ics,
	  web/tzurl/zoneinfo/Europe/Guernsey.ics,
	  web/tzurl/zoneinfo/Europe/Helsinki.ics,
	  web/tzurl/zoneinfo/Europe/Isle_of_Man.ics,
	  web/tzurl/zoneinfo/Europe/Istanbul.ics,
	  web/tzurl/zoneinfo/Europe/Jersey.ics,
	  web/tzurl/zoneinfo/Europe/Kaliningrad.ics,
	  web/tzurl/zoneinfo/Europe/Kiev.ics,
	  web/tzurl/zoneinfo/Europe/Lisbon.ics,
	  web/tzurl/zoneinfo/Europe/Ljubljana.ics,
	  web/tzurl/zoneinfo/Europe/London.ics,
	  web/tzurl/zoneinfo/Europe/Luxembourg.ics,
	  web/tzurl/zoneinfo/Europe/Madrid.ics,
	  web/tzurl/zoneinfo/Europe/Malta.ics,
	  web/tzurl/zoneinfo/Europe/Mariehamn.ics,
	  web/tzurl/zoneinfo/Europe/Minsk.ics,
	  web/tzurl/zoneinfo/Europe/Monaco.ics,
	  web/tzurl/zoneinfo/Europe/Moscow.ics,
	  web/tzurl/zoneinfo/Europe/Nicosia.ics,
	  web/tzurl/zoneinfo/Europe/Oslo.ics,
	  web/tzurl/zoneinfo/Europe/Paris.ics,
	  web/tzurl/zoneinfo/Europe/Podgorica.ics,
	  web/tzurl/zoneinfo/Europe/Prague.ics,
	  web/tzurl/zoneinfo/Europe/Riga.ics,
	  web/tzurl/zoneinfo/Europe/Rome.ics,
	  web/tzurl/zoneinfo/Europe/Samara.ics,
	  web/tzurl/zoneinfo/Europe/San_Marino.ics,
	  web/tzurl/zoneinfo/Europe/Sarajevo.ics,
	  web/tzurl/zoneinfo/Europe/Simferopol.ics,
	  web/tzurl/zoneinfo/Europe/Skopje.ics,
	  web/tzurl/zoneinfo/Europe/Sofia.ics,
	  web/tzurl/zoneinfo/Europe/Stockholm.ics,
	  web/tzurl/zoneinfo/Europe/Tallinn.ics,
	  web/tzurl/zoneinfo/Europe/Uzhgorod.ics,
	  web/tzurl/zoneinfo/Europe/Vaduz.ics,
	  web/tzurl/zoneinfo/Europe/Vatican.ics,
	  web/tzurl/zoneinfo/Europe/Vienna.ics,
	  web/tzurl/zoneinfo/Europe/Vilnius.ics,
	  web/tzurl/zoneinfo/Europe/Volgograd.ics,
	  web/tzurl/zoneinfo/Europe/Warsaw.ics,
	  web/tzurl/zoneinfo/Europe/Zagreb.ics,
	  web/tzurl/zoneinfo/Europe/Zaporozhye.ics,
	  web/tzurl/zoneinfo/Europe/Zurich.ics,
	  web/tzurl/zoneinfo/Indian/Antananarivo.ics,
	  web/tzurl/zoneinfo/Indian/Chagos.ics,
	  web/tzurl/zoneinfo/Indian/Christmas.ics,
	  web/tzurl/zoneinfo/Indian/Cocos.ics,
	  web/tzurl/zoneinfo/Indian/Comoro.ics,
	  web/tzurl/zoneinfo/Indian/Kerguelen.ics,
	  web/tzurl/zoneinfo/Indian/Mahe.ics,
	  web/tzurl/zoneinfo/Indian/Maldives.ics,
	  web/tzurl/zoneinfo/Indian/Mauritius.ics,
	  web/tzurl/zoneinfo/Indian/Mayotte.ics,
	  web/tzurl/zoneinfo/Indian/Reunion.ics,
	  web/tzurl/zoneinfo/Pacific/Apia.ics,
	  web/tzurl/zoneinfo/Pacific/Auckland.ics,
	  web/tzurl/zoneinfo/Pacific/Chatham.ics,
	  web/tzurl/zoneinfo/Pacific/Chuuk.ics,
	  web/tzurl/zoneinfo/Pacific/Easter.ics,
	  web/tzurl/zoneinfo/Pacific/Efate.ics,
	  web/tzurl/zoneinfo/Pacific/Enderbury.ics,
	  web/tzurl/zoneinfo/Pacific/Fakaofo.ics,
	  web/tzurl/zoneinfo/Pacific/Fiji.ics,
	  web/tzurl/zoneinfo/Pacific/Funafuti.ics,
	  web/tzurl/zoneinfo/Pacific/Galapagos.ics,
	  web/tzurl/zoneinfo/Pacific/Gambier.ics,
	  web/tzurl/zoneinfo/Pacific/Guadalcanal.ics,
	  web/tzurl/zoneinfo/Pacific/Guam.ics,
	  web/tzurl/zoneinfo/Pacific/Honolulu.ics,
	  web/tzurl/zoneinfo/Pacific/Johnston.ics,
	  web/tzurl/zoneinfo/Pacific/Kiritimati.ics,
	  web/tzurl/zoneinfo/Pacific/Kosrae.ics,
	  web/tzurl/zoneinfo/Pacific/Kwajalein.ics,
	  web/tzurl/zoneinfo/Pacific/Majuro.ics,
	  web/tzurl/zoneinfo/Pacific/Marquesas.ics,
	  web/tzurl/zoneinfo/Pacific/Midway.ics,
	  web/tzurl/zoneinfo/Pacific/Nauru.ics,
	  web/tzurl/zoneinfo/Pacific/Niue.ics,
	  web/tzurl/zoneinfo/Pacific/Norfolk.ics,
	  web/tzurl/zoneinfo/Pacific/Noumea.ics,
	  web/tzurl/zoneinfo/Pacific/Pago_Pago.ics,
	  web/tzurl/zoneinfo/Pacific/Palau.ics,
	  web/tzurl/zoneinfo/Pacific/Pitcairn.ics,
	  web/tzurl/zoneinfo/Pacific/Pohnpei.ics,
	  web/tzurl/zoneinfo/Pacific/Ponape.ics,
	  web/tzurl/zoneinfo/Pacific/Port_Moresby.ics,
	  web/tzurl/zoneinfo/Pacific/Rarotonga.ics,
	  web/tzurl/zoneinfo/Pacific/Saipan.ics,
	  web/tzurl/zoneinfo/Pacific/Tahiti.ics,
	  web/tzurl/zoneinfo/Pacific/Tarawa.ics,
	  web/tzurl/zoneinfo/Pacific/Tongatapu.ics,
	  web/tzurl/zoneinfo/Pacific/Truk.ics,
	  web/tzurl/zoneinfo/Pacific/Wake.ics,
	  web/tzurl/zoneinfo/Pacific/Wallis.ics:
	  
	  Removed eol-style property from timezone definition files (see SF
	  ID 3535135)

2012-07-17 08:10  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2335] web/js/edit_entry.js.php:
	  
	  Disabled Ajax conflict checking on the edit entry form if the
	  user hasn't logged in.

2012-07-13 16:19  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2334] web/language.inc:
	  
	  Fixed bug (introduced during JavaScript restructuring) causing
	  the units on the time slots on the edit_entry form not to be
	  translated.

2012-07-13 14:08  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2333] web/day.php, web/functions.inc, web/js/resizable.js.php,
	  web/week.php:
	  
	  Fixed bug preventing resizable bookings from working when there's
	  only one time slot or period in the day.

2012-07-12 20:07  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2332] web/systemdefaults.inc.php:
	  
	  Fixed bug to do with .ics attachment name introduced during
	  recent restructuring

2012-07-11 17:52  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2331] web/report.php:
	  
	  Fixed bug in summary table header when only using a single mode
	  (periods/times)

2012-07-11 17:36  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2330] web/systemdefaults.inc.php:
	  
	  Added comment

2012-07-11 16:53  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2329] web/report.php:
	  
	  Fixed bug when producing reports using custom fields and a
	  mandatory field which is a select box

2012-07-11 16:42  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2328] web/report.php:
	  
	  Restructured code to make it easier to add other output formats

2012-07-11 16:14  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2327] web/report.php:
	  
	  Fixed bug - not sure what the manifestation would have been

2012-07-11 15:28  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2326] web/css/mrbs.css.php, web/js/report.js.php,
	  web/report.php:
	  
	  Restructured code

2012-07-10 14:59  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2325] web/report.php:
	  
	  Removed the need for the error suppression operator when
	  calculating the summary table, thus simplifying debugging by
	  allowing development using error_reporting(-1).

2012-07-10 14:41  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2324] web/report.php:
	  
	  Restructured code

2012-07-10 08:37  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2323] web/report.php:
	  
	  Restructured code

2012-07-09 09:44  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2322] web/report.php, web/systemdefaults.inc.php:
	  
	  Restructured code slightly

2012-07-08 15:45  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2321] web/functions.inc, web/internalconfig.inc.php,
	  web/js/report.js.php, web/lang/lang.ca, web/lang/lang.cs,
	  web/lang/lang.da, web/lang/lang.de, web/lang/lang.el,
	  web/lang/lang.en, web/lang/lang.es, web/lang/lang.eu,
	  web/lang/lang.fi, web/lang/lang.fr, web/lang/lang.he,
	  web/lang/lang.hu, web/lang/lang.it, web/lang/lang.ja,
	  web/lang/lang.ko, web/lang/lang.nl, web/lang/lang.no,
	  web/lang/lang.pl, web/lang/lang.pt, web/lang/lang.pt-br,
	  web/lang/lang.ru, web/lang/lang.sl, web/lang/lang.sv,
	  web/lang/lang.th, web/lang/lang.tr, web/lang/lang.zh-cn,
	  web/lang/lang.zh-tw, web/report.php:
	  
	  Simplified presentation of output options on report form.

2012-07-06 15:53  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2320] web/js/datepicker.js.php:
	  
	  Fixed bug introduced during JavaScript reorganisation causing
	  browser language settings not to be respected by the datepickers.

2012-07-06 15:10  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2319] web/Themes/default/header.inc:
	  
	  Made the Search box in the header an HTML5 "required" input to
	  prevent users entering an empty search string

2012-07-06 15:06  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2318] web/Themes/default/header.inc, web/js[ADD],
	  web/js.inc[ADD], web/js/admin.js.php[ADD],
	  web/js/cell_click.js.php[ADD], web/js/datatables.js.php[ADD],
	  web/js/datepicker.js.php[ADD], web/js/edit_area_room.js.php[ADD],
	  web/js/edit_entry.js.php[ADD], web/js/edit_users.js.php[ADD],
	  web/js/functions.js.php[ADD], web/js/general.js.php[ADD],
	  web/js/multiple.js.php[ADD], web/js/pending.js.php[ADD],
	  web/js/report.js.php[ADD], web/js/resizable.js.php[ADD],
	  web/js/search.js.php[ADD]:
	  
	  Moved JavaScript out of header.inc and into a separate directory

2012-07-06 14:14  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2317] web/functions.inc:
	  
	  Added a couple of extra headers to expires_header() to encourage
	  caching

2012-07-05 15:40  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2316] web/edit_entry_handler.php:
	  
	  Fixed bug causing resizable bookings not to work properly when
	  using periods

2012-07-05 09:15  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2315] web/search.php:
	  
	  Made the search string an HTML5 'required' field

2012-07-05 09:12  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2314] web/report.php, web/search.php:
	  
	  Fixed bug causing the wrong results to be returned if you happen
	  to search for the text that is associated with the '' option in a
	  mandatory custom field that uses a select box.

2012-07-02 11:12  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2313] web/css[ADD], web/css/mrbs-ie-rtl.css[CPY],
	  web/css/mrbs-ie.css[CPY], web/css/mrbs-ie8.css[CPY],
	  web/css/mrbs-ielte6.css[CPY], web/css/mrbs-ielte7.css.php[CPY],
	  web/css/mrbs-ielte8.css[CPY], web/css/mrbs-mail.css[CPY],
	  web/css/mrbs-print.css.php[CPY], web/css/mrbs-rtl.css.php[CPY],
	  web/css/mrbs.css.php[CPY], web/functions_mail.inc,
	  web/mrbs-ie-rtl.css[DEL], web/mrbs-ie.css[DEL],
	  web/mrbs-ie8.css[DEL], web/mrbs-ielte6.css[DEL],
	  web/mrbs-ielte7.css.php[DEL], web/mrbs-ielte8.css[DEL],
	  web/mrbs-mail.css[DEL], web/mrbs-print.css.php[DEL],
	  web/mrbs-rtl.css.php[DEL], web/mrbs.css.php[DEL], web/style.inc:
	  
	  Moved css files into a separate directory

2012-07-02 10:15  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2312] web/auth[ADD], web/auth/auth_auth_basic.inc[CPY],
	  web/auth/auth_config.inc[CPY], web/auth/auth_crypt.inc[CPY],
	  web/auth/auth_db.inc[CPY], web/auth/auth_db_ext.inc[CPY],
	  web/auth/auth_ext.inc[CPY], web/auth/auth_imap.inc[CPY],
	  web/auth/auth_imap_php.inc[CPY], web/auth/auth_ldap.inc[CPY],
	  web/auth/auth_nis.inc[CPY], web/auth/auth_none.inc[CPY],
	  web/auth/auth_nw.inc[CPY], web/auth/auth_pop3.inc[CPY],
	  web/auth/auth_smtp.inc[CPY], web/auth_auth_basic.inc[DEL],
	  web/auth_config.inc[DEL], web/auth_crypt.inc[DEL],
	  web/auth_db.inc[DEL], web/auth_db_ext.inc[DEL],
	  web/auth_ext.inc[DEL], web/auth_imap.inc[DEL],
	  web/auth_imap_php.inc[DEL], web/auth_ldap.inc[DEL],
	  web/auth_nis.inc[DEL], web/auth_none.inc[DEL],
	  web/auth_nw.inc[DEL], web/auth_pop3.inc[DEL],
	  web/auth_smtp.inc[DEL], web/mrbs_auth.inc:
	  
	  Moved auth files into a separate directory

2012-07-02 09:37  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2311] web/mrbs_auth.inc, web/session[ADD],
	  web/session/session_cookie.inc[CPY],
	  web/session/session_host.inc[CPY],
	  web/session/session_http.inc[CPY],
	  web/session/session_ip.inc[CPY], web/session/session_nt.inc[CPY],
	  web/session/session_omni.inc[CPY],
	  web/session/session_php.inc[CPY],
	  web/session/session_remote_user.inc[CPY],
	  web/session_cookie.inc[DEL], web/session_host.inc[DEL],
	  web/session_http.inc[DEL], web/session_ip.inc[DEL],
	  web/session_nt.inc[DEL], web/session_omni.inc[DEL],
	  web/session_php.inc[DEL], web/session_remote_user.inc[DEL]:
	  
	  Moved session files into a separate directory

2012-07-02 09:11  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2310] web/lang/lang.th:
	  
	  Updated Thai translation. Thanks to Suthep

2012-06-29 15:38  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2309] web/language.inc:
	  
	  Added some resilience to get_vocab() so that if a vocab string
	  does not exist for a tag then the tag itself is returned.

2012-06-29 15:28  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2308] web/language.inc:
	  
	  Removed redundant line of code

2012-06-29 15:24  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2307] web/language.inc:
	  
	  Added an array of substitute languages, for example to substitute
	  'no' for 'nb-NO'. This can be useful when a translation for the
	  default accept-language sent by a browser does not exist, but an
	  adequate substitute does. For example, IE9 in a default Norwegian
	  Windows installation sends 'nb-NO'.

2012-06-29 14:02  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2306] web/lang/lang.no:
	  
	  Updated Norwegian translation. Thanks to Thomas Haukland.

2012-06-28 16:42  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2305] web/lang[ADD], web/lang.ca[DEL], web/lang.cs[DEL],
	  web/lang.da[DEL], web/lang.de[DEL], web/lang.el[DEL],
	  web/lang.en[DEL], web/lang.es[DEL], web/lang.eu[DEL],
	  web/lang.fi[DEL], web/lang.fr[DEL], web/lang.he[DEL],
	  web/lang.hu[DEL], web/lang.it[DEL], web/lang.ja[DEL],
	  web/lang.ko[DEL], web/lang.nl[DEL], web/lang.no[DEL],
	  web/lang.pl[DEL], web/lang.pt[DEL], web/lang.pt-br[DEL],
	  web/lang.ru[DEL], web/lang.sl[DEL], web/lang.sv[DEL],
	  web/lang.th[DEL], web/lang.tr[DEL], web/lang.zh-cn[DEL],
	  web/lang.zh-tw[DEL], web/lang/lang.ca[CPY],
	  web/lang/lang.cs[CPY], web/lang/lang.da[CPY],
	  web/lang/lang.de[CPY], web/lang/lang.el[CPY],
	  web/lang/lang.en[CPY], web/lang/lang.es[CPY],
	  web/lang/lang.eu[CPY], web/lang/lang.fi[CPY],
	  web/lang/lang.fr[CPY], web/lang/lang.he[CPY],
	  web/lang/lang.hu[CPY], web/lang/lang.it[CPY],
	  web/lang/lang.ja[CPY], web/lang/lang.ko[CPY],
	  web/lang/lang.nl[CPY], web/lang/lang.no[CPY],
	  web/lang/lang.pl[CPY], web/lang/lang.pt[CPY],
	  web/lang/lang.pt-br[CPY], web/lang/lang.ru[CPY],
	  web/lang/lang.sl[CPY], web/lang/lang.sv[CPY],
	  web/lang/lang.th[CPY], web/lang/lang.tr[CPY],
	  web/lang/lang.zh-cn[CPY], web/lang/lang.zh-tw[CPY],
	  web/language.inc:
	  
	  Moved lang files to a new lang directory

2012-06-25 16:22  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2304] web/edit_entry.php:
	  
	  Fixed bug causing the wrong custom validation message to be used
	  by the browser when validating form fields

2012-06-25 15:47  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2303] web/edit_entry.php, web/functions.inc:
	  
	  - Fixed bug preventing the display of the brief description when
	  editing an existing booking - Fixed bug relating to mandatory
	  integer fields

2012-06-21 15:54  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2302] web/edit_entry.php:
	  
	  Removed unnecessary default value for rep_num_weeks (was only in
	  there for HTML5 validation, but empty value strings are now
	  stripped out of the HTML)

2012-06-21 15:24  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2301] web/edit_entry.php, web/functions.inc:
	  
	  Used the HTML5 "number" type and "step" attribute for integer
	  custom fields.

2012-06-21 14:24  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2300] web/Themes/default/header.inc, web/edit_area_room.php,
	  web/edit_entry.php, web/edit_entry_handler.php,
	  web/edit_users.php, web/functions.inc, web/lang.ca, web/lang.cs,
	  web/lang.da, web/lang.de, web/lang.el, web/lang.en, web/lang.es,
	  web/lang.eu, web/lang.fi, web/lang.fr, web/lang.he, web/lang.hu,
	  web/lang.it, web/lang.ja, web/lang.ko, web/lang.nl, web/lang.no,
	  web/lang.pl, web/lang.pt, web/lang.pt-br, web/lang.ru,
	  web/lang.sl, web/lang.sv, web/lang.th, web/lang.tr,
	  web/lang.zh-cn, web/lang.zh-tw, web/mrbs.css.php, web/search.php,
	  web/systemdefaults.inc.php:
	  
	  Made use of HTML5 form element attributes (eg "required") so that
	  client-side form validation can be done by the browser where
	  possible, instead of by JavaScript.

2012-06-14 14:10  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2299] web/lang.hu[ADD]:
	  
	  Added Hungarian translation. Thanks to Gergely Kiss.

2012-05-24 19:54  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2298] web/mrbs_sql.inc:
	  
	  Fixed bug where the max bookings per period limit was being
	  supposedly breached when editing an existing entry

2012-05-23 09:17  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2297] tables.my.pre41.sql, tables.my.sql, tables.pg.pre73.sql,
	  tables.pg.sql, web/Themes/default/header.inc,
	  web/areadefaults.inc.php, web/dbsys.inc, web/edit_area_room.php,
	  web/functions.inc, web/internalconfig.inc.php, web/lang.en,
	  web/mrbs.css.php, web/mrbs_sql.inc, web/upgrade/30[ADD],
	  web/upgrade/30/mysql.sql[ADD], web/upgrade/30/pgsql.sql[ADD]:
	  
	  Extended maximum number of bookings per day/week/month/etc so
	  that they can be used per area as well as system wide. Note that
	  you can set a setting per system as well as setting per area
	  enabling you to set policies of the sort "Max 2 bookings per week
	  in this area and max 5 bookings per week across the system". Note
	  also that setting 0 bookings per period for an area is a way of
	  stopping ordinary users from making bookings in a particular
	  area.

2012-05-08 16:07  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2296] web/lang.pt-br[ADD]:
	  
	  Added Portuguese Brazilian translation - thanks to Gleise S. O.
	  Teixeira

2012-04-24 20:50  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2295] web/Themes/classic126/styling.inc,
	  web/Themes/default/styling.inc:
	  
	  Fixed bug that caused the ticks and crosses on the edit_entry
	  page not to appear properly in some browsers (eg Chrome and IE8)
	  on some systems. See SF ID 3521106.

2012-04-17 18:34  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2294] web/functions.inc, web/functions_table.inc, web/lang.en,
	  web/mrbs_sql.inc, web/systemdefaults.inc.php:
	  
	  Added support for setting limits on the maximum number of
	  bookings that can be made per week, month, year and for any time
	  in the future (day is already there). These are global settings,
	  ie they count the total number of bookings over the whole system.
	  Coming soon (?) the ability to set these limits on a per-area
	  basis, as well as globally.

2012-04-17 12:11  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2293] web/lang.en, web/mrbs_sql.inc,
	  web/systemdefaults.inc.php:
	  
	  Added a maximum limit on the total number of bookings that can be
	  made for a day across all areas

2012-04-16 16:37  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2292] web/mrbs_sql.inc:
	  
	  Restructured code ahead of implementing max number of bookings

2012-04-10 17:42  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2291] web/trailer.inc:
	  
	  Added a missing global declaration to generate_trailer()

2012-04-10 14:24  John Beranek <jberanek@users.sourceforge.net>

	* [r2290] web/defaultincludes.inc:
	  
	  * Another tweak for include order, trailer.inc is now after
	  language.inc, as it uses functions from language.inc.

2012-04-10 14:22  John Beranek <jberanek@users.sourceforge.net>

	* [r2289] web/defaultincludes.inc:
	  
	  * Moved 'require_once' of trailer.inc earlier, so it can be used
	  earlier.

2012-04-10 10:32  John Beranek <jberanek@users.sourceforge.net>

	* [r2288] web/functions.inc, web/trailer.inc:
	  
	  * Fixed infinite loop in mrbs_default_timezone_set() when
	  $timezone configuratation variable wasn't set.
	  
	  * Added missing 'global' definition in generate_trailer().

2012-04-10 09:58  John Beranek <jberanek@users.sourceforge.net>

	* [r2287] web/admin.php, web/day.php, web/defaultincludes.inc,
	  web/del.php, web/edit_area_room.php, web/edit_entry.php,
	  web/edit_entry_handler.php, web/edit_users.php,
	  web/functions.inc, web/help.php, web/import.php,
	  web/language.inc, web/month.php, web/pending.php, web/report.php,
	  web/search.php, web/systemdefaults.inc.php, web/trailer.inc,
	  web/view_entry.php, web/week.php:
	  
	  * Added a UTF-8 to UTF-16 (little-endian) conversion routine into
	  language.inc, so you don't need iconv just to get UTF-16 CSV
	  output. Made outputting a BOM the default, as it should never
	  hurt, and some applications (Excel 2007 on Windows at least)
	  don't understand UTF-16LE without a BOM.
	  
	  * Made trailer.inc more modular, you now call the function
	  output_trailer() if you want to finish an MRBS page, instead of
	  including trailer.inc. If you want the trailer somewhere else,
	  the function generate_trailer() returns the trailer as a string.

2012-04-09 14:52  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2286] web/language.inc:
	  
	  Fixed undefined variable problems in lang files

2012-04-08 18:30  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2285] web/mrbs-print.css.php:
	  
	  Removed resizable handles from print view

2012-04-08 18:18  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2284] web/functions.inc:
	  
	  Removed use of error control operator to make development
	  debugging easier

2012-04-08 18:08  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2283] web/Themes/default/styling.inc, web/mrbs-print.css.php:
	  
	  Changed font colour for row and column labels in the calendar
	  view when printing to make them show up better in Google Chrome

2012-04-08 16:49  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2282] web/edit_entry_handler.php:
	  
	  Fixed bug causing an entry of '0' in a mandatory custom field to
	  be rejected.

2012-04-08 16:16  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2281] web/session_http.inc:
	  
	  Fixed performance issue when using LDAP authentication and HTTP
	  sessions. Thanks to dwpoon. See SF ID: 3515309

2012-04-04 15:57  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2280] web/edit_entry_handler.php:
	  
	  Fixed bug where resized bookings jump by one hour on the DST
	  start and end days. Thanks to Henry S. Thompson

2012-04-04 15:35  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2279] web/edit_entry_handler.php:
	  
	  Fixed bug which meant that the correct timezone wasn't
	  necessarily being used when dragging a booking.

2012-03-26 14:28  John Beranek <jberanek@users.sourceforge.net>

	* [r2278] web/auth_db_ext.inc:
	  
	  * Fixed sql_escape() usage so that the correct escape routine is
	  used for the database system in use for 'db_ext' auth scheme.

2012-03-26 09:25  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2277] web/Themes/default/header.inc, web/auth_db.inc,
	  web/auth_db_ext.inc, web/dbsys.inc, web/edit_area_room.php,
	  web/edit_users.php, web/functions_ical.inc,
	  web/functions_mail.inc, web/import.php, web/mrbs_sql.inc,
	  web/mysql.inc, web/mysqli.inc, web/pending.php, web/pgsql.inc,
	  web/report.php, web/search.php, web/upgrade/15/post.inc,
	  web/upgrade/21/post.inc, web/upgrade/6/post.inc:
	  
	  Changed SQL escaping from addslashes() to PHP escape functions.
	  (addslashes() should not be used with PostgreSQL). Thanks to
	  Henry S. Thompson.

2012-03-12 18:18  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2276] web/systemdefaults.inc.php:
	  
	  Updated comments for entry types following the introduction of
	  $vocab_override

2012-03-09 12:56  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2275] web/language.inc:
	  
	  Optimised code

2012-03-09 12:38  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2274] web/language.inc:
	  
	  Tidied the code

2012-03-09 12:14  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2273] INSTALL, UPGRADE, web/edit_area_room.php,
	  web/edit_entry.php, web/language.inc, web/systemdefaults.inc.php:
	  
	  Introduced the $vocab_override config variable, allowing MRBS
	  text strings to be customised without editing the lang files,
	  thus making it easier to upgrade when new versions of MRBS are
	  released. Thanks to dwpoon. See SF ID 3499943

2012-02-15 17:30  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2272] web/lang.de:
	  
	  Updated German translation. Thanks to JWiemann.

2012-02-03 12:27  John Beranek <jberanek@users.sourceforge.net>

	* [r2271] web/lang.tr:
	  
	  * Updated Turkish translation from Ahmet YILDIZ

2012-01-29 18:08  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2270] web/functions_ical.inc, web/import.php, web/lang.en:
	  
	  Added some comments and internationalised some text strings

2012-01-29 17:47  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2269] web/import.php, web/mrbs.css.php:
	  
	  Improved error handling

2012-01-28 12:52  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2268] web/import.php:
	  
	  Tweaked comment

2012-01-28 12:49  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2267] web/import.php, web/lang.en:
	  
	  Improved error handling for LOCATION property

2012-01-27 21:48  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2266] web/lang.en:
	  
	  Tweaked title notes

2012-01-27 21:37  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2265] web/import.php, web/lang.en:
	  
	  Added some title notes to the import form

2012-01-27 19:32  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2264] web/import.php, web/lang.en, web/mrbs.css.php:
	  
	  Fixed styling of import form

2012-01-27 18:27  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2263] ., web/add.php, web/edit_entry_handler.php,
	  web/functions.inc, web/functions_ical.inc,
	  web/functions_mail.inc, web/functions_view.inc,
	  web/import.php[CPY], web/lang.en, web/mrbs_auth.inc,
	  web/mrbs_sql.inc, web/report.php, web/view_entry.php:
	  
	  Reintegrated ics_import branch. import.php is a utility (not
	  linked to from the rest of MRBS) that can be used to import .ics
	  files into MRBS. Still some tidying up to be done.

2012-01-26 14:37  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2253] web/Themes/default/header.inc:
	  
	  Switched to using relative rather than absolute pathnames when
	  using an Ajax source for DataTables in Search and Report,
	  preventing a bug resulting in a 301 code as a result of a
	  cross-domain request when a page is being served as https

2012-01-17 19:34  John Beranek <jberanek@users.sourceforge.net>

	* [r2249] web/auth_ldap.inc:
	  
	  * A fix for auth_ldap configuration variable handling, as
	  supplied by Kevan Carstensen on the mailing list.

2012-01-12 15:56  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2247] web/Themes/default/header.inc, web/edit_area_room.php,
	  web/edit_entry.php, web/edit_users.php:
	  
	  Fixed bug which meant that the default action on hitting Enter on
	  forms with two submit buttons was not necessarily to save the
	  form.

2012-01-12 11:37  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2246] web/Themes/default/header.inc:
	  
	  Fixed JavaScript error when there are no rooms defined in an area
	  in the day and week views

2012-01-11 18:36  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2245] web/edit_entry.php, web/mrbs.css.php:
	  
	  Fixed minor styling issue

2012-01-11 18:33  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2244] web/edit_entry.php:
	  
	  Fixed a problem where the "All Day" label was not associated with
	  the All Day checkbox

2012-01-11 18:15  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2243] web/lang.en, web/mrbs_sql.inc:
	  
	  Changed the way max_book_ahead works so that it tests the end
	  time of a proposed booking rather than the start time. This is to
	  prevent users abusing the system by using a very long duration to
	  book the slot they want.

2012-01-11 17:49  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2242] web/language.inc:
	  
	  Following on from Rev 2240, applied the same fix to the
	  datatables initialisation so that the correct (expected) language
	  is also used for datatables.

2012-01-11 17:29  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2241] web/edit_entry.php:
	  
	  Fixed JavaScript error produced if you have a mandatory textarea
	  field. Thanks to Neil Brown. See SF ID 3472380

2012-01-11 11:48  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2240] web/language.inc:
	  
	  Fixed minor problem which caused the browser's language
	  preferences to be interpreted slightly unexpectedly, even if
	  possibly strictly correctly, when two or more languages had the
	  same qualifier. The languages' preference order expected by the
	  user, from the list of languages in the browser options, would be
	  reversed. The problem could be demonstrated for example by
	  setting the following order of preference in Firefox: en-gb, en,
	  th, he, de, fr-fr, fr, ru, sv, pt, no, en-us, it, ko. MRBS would
	  put th before en - strictly speaking correct as they were both
	  presented with a qualifier of 0.9, but not what the user would be
	  expecting.

2012-01-10 19:32  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2239] web/lang.th[ADD], web/language.inc:
	  
	  Added Thai language support. Contributed by Suthep.

2012-01-06 10:36  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2238] web/Themes/default/header.inc:
	  
	  Fix for bug which prevented resizable bookings or clicking on
	  empty cells working in the week view when using $hidden_days

2012-01-05 19:35  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2237] web/Themes/default/header.inc:
	  
	  Removed redundant global declaration

2012-01-05 13:17  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2236] web/Themes/default/header.inc:
	  
	  Made resizable bookings and drag-select for new bookings work
	  when the table direction is right to left (as it is in Hebrew)

2012-01-04 22:34  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2235] web/Themes/default/header.inc, web/lang.he[ADD],
	  web/language.inc, web/mrbs-ie-rtl.css[ADD],
	  web/mrbs-rtl.css.php[ADD], web/style.inc:
	  
	  Added in Hebrew language support, contributed by Michal Kastro
	  (see SF ID 3469334). For the moment I have disabled resizable
	  bookings and drag-selection for new bookings when using Hebrew,
	  as the existing JavaScript code assumes a left to right model.
	  I'll have to come back and fix this sometime.

2012-01-04 18:51  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2234] web/Themes/default/header.inc:
	  
	  Fixed bug where clicking on the "+" symbol didn't take you to the
	  edit_entry form.

2012-01-01 22:39  John Beranek <jberanek@users.sourceforge.net>

	* [r2233] web/version.inc:
	  
	  * Updated version number post-release.

2012-01-01 21:47  John Beranek <jberanek@users.sourceforge.net>

	* [r2230] ChangeLog, NEWS:
	  
	  * Updated ChangeLog and NEWS for 1.4.8 release.

2012-01-01 16:16  John Beranek <jberanek@users.sourceforge.net>

	* [r2229] web/version.inc:
	  
	  * Updated version number to 1.4.8.

2012-01-01 13:00  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2228] web/edit_area_room.php, web/functions_ical.inc,
	  web/internalconfig.inc.php, web/systemdefaults.inc.php:
	  
	  Limited the timezones presented in the timezone drop-down box on
	  the Edit Area page to those that have a corresponding VTIMEZONE
	  definition

2011-12-31 13:41  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2227] web/edit_entry_handler.php:
	  
	  Eliminated undefined index messages

2011-12-31 13:35  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2226] web/edit_entry_handler.php:
	  
	  Eliminated undefined variable message

2011-12-31 13:24  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2225] web/Themes/default/header.inc, web/edit_entry.php:
	  
	  Preserved the disabled state of the All Day checkbox when
	  switching between areas

2011-12-31 11:32  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2224] web/edit_entry_handler.php:
	  
	  Fixed two bugs: (1) Undefined index error if a mandatory field is
	  defined in the config file but doesn't exist in the database (2)
	  MRBS not picking up mandatory integer fields when JavaScript is
	  disabled

2011-12-31 11:06  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2223] web/auth_db.inc:
	  
	  Fixed problem with spurious error message being triggered

2011-12-31 10:45  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2222] web/functions.inc:
	  
	  Fixed another instance of date() being called before the timezone
	  had been set, resulting in PHP warning

2011-12-30 10:28  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2221] web/functions.inc:
	  
	  Removed redundant global declaration

2011-12-30 10:22  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2220] web/functions.inc:
	  
	  Added comment

2011-12-30 10:06  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2219] web/edit_entry.php, web/functions.inc:
	  
	  Made MRBS more resilient to NULL values for resolution in the
	  area table

2011-12-29 18:25  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2218] web/edit_area_room.php:
	  
	  Eliminated undefined index error

2011-12-29 17:14  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2217] web/month.php, web/mrbs.css.php,
	  web/systemdefaults.inc.php:
	  
	  Added support for displaying the week number in the month view if
	  $view_week_number is set

2011-12-29 15:32  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2216] web/day.php, web/mincals.inc, web/month.php,
	  web/mrbs.css.php, web/systemdefaults.inc.php, web/week.php:
	  
	  Added the ability to display the mini calendars at the bottom, if
	  $display_calendars_bottom is set to true. Based on a patch from
	  Daniel Yule.

2011-12-28 21:50  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2215] web/edit_entry.php:
	  
	  Fixed bug in last commit: the all_day checkbox would not be
	  displayed if the user was an admin

2011-12-28 21:41  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2214] web/Themes/default/header.inc, web/edit_entry.php,
	  web/internalconfig.inc.php:
	  
	  Ensured that the “all day” check box only appears if the maximum
	  booking duration allows that length of booking. Based on a patch
	  from Daniel Yule

2011-12-28 21:22  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2213] web/Themes/default/header.inc, web/functions.inc:
	  
	  Fixed another instance of date() being called before the timezone
	  had been set, resulting in PHP warning

2011-12-28 17:12  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2212] web/standard_vars.inc.php:
	  
	  Fixed bug where date() was being called before the timezone had
	  been set, resulting in PHP warning

2011-12-24 09:27  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2211] tables.my.pre41.sql, tables.my.sql, tables.pg.pre73.sql,
	  tables.pg.sql, web/config.inc.php, web/dbsys.inc,
	  web/edit_area_room.php, web/functions.inc,
	  web/functions_ical.inc, web/internalconfig.inc.php,
	  web/systemdefaults.inc.php, web/upgrade/29[ADD],
	  web/upgrade/29/mysql.sql[ADD], web/upgrade/29/pgsql.sql[ADD]:
	  
	  Made $timezone a per-area setting. Based on input from Chris
	  Thompson.

2011-12-21 22:44  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2210] web/view_entry.php:
	  
	  Fixed bug which prevented owner buttons appearing

2011-12-21 22:18  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2209] web/Themes/default/header.inc:
	  
	  Fixed the Ajax checking so that it can cope with array fields
	  consisting of multiple inputs, which will arise when the rooms
	  field is disabled, eg <input type="hidden" name="rooms[]"
	  value="1"> <input type="hidden" name="rooms[]" value="2"> etc.

2011-12-21 17:07  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2208] web/edit_entry.php:
	  
	  Fixed HTML error when using disabled rooms field

2011-12-21 16:53  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2207] web/session_cookie.inc, web/session_php.inc:
	  
	  Fixed HTML validation errors

2011-12-21 16:20  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2206] web/edit_entry.php:
	  
	  Removed explanation of how to use the All Day checkbox if it's
	  disabled

2011-12-21 15:39  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2205] web/edit_entry.php:
	  
	  - Removed the $room_names variable, which as far as I can see was
	  introduced in MRBS 1.2.1 but has never been used for anything and
	  was causing undefined variable errors now that it's inside a
	  function (or rather the index $i was undefined) - Added an
	  optional $disabled parameter (defaulting to FALSE) to the
	  create_field_entry_*() functions to allow the field to be
	  disabled

2011-12-20 15:59  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2204] web/edit_entry.php:
	  
	  Removed some HTML whitespace and replaced some tabs by spaces

2011-12-20 15:50  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2203] web/Themes/default/header.inc:
	  
	  Replaced some tabs by spaces

2011-12-17 20:05  John Beranek <jberanek@users.sourceforge.net>

	* [r2202] web/auth_ldap.inc, web/systemdefaults.inc.php:
	  
	  * Added option to auth_ldap to disable client referrals. Provided
	  by Daniel Yule.

2011-12-16 19:02  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2201] web/lang.fr:
	  
	  Updated French translation

2011-12-16 18:06  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2200] web/edit_entry.php:
	  
	  Escaped JavaScript strings

2011-12-16 16:24  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2199] web/edit_entry.php:
	  
	  Ensured that if a new booking is selected and the default
	  duration takes the booking past the end of the booking day, then
	  the default end time is the end of the booking day (rather than
	  the start time + resolution, as at present)

2011-12-08 22:03  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2198] web/mrbs.css.php:
	  
	  Tweaked formatting of ColVis menu

2011-12-08 20:35  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2197] web/Themes/default/header.inc, web/mrbs.css.php:
	  
	  Fixed bug which prevented localised text strings appearing in the
	  Column Visibility menu in Report

2011-12-08 20:09  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2196] web/lang.fr:
	  
	  Updated French translation

2011-12-07 16:50  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2195] web/Themes/default/header.inc:
	  
	  Fixed some unescaped JavaScript strings

2011-11-23 20:56  Thomas Bleher <tbleher@users.sourceforge.net>

	* [r2194] web/functions_view.inc:
	  
	  Remove non-breaking space in display of custom fields - was
	  escaped later and displayed literally

2011-11-23 17:42  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2193] web/edit_entry.php:
	  
	  Fixed JavaScript error when $max_duration_enabled is false.
	  Thanks to Henry Thompson.

2011-11-23 10:19  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2192] web/functions_mail.inc:
	  
	  Fixed undefined variable notice

2011-11-23 06:40  Thomas Bleher <tbleher@users.sourceforge.net>

	* [r2191] web/mrbs-print.css.php:
	  
	  hide DataTable buttons in print

2011-11-23 06:38  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2190] web/edit_entry.php:
	  
	  Reverted last change

2011-11-23 04:46  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2189] web/edit_entry.php:
	  
	  Fixed undefined variable notice

2011-11-23 04:36  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2188] web/Themes/default/header.inc, web/edit_entry.php,
	  web/mrbs.css.php:
	  
	  Took account of days in calculating the duration when maximum
	  duration is enabled

2011-11-22 23:14  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2187] web/Themes/default/header.inc, web/edit_entry.php:
	  
	  Restricted the options available in the end time selector to
	  those permitted if a maximum duration has been specified

2011-11-22 20:49  Thomas Bleher <tbleher@users.sourceforge.net>

	* [r2186] web/edit_entry.php, web/systemdefaults.inc.php:
	  
	  Make it possible to reorder fields in edit_entry (useful for
	  custom fields)

2011-11-22 20:46  Thomas Bleher <tbleher@users.sourceforge.net>

	* [r2185] web/edit_entry.php:
	  
	  edit_entry: move creation of form elements into function (except
	  options for repeat), so they can later be reordered.
	  
	  HTML output is the same (except some whitespace)

2011-11-22 19:10  Thomas Bleher <tbleher@users.sourceforge.net>

	* [r2184] web/Themes/default/header.inc, web/edit_entry.php,
	  web/edit_entry_handler.php:
	  
	  Spelling fixes

2011-11-22 19:08  Thomas Bleher <tbleher@users.sourceforge.net>

	* [r2183] web/lang.de:
	  
	  Corrections to German language file

2011-11-21 19:58  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2182] web/Themes/default/header.inc:
	  
	  Simplified code

2011-11-21 05:13  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2181] web/Themes/default/header.inc,
	  web/edit_entry_handler.php:
	  
	  Fixed bug which was causing the table for the wrong day to be
	  displayed after dragging the last day of a multi-day booking in
	  the week view

2011-11-21 04:47  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2180] web/Themes/default/header.inc:
	  
	  Stopped multiday bookings being dragged by non-admins if
	  $auth['only_admin_can_book_multiday'] is set.

2011-11-21 03:41  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2179] web/Themes/default/header.inc, web/functions_table.inc:
	  
	  Disabled dragging on multi-day bookings except for extending the
	  start and end times

2011-11-19 04:02  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2178] web/Themes/default/header.inc,
	  web/edit_entry_handler.php:
	  
	  Fixed bug whereby dragging multi-day bookings in the week view
	  wasn't working properly.

2011-11-12 07:19  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2177] web/functions_table.inc:
	  
	  Fixed bug with time format being incorrectly displayed in the
	  week view

2011-11-12 06:45  Thomas Bleher <tbleher@users.sourceforge.net>

	* [r2176] web/Themes/default/header.inc:
	  
	  edit_entry: make ajax calls send rep_day[] correctly, so that
	  weekly repeats are properly checked
	  
	  Before this change, rep_day[] was not correctly set, which led to
	  edit_entry_handler assuming that weekly repeats all were on a
	  sunday (only on ajax requests, the normal booking worked
	  correctly)
	  
	  This change affects two things: - the correct name is now checked
	  when deciding if the input has an array type - multiple checkbox
	  entries with the same name are merged. There are probably
	  better/more elegant ways to do this (suggestions welcome).

2011-11-03 16:36  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2175] web/view_entry.php:
	  
	  Fixed bug causing the reminder intervals for bookings that need
	  to be approved to be ignored

2011-11-03 16:18  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2174] web/jquery/datatables/css/mrbs-table.css:
	  
	  Fixed formatting of buttons on view_entry page

2011-11-03 16:10  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2173] web/edit_entry.php:
	  
	  Eliminated undefined variable notices

2011-11-03 14:54  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2172] web/language.inc:
	  
	  Eliminated uninitialized string offset notices

2011-11-03 14:41  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2171] web/functions_mail.inc:
	  
	  Eliminated undefined index errors

2011-11-03 14:21  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2170] web/mrbs_sql.inc:
	  
	  Eliminated an undefined index notice

2011-11-03 14:02  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2169] web/Themes/default/header.inc:
	  
	  Moved the new default datatables options into the existing
	  default options object. Set the default display length at 25
	  rows.

2011-11-02 21:56  Thomas Bleher <tbleher@users.sourceforge.net>

	* [r2168] web/Themes/default/header.inc:
	  
	  Add default tableOptions object for datatables, so it is easier
	  to add options to all datatables at once.

2011-11-02 21:54  Thomas Bleher <tbleher@users.sourceforge.net>

	* [r2167] web/mrbs_sql.inc:
	  
	  mrbsCheckFree(): Remove space in date view, so the braces are
	  symmetric

2011-11-02 17:56  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2166] web/edit_users.php, web/functions_mail.inc,
	  web/functions_view.inc, web/search.php:
	  
	  Removed a few undefined index errors

2011-11-02 16:01  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2165] web/view_entry.php:
	  
	  Fixed bug - incorrect room id being used in authorisation check
	  (no impact on standard MRBS, but will affect sites where
	  $auth_book_admin() has been modified to use the room id)

2011-11-02 15:31  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2164] web/Themes/default/header.inc:
	  
	  Fixed a bug introduced in Rev 2162 which stopped the Report
	  datatable displaying the first column properly.

2011-11-02 15:22  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2163] web/language.inc, web/report.php,
	  web/systemdefaults.inc.php:
	  
	  Fixed a problem whereby "foreign" characters in CSV reports
	  opened by Microsoft Excel did not display properly. This is
	  actually an Excel problem, rather than an MRBS problem, but there
	  is now a circumvention in MRBS. CSV reports are now output by
	  default in UTF-16 rather than UTF-8 which means that Excel 2010
	  on Windows and Excel 2011 on Mac, and probably some earlier
	  versions as well, now open CSV reports properly. This requires
	  the iconv module to be installed. If this is not possible, then
	  CSV reports can be made to open correctly on Excel 2010 for
	  Windows (but not Excel 2011 for Mac) by using UTF-8 and
	  outputting a BOM. Two new config variables are introduced:
	  $csv_charset (default 'utf-16') and $csv_bom (default FALSE).
	  (CSV reports can always be made to open correctly in Excel by
	  renaming the file from a .csv to a .txt file. Then when the file
	  is opened an import dialogue appears which allows the user to
	  choose the character set).

2011-11-02 10:45  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2162] web/report.php:
	  
	  Fixed some undefined variable errors

2011-11-02 10:26  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2161] web/Themes/default/header.inc:
	  
	  Fixed minor bug in the generation of autocomplete options for
	  custom fields that have $select_options defined (extra blank
	  options were being generated)

2011-11-02 10:00  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2160] web/dbsys.inc:
	  
	  Got rid of an undefined variable message

2011-11-02 09:53  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2159] web/edit_entry.php, web/edit_users.php:
	  
	  Got rid of some undefined index notices

2011-11-02 09:34  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2158] web/defaultincludes.inc:
	  
	  Fixed bug causing JavaScript error in day and week views, and
	  hence draggable bookings not to work. (The fix in Rev 2154 did
	  not work!)

2011-11-01 23:33  John Beranek <jberanek@users.sourceforge.net>

	* [r2157] web/systemdefaults.inc.php:
	  
	  * Added more description into systemdefaults.inc.php for the
	  $booking_types array.

2011-11-01 23:27  John Beranek <jberanek@users.sourceforge.net>

	* [r2156] web/config.inc.php, web/defaultincludes.inc,
	  web/edit_entry.php, web/functions.inc, web/functions_mail.inc,
	  web/functions_view.inc, web/lang.ca, web/lang.cs, web/lang.da,
	  web/lang.de, web/lang.el, web/lang.en, web/lang.es, web/lang.eu,
	  web/lang.fi, web/lang.fr, web/lang.it, web/lang.ja, web/lang.ko,
	  web/lang.nl, web/lang.no, web/lang.pl, web/lang.pt, web/lang.ru,
	  web/lang.sl, web/lang.sv, web/lang.tr, web/lang.zh-cn,
	  web/lang.zh-tw, web/language.inc, web/report.php,
	  web/systemdefaults.inc.php:
	  
	  * Removed the code that had to exist in config.inc.php in a
	  particular place. Booking entry types are now configured by the
	  simple array $booking_types, which contains elements like "E" and
	  "I". The entry types are now localised in the translation files
	  as "type.X" where X is the booking type. config.inc.php no longer
	  needs to include language.inc, and the $typel configuration array
	  has been removed.

2011-11-01 17:44  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2155] web/language.inc:
	  
	  Fixed, or at least ameliorated, a problem that can occur on
	  Windows servers where the dates can randomly change language, due
	  to other scripts running in a different thread in the same
	  process calling setlocale().

2011-11-01 15:37  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2154] web/day.php, web/functions_table.inc, web/month.php,
	  web/week.php:
	  
	  Fixed bug which meant that the day, week and month views were
	  displayed in the wrong locale (bug introduced in Revs 2150 and
	  2151)

2011-10-31 07:34  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2153] web/language.inc:
	  
	  Restricted the requirement for the iconv module to those cases
	  when it is really needed, ie when the server is running AIX or
	  Windows.

2011-10-31 07:23  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2152] web/functions_mail.inc, web/internalconfig.inc.php,
	  web/systemdefaults.inc.php:
	  
	  Got rid of the $mail_charset config variable. All emails now sent
	  as UTF-8.

2011-10-25 10:20  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2151] web/month.php:
	  
	  Fixed bug causing JavaScript syntax error if you have to login to
	  see the month view

2011-10-25 10:18  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2150] web/day.php, web/week.php:
	  
	  Fixed bug causing JavaScript syntax error if you have to login to
	  see the day or week views

2011-10-25 09:47  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2149] web/mrbs_auth.inc, web/systemdefaults.inc.php:
	  
	  Made $auth['only_admin_can_book'] apply to deletions as well

2011-10-25 09:35  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2148] web/mrbs_auth.inc:
	  
	  Fixed bug. $auth['only_admin_can_book'] does not work as required
	  if $auth['deny_public_access'] is set.

2011-10-24 21:17  Thomas Bleher <tbleher@users.sourceforge.net>

	* [r2147] web/functions_ical.inc:
	  
	  Set PARTSTAT=NEEDS-ACTION in ical output
	  
	  I got some bug reports from Outlook 2010 users that bookings that
	  they received via mrbs mails were automatically imported into
	  their calender, without any user action. Apparently this change
	  fixes it.
	  
	  Google Calender and Outlook 2003 also set this field, even though
	  the relevant RFC says that NEEDS-ACTION is the default value and
	  can be omitted.

2011-10-24 21:14  Thomas Bleher <tbleher@users.sourceforge.net>

	* [r2146] web/functions_mail.inc:
	  
	  Correctly encode subject in delete notification mails

2011-10-24 10:22  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2145] web/edit_users.php:
	  
	  Removed section of commented out code

2011-10-24 08:26  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2144] web/report.php:
	  
	  Fixed bug in CSV report output: a <span> was appearing in the
	  duration field.

2011-10-24 07:09  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2143] web/Themes/default/header.inc, web/edit_entry.php:
	  
	  Slightly better version of fix in Rev 2141

2011-10-23 18:47  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2142] ., web/Themes/default/header.inc, web/admin.php,
	  web/day.php, web/edit_area_room.php, web/edit_entry.php,
	  web/edit_entry_handler.php, web/edit_users.php,
	  web/functions.inc, web/functions_table.inc[CPY],
	  web/internalconfig.inc.php, web/mincals.inc, web/month.php,
	  web/mrbs.css.php, web/pending.php, web/report.php,
	  web/search.php, web/session_cookie.inc, web/session_http.inc,
	  web/session_php.inc, web/session_remote_user.inc,
	  web/site_faq.html, web/site_faq_de.html, web/site_faq_es.html,
	  web/site_faq_fr.html, web/site_faq_it.html, web/site_faq_nl.html,
	  web/style.inc, web/upgrade/5/pgsql.sql, web/week.php:
	  
	  Reintegrated the draggable bookings branch. MRBS now supports
	  (except for IE8 and below) (a) the selection of new bookings by
	  dragging over empty cells on the day and week views and (b) the
	  adjustment of existing bookings by dragging their sides or
	  corners.

2011-10-18 09:33  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2110] web/Themes/default/header.inc:
	  
	  Fixed bug where the Ajax advance booking checking on the
	  edit_entry form wasn't picking up start and end times properly.

2011-10-12 08:34  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2077] web/Themes/default/header.inc:
	  
	  Added an error suppression operator on the call to getimagesize()
	  in case the logo is a remote URL and allow_url_fopen is set to
	  false in php.ini. Thanks to dwpoon. See SF ID 3420435

2011-10-11 07:30  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2076] web/Themes/default/header.inc:
	  
	  Changed alt text on logo. Thanks to dwpoon. See SF ID 3420435.

2011-10-10 14:01  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2075] web/edit_area_room.php:
	  
	  Fixed HTML validation error

2011-10-10 13:45  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2073] web/lang.de:
	  
	  Updated German translation. Thanks to Jörg Wiemann. See SF ID
	  3418914

2011-10-10 09:24  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2072] INSTALL:
	  
	  Updated installation instructions for a PostgreSQL database to
	  create a database with UTF8 encoding. See SF ID: 3413080.

2011-10-07 15:34  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2071] web/day.php, web/functions.inc, web/week.php:
	  
	  Allowed the highlight line in the day and week views to be
	  toggled on and off (previously once a line had been highlighted
	  you could not get rid of it)

2011-10-07 15:06  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2070] web/day.php, web/functions.inc, web/week.php:
	  
	  Simplified code

2011-10-07 14:56  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2069] web/mrbs.css.php:
	  
	  Fixed comment to reflect last change

2011-10-07 14:53  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2068] web/Themes/default/header.inc, web/day.php,
	  web/functions.inc, web/mrbs-print.css.php, web/mrbs.css.php,
	  web/week.php:
	  
	  Simplified the markup in the day and week views

2011-10-07 12:25  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2067] web/Themes/default/header.inc, web/mrbs.css.php:
	  
	  Restored highlighting of the cell in the month view when you
	  hover over it (got lost in the last revision)

2011-10-07 10:43  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2066] web/Themes/classic126/styling.inc,
	  web/Themes/default/header.inc, web/Themes/default/styling.inc,
	  web/day.php, web/functions.inc, web/internalconfig.inc.php,
	  web/month.php, web/mrbs.css.php, web/style.inc,
	  web/systemdefaults.inc.php, web/week.php, web/xbLib.js[DEL]:
	  
	  Improved the performance of the day/week/month views, especially
	  the day view in IE with large tables (many rooms and many
	  periods/time slots). xbLib.js is now redundant and has been
	  removed (jQuery is the new cross browser library) and the config
	  variables $highlight_method and $javascript_cursor are also now
	  redundant. See also SF ID 3419007.

2011-10-04 10:18  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2065] web/lang.ru[ADD], web/language.inc:
	  
	  Added Russian translation supplied by Capitan Nemo

2011-10-03 13:01  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2064] ., web/Themes/classic126/styling.inc,
	  web/Themes/default/header.inc, web/Themes/default/styling.inc,
	  web/admin.php, web/del_entry_ajax.php[CPY], web/edit_users.php,
	  web/internalconfig.inc.php, web/jquery/datatables[CPY],
	  web/jquery/datatables/css[CPY],
	  web/jquery/datatables/css/ColReorder.css[CPY],
	  web/jquery/datatables/css/ColVis.css[CPY],
	  web/jquery/datatables/css/ColVisAlt.css[CPY],
	  web/jquery/datatables/css/mrbs-page.css[CPY],
	  web/jquery/datatables/css/mrbs-table.css[CPY],
	  web/jquery/datatables/images[CPY],
	  web/jquery/datatables/images/Sorting icons.psd[CPY],
	  web/jquery/datatables/images/back_disabled.jpg[CPY],
	  web/jquery/datatables/images/back_enabled.jpg[CPY],
	  web/jquery/datatables/images/button.png[CPY],
	  web/jquery/datatables/images/favicon.ico[CPY],
	  web/jquery/datatables/images/forward_disabled.jpg[CPY],
	  web/jquery/datatables/images/forward_enabled.jpg[CPY],
	  web/jquery/datatables/images/insert.png[CPY],
	  web/jquery/datatables/images/sort_asc.png[CPY],
	  web/jquery/datatables/images/sort_asc_disabled.png[CPY],
	  web/jquery/datatables/images/sort_both.png[CPY],
	  web/jquery/datatables/images/sort_desc.png[CPY],
	  web/jquery/datatables/images/sort_desc_disabled.png[CPY],
	  web/jquery/datatables/js[CPY],
	  web/jquery/datatables/js/ColReorder.min.js[CPY],
	  web/jquery/datatables/js/ColVis.min.js[CPY],
	  web/jquery/datatables/js/ColVis.mrbs.min.js[CPY],
	  web/jquery/datatables/js/FixedColumns.min.js[CPY],
	  web/jquery/datatables/js/FixedColumns.mrbs.js[CPY],
	  web/jquery/datatables/js/jquery.dataTables.min.js[CPY],
	  web/jquery/datatables/js/plugins.js[CPY],
	  web/jquery/datatables/language[CPY],
	  web/jquery/datatables/language/ar.txt[CPY],
	  web/jquery/datatables/language/bg.txt[CPY],
	  web/jquery/datatables/language/ca.txt[CPY],
	  web/jquery/datatables/language/cs.txt[CPY],
	  web/jquery/datatables/language/da.txt[CPY],
	  web/jquery/datatables/language/de.txt[CPY],
	  web/jquery/datatables/language/el.txt[CPY],
	  web/jquery/datatables/language/en.txt[CPY],
	  web/jquery/datatables/language/es.txt[CPY],
	  web/jquery/datatables/language/et.txt[CPY],
	  web/jquery/datatables/language/fa.txt[CPY],
	  web/jquery/datatables/language/fi.txt[CPY],
	  web/jquery/datatables/language/fr.txt[CPY],
	  web/jquery/datatables/language/gd-ie.txt[CPY],
	  web/jquery/datatables/language/he.txt[CPY],
	  web/jquery/datatables/language/hi.txt[CPY],
	  web/jquery/datatables/language/hr.txt[CPY],
	  web/jquery/datatables/language/hu.txt[CPY],
	  web/jquery/datatables/language/id.txt[CPY],
	  web/jquery/datatables/language/it.txt[CPY],
	  web/jquery/datatables/language/ka.txt[CPY],
	  web/jquery/datatables/language/lt.txt[CPY],
	  web/jquery/datatables/language/lv.txt[CPY],
	  web/jquery/datatables/language/nl.txt[CPY],
	  web/jquery/datatables/language/no.txt[CPY],
	  web/jquery/datatables/language/pl.txt[CPY],
	  web/jquery/datatables/language/pt-br.txt[CPY],
	  web/jquery/datatables/language/pt-pt.txt[CPY],
	  web/jquery/datatables/language/pt.txt[CPY],
	  web/jquery/datatables/language/ro.txt[CPY],
	  web/jquery/datatables/language/ru.txt[CPY],
	  web/jquery/datatables/language/sk.txt[CPY],
	  web/jquery/datatables/language/sl.txt[CPY],
	  web/jquery/datatables/language/sr.txt[CPY],
	  web/jquery/datatables/language/sv.txt[CPY],
	  web/jquery/datatables/language/th.txt[CPY],
	  web/jquery/datatables/language/tr.txt[CPY],
	  web/jquery/datatables/language/uk.txt[CPY],
	  web/jquery/datatables/language/ur.txt[CPY],
	  web/jquery/datatables/language/vi.txt[CPY],
	  web/jquery/datatables/language/zh.txt[CPY],
	  web/jquery/jquery-1.5.2.min.js[DEL],
	  web/jquery/jquery-1.6.4.min.js[CPY], web/lang.ca, web/lang.cs,
	  web/lang.da, web/lang.de, web/lang.el, web/lang.en, web/lang.es,
	  web/lang.eu, web/lang.fi, web/lang.fr, web/lang.it, web/lang.ja,
	  web/lang.ko, web/lang.nl, web/lang.no, web/lang.pl, web/lang.pt,
	  web/lang.sl, web/lang.sv, web/lang.tr, web/lang.zh-cn,
	  web/lang.zh-tw, web/language.inc, web/mrbs-ielte6.css,
	  web/mrbs-ielte7.css.php, web/mrbs-js-overrides.css.php[DEL],
	  web/mrbs-js-overrides.js[DEL], web/mrbs.css.php,
	  web/mrbs_auth.inc, web/pending.php, web/report.php,
	  web/search.php, web/style.inc, web/systemdefaults.inc.php,
	  web/trailer.inc, web/upgrade/5/pgsql.sql:
	  
	  Reintegrated the datatables branch back into the trunk. The
	  report results, search results, users list, rooms list and
	  pending list are now sortable, searchable tables. In addition
	  admins can do bulk deletes of the entries returned in a report.

2011-10-01 09:00  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2046] web/Themes/default/header.inc:
	  
	  Fixed bug causing the Ajax booking check to be performed on form
	  submit

2011-09-30 16:03  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2044] web/edit_area_room.php:
	  
	  Stopped ordinary users seeing the disabled/enabled status of a
	  room (there's no point - we only show them enabled rooms anyway)

2011-09-30 15:51  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2042] web/edit_area_room.php:
	  
	  Fixed bug whereby the room disabled/enabled buttons were not
	  disabled for ordinary users (though as there was no Save button
	  they weren't able to change the status)

2011-09-29 16:27  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2026] web/functions.inc, web/internalconfig.inc.php:
	  
	  Added a sanity check to check that 'private_override' is one of
	  the three valid values in case the database has somehow got
	  messed up

2011-09-28 13:17  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2022] web/Themes/default/header.inc:
	  
	  Fixed bug preventing the schedule/policy details dialog from
	  being re-opened if it had previously been closed

2011-09-28 12:38  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2021] web/Themes/default/header.inc:
	  
	  Made the correct tab be selected on launch of the schedule/policy
	  check results dialog

2011-09-28 12:17  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2019] web/Themes/default/header.inc, web/edit_entry.php,
	  web/jquery/ui/css/sunny/images/ui-bg_gloss-wave_60_fece2f_500x100.png,
	  web/jquery/ui/css/sunny/images/ui-bg_gloss-wave_70_ffdd57_500x100.png,
	  web/jquery/ui/css/sunny/images/ui-icons_3d3d3d_256x240.png,
	  web/jquery/ui/css/sunny/jquery-ui-1.8.16.custom.css,
	  web/jquery/ui/jquery-ui-1.8.16.custom.min.js, web/lang.en,
	  web/mrbs.css.php, web/style.inc:
	  
	  Added a tabbed dialog that can be displayed to give more details
	  of schedule and policy checks on the edit_entry page. This has
	  the advantage that it contains clickable links to conflicting
	  bookings, which the tooltips cannot.

2011-09-27 11:17  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2017] web/day.php, web/del_entry.php, web/edit_entry.php,
	  web/month.php, web/week.php:
	  
	  Tidied up the use of default values for form parameters, using
	  the optional third parameter to get_form_var()

2011-09-27 09:42  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2015] help_report.html[ADD], web/functions.inc,
	  web/grab_globals.inc.php, web/language.inc, web/report.php,
	  web/session_cookie.inc, web/session_http.inc,
	  web/session_php.inc, web/session_remote_user.inc,
	  web/systemdefaults.inc.php:
	  
	  Added the ability to run report.php from the command line (useful
	  for example for setting up reports as cron jobs). Provided a
	  manual page at help_report.html. The ability to run from the
	  command line is disabled by default in systemdefaults.inc.php and
	  has to be deliberately enabled.
	  
	  Added an optional third parameter to get_form_var() which is the
	  default value

2011-09-26 10:02  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2013] web/report.php:
	  
	  Changed the report from method from "get" to "post" to make it
	  possible to accommodate complicated search criteria, especially
	  with many custom fields

2011-09-26 09:57  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2012] web/report.php:
	  
	  Added an explicit Phase variable to the Report form, rather than
	  relying on the areamatch variable to determine whether one is in
	  Phase 1 or Phase 2. This makes it easier to adapt the Report page
	  to being run from the CLI (eg for producing reports from a cron
	  job).

2011-09-25 06:21  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2010] web/Themes/default/header.inc, web/edit_entry.php:
	  
	  Stopped MRBS sending an Ajax request to check for booking
	  conflicts if the Back or Save buttons have just been pressed.

2011-09-25 06:20  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2009] web/edit_entry_handler.php:
	  
	  Fixed bug causing Back button on the edit_entry page to go to the
	  wrong page

2011-09-24 10:25  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2008] web/Themes/default/header.inc:
	  
	  Fixed bug introduced in Rev 1998 and at the same time
	  restructured code so that it does not need to know the names of
	  the form fields.

2011-09-23 16:35  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2005] web/tzurl/zoneinfo-outlook/Africa/Juba.ics[ADD],
	  web/tzurl/zoneinfo-outlook/America/Metlakatla.ics,
	  web/tzurl/zoneinfo-outlook/Europe/Kaliningrad.ics,
	  web/tzurl/zoneinfo-outlook/Pacific/Ponape.ics,
	  web/tzurl/zoneinfo-outlook/Pacific/Truk.ics,
	  web/tzurl/zoneinfo/Africa/Dar_es_Salaam.ics,
	  web/tzurl/zoneinfo/Africa/Juba.ics[ADD],
	  web/tzurl/zoneinfo/Africa/Kampala.ics,
	  web/tzurl/zoneinfo/Africa/Nairobi.ics,
	  web/tzurl/zoneinfo/America/Goose_Bay.ics,
	  web/tzurl/zoneinfo/America/Metlakatla.ics,
	  web/tzurl/zoneinfo/America/Resolute.ics,
	  web/tzurl/zoneinfo/America/St_Johns.ics,
	  web/tzurl/zoneinfo/Europe/Kaliningrad.ics,
	  web/tzurl/zoneinfo/Pacific/Apia.ics,
	  web/tzurl/zoneinfo/Pacific/Ponape.ics,
	  web/tzurl/zoneinfo/Pacific/Truk.ics:
	  
	  Updated timezone files with Sep 12 2011 versions

2011-09-23 13:47  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2002] web/edit_users.php:
	  
	  Added a Back button to the Add/Edit users form

2011-09-23 11:13  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r2000] web/pgsql.inc:
	  
	  Set PostgreSQL client encoding to UTF8. Thanks to Andreas Lange
	  for the patch (SF ID 3413080)

2011-09-23 10:51  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r1999] web/Themes/default/header.inc:
	  
	  Fixed bug resulting in a JavaScript error if you try and go to
	  the edit_entry page when not logged in and the default duration
	  is All Day

2011-09-23 10:43  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r1998] web/Themes/default/header.inc:
	  
	  Fixed bug resulting in a JavaScript error on the edit_entry page
	  if some form inputs are absent (eg if
	  $auth['only_admin_can_book_repeat'] is set)

2011-09-22 14:41  John Beranek <jberanek@users.sourceforge.net>

	* [r1996] AUTHENTICATION, web/auth_ldap.inc, web/functions.inc,
	  web/systemdefaults.inc.php:
	  
	  Revamped the LDAP authentication scheme somewhat. You can now
	  specify most of the configuration parameters as arrays, so that
	  you can have multiple servers or multiple base DNs that are
	  configured in different ways.
	  
	  Additionally, you can now determine whether a user is an
	  administrator by defining LDAP configuration parameters:
	  $ldap_group_member_attrib and $ldap_admin_group_dn. See
	  systemdefaults.inc.php for details.

2011-09-22 09:28  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r1994] web/Themes/default/header.inc,
	  web/systemdefaults.inc.php:
	  
	  Added a timer so that a potential booking on the edit_entry form
	  can be periodically rechecked for validity, in case someone else
	  makes or releases a booking while the page is open. Can be
	  disabled and the interval set by means of a config variable.
	  Default enabled, 10 second interval.

2011-09-22 09:04  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r1993] web/Themes/default/header.inc, web/functions.inc:
	  
	  Decoded HTML entities in Ajax tooltip messages on the edit_entry
	  page

2011-09-22 07:32  Thomas Bleher <tbleher@users.sourceforge.net>

	* [r1990] web/Themes/default/header.inc:
	  
	  Correctly handle multiple selected rooms in Ajax calls
	  
	  val() already returns an array on multi-select boxes, so we can
	  simply use that.

2011-09-21 20:29  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r1988] web/site_faq_de.html, web/site_faq_nl.html:
	  
	  Converted to UTF-8

2011-09-21 20:15  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r1987] web/site_faq_it.html:
	  
	  Converted to UTF-8

2011-09-21 20:08  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r1986] web/site_faq_es.html:
	  
	  Converted to UTF-8

2011-09-21 19:23  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r1985] web/site_faq_fr.html:
	  
	  Converted to UTF-8

2011-09-21 08:34  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r1970] web/edit_entry_handler.php:
	  
	  Moved the de-duplication of rules and conflicts to before the
	  Ajax output

2011-09-21 08:25  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r1969] web/edit_entry_handler.php:
	  
	  Corrected typo in last change (array_merged)

2011-09-21 06:13  Thomas Bleher <tbleher@users.sourceforge.net>

	* [r1968] web/edit_entry_handler.php:
	  
	  edit_entry_handler: use array_merge instead of operator+ for
	  array union
	  
	  operator+ discards any members of the second array when their key
	  is already found in the first array. In contrast, array_merge
	  renumbers numeric arrays. The old behaviour led to some conflicts
	  not being displayed.

2011-09-20 20:11  Thomas Bleher <tbleher@users.sourceforge.net>

	* [r1966] web/site_faq_de.html:
	  
	  Clean up umlauts in german faq

2011-09-20 20:09  Thomas Bleher <tbleher@users.sourceforge.net>

	* [r1965] web/Themes/default/header.inc:
	  
	  Generate shorter JavaScript for the checkValidBooking() function

2011-09-20 20:05  Thomas Bleher <tbleher@users.sourceforge.net>

	* [r1964] web/Themes/default/header.inc:
	  
	  Correctly handle the radio buttons in the ajax code for
	  edit_entry
	  
	  This is needed at least on Firefox so radio buttons are read
	  correctly.

2011-09-13 08:09  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r1950] web/auth_config.inc:
	  
	  Corrected typo in comment that could lead to confusion

2011-09-12 14:49  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r1947] web/edit_entry_handler.php:
	  
	  Fixed bug where Ajax policy checking was not working if "All day"
	  was checked

2011-09-09 10:28  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r1945] web/functions_view.inc:
	  
	  Fixed bug causing disabled rooms to be displayed incorrectly in
	  view_entry.php

2011-09-08 23:04  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r1943] web/edit_entry.php:
	  
	  Tidied code

2011-09-08 23:03  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r1942] web/Themes/default/header.inc:
	  
	  Fixed bug whereby the Ajax policy checking wasn't working
	  properly after a change of area

2011-09-08 21:14  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r1941] web/edit_entry.php, web/edit_entry_handler.php:
	  
	  Fixed bug which prevented the edit_entry form being submitted
	  when using Chrome

2011-09-08 18:22  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r1939] web/mrbs.css.php:
	  
	  Minor tweak to styling

2011-09-08 18:00  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r1937] web/Themes/default/header.inc, web/edit_entry.php,
	  web/edit_entry_handler.php, web/lang.en, web/mrbs.css.php,
	  web/mrbs_sql.inc:
	  
	  Added an Ajax capability to the edit_entry form so that a booking
	  is checked for scheduling and policy conflicts as the booking
	  parameters are changed. [ Only available for PHP versions >=
	  5.2.0 as it relies on json_encode() ]

2011-09-08 08:55  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r1936] web/report.php:
	  
	  Removed the privacy radio buttons from the Report form when the
	  user is not logged in as they're then redundant because only the
	  "user" will only be able to see public bookings. Thanks to a
	  suggestion from Jörg Wiemann in SF Tracker ID: 3405402

2011-09-07 09:13  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r1933] web/functions_mail.inc, web/lang.en:
	  
	  Improved the message in email notifications for a list of deleted
	  repeat bookings

2011-09-07 08:42  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r1932] web/functions_mail.inc:
	  
	  Fixed bug whereby email notifications would not be sent if MRBS
	  failed to find an address for those on the "To" line but there
	  addresses on the "Cc" line.

2011-09-06 15:02  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r1931] web/edit_entry.php:
	  
	  Moved comment

2011-09-06 14:30  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r1929] web/Themes/default/header.inc, web/edit_entry.php:
	  
	  Added an optional $disabled parameter to genSlotSelector()

2011-09-06 13:04  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r1927] web/functions.inc:
	  
	  Added an optional $disabled parameter to genDateSelector()

2011-09-05 18:12  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r1925] web/functions_mail.inc:
	  
	  Minor code change - no change to MRBS function.

2011-09-05 18:03  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r1924] web/edit_entry_handler.php, web/functions_ical.inc,
	  web/functions_mail.inc, web/lang.en, web/mrbs_sql.inc:
	  
	  Added a list of dates of repeat bookings to email notifications.

2011-09-05 15:57  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r1923] web/edit_entry.php, web/edit_entry_handler.php,
	  web/mrbs-ielte6.css, web/mrbs.css.php:
	  
	  Added a Back button to the edit_entry page

2011-09-02 13:21  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r1921] web/edit_entry_handler.php:
	  
	  Fixed bug where the "Skip and Book" button was being shown if
	  there was a conflict for a non-repeating booking.

2011-09-02 13:10  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r1920] web/functions_mail.inc, web/systemdefaults.inc.php:
	  
	  Added a config setting to disable email sending, overriding any
	  other settings. Useful for testing MRBS without having to worry
	  about sending mail to people not expecting it.

2011-09-01 07:35  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r1917] web/edit_entry_handler.php:
	  
	  Added comment

2011-08-31 22:50  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r1916] web/edit_entry.php:
	  
	  Fix, following previous fixes, to stop Sunday being selected by
	  default as a repeat day.

2011-08-31 22:31  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r1915] web/edit_entry.php:
	  
	  Tidied code following last fix to make the use of $rep_day
	  consistent. (Should be no change to functionality)

2011-08-31 22:05  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r1914] web/edit_entry.php, web/edit_entry_handler.php:
	  
	  Fixed bug in skipping bookings when making weekly repeat bookings
	  (bookings were made for the wrong day of the week). Thanks to
	  John O'Donnell for spotting the problem.

2011-08-31 14:21  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r1912] web/Themes/default/header.inc,
	  web/jquery/ui/css/sunny/images/ui-bg_diagonals-medium_20_d34d17_40x40.png,
	  web/jquery/ui/css/sunny/images/ui-bg_gloss-wave_60_fece2f_500x100.png,
	  web/jquery/ui/css/sunny/images/ui-icons_d19405_256x240.png,
	  web/jquery/ui/css/sunny/jquery-ui-1.8.11.custom.css[DEL],
	  web/jquery/ui/css/sunny/jquery-ui-1.8.16.custom.css[ADD],
	  web/jquery/ui/jquery-ui-1.8.11.custom.min.js[DEL],
	  web/jquery/ui/jquery-ui-1.8.16.custom.min.js[ADD],
	  web/jquery/ui/jquery-ui-i18n.js, web/style.inc:
	  
	  Upgraded jQuery UI from version 1.8.11 to 1.8.16

2011-08-31 09:28  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r1910] web/report.php:
	  
	  Added comment

2011-08-31 08:59  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r1909] web/edit_entry_handler.php, web/lang.en,
	  web/mrbs.css.php:
	  
	  Added a "Skip and book" button to the page listing conflicting
	  entries if you try and make a repeat booking where some of the
	  entries have conflicts.

2011-08-30 10:23  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r1908] web/functions_mail.inc, web/lang.en, web/mrbs-mail.css:
	  
	  Added the list of skipped bookings to ordinary email
	  notifications.

2011-08-30 09:07  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r1907] web/approve_entry_handler.php,
	  web/edit_entry_handler.php, web/functions_ical.inc,
	  web/functions_mail.inc, web/mrbs_sql.inc:
	  
	  Restructured code

2011-08-29 18:22  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r1906] web/functions_ical.inc:
	  
	  Added comment

2011-08-29 18:15  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r1905] web/approve_entry_handler.php,
	  web/edit_entry_handler.php, web/functions_ical.inc,
	  web/functions_mail.inc:
	  
	  Added list of skipped bookings to iCal notifications. (Still to
	  come - adding them to ordinary email notifications)

2011-08-29 12:04  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r1904] web/edit_entry.php, web/edit_entry_handler.php,
	  web/lang.en, web/mrbs_sql.inc, web/systemdefaults.inc.php:
	  
	  Added an option on the booking form to skip past conflicting
	  bookings when making repeat bookings. (To come: an option on the
	  error page to skip past conflicting bookings if you've forgotten
	  to check the box on the booking form)

2011-08-29 09:47  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r1903] web/auth_ldap.inc, web/functions.inc:
	  
	  Replaced some tabs by spaces

2011-08-28 19:11  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r1900] web/functions.inc, web/systemdefaults.inc.php:
	  
	  Made the date range for the date selectors a config variable
	  (default +/- 5 years as at present)

2011-08-15 17:59  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r1865] web/mrbs_sql.inc:
	  
	  Improved error reporting

2011-08-07 17:27  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r1862] tables.my.pre41.sql, tables.my.sql, tables.pg.pre73.sql,
	  tables.pg.sql, web/config.inc.php, web/dbsys.inc,
	  web/functions_ical.inc, web/systemdefaults.inc.php,
	  web/upgrade/28[ADD], web/upgrade/28/mysql.sql[ADD],
	  web/upgrade/28/pgsql.sql[ADD]:
	  
	  Added checking of the web for more up to date versions of the
	  VTIMEZONE components used in iCalendar notifications. (Useful if
	  countries change their timezone or DST rules). Also added caching
	  of the latest version in the database. Web checking will timeout
	  if there is no connection, and it can also be disabled
	  completely.

2011-08-05 10:56  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r1861] web/lang.en:
	  
	  Minor tweaks to language strings. See SF 3386679.

2011-08-04 14:08  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r1860] web/edit_entry.php:
	  
	  Corrected a minor error in JavaScript. Thanks to Guenter Böhm.

2011-08-04 11:18  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r1859] web/mysql.inc, web/mysqli.inc, web/pgsql.inc:
	  
	  Added database error checking and handling to sql_*_field_info()

2011-08-03 16:34  Campbell Morrison <cimorrison@users.sourceforge.net>

	* [r1858] web/tzurl/zoneinfo-outlook/Africa/Abidjan.ics,
	  web/tzurl/zoneinfo-outlook/Africa/Accra.ics,
	  web/tzurl/zoneinfo-outlook/Africa/Addis_Ababa.ics,
	  web/tzurl/zoneinfo-outlook/Africa/Algiers.ics,
	  web/tzurl/zoneinfo-outlook/Africa/Asmara.ics,
	  web/tzurl/zoneinfo-outlook/Africa/Bamako.ics,
	  web/tzurl/zoneinfo-outlook/Africa/Bangui.ics,
	  web/tzurl/zoneinfo-outlook/Africa/Banjul.ics,
	  web/tzurl/zoneinfo-outlook/Africa/Bissau.ics,
	  web/tzurl/zoneinfo-outlook/Africa/Blantyre.ics,
	  web/tzurl/zoneinfo-outlook/Africa/Brazzaville.ics,
	  web/tzurl/zoneinfo-outlook/Africa/Bujumbura.ics,
	  web/tzurl/zoneinfo-outlook/Africa/Cairo.ics,
	  web/tzurl/zoneinfo-outlook/Africa/Casablanca.ics,
	  web/tzurl/zoneinfo-outlook/Africa/Ceuta.ics,
	  web/tzurl/zoneinfo-outlook/Africa/Conakry.ics,
	  web/tzurl/zoneinfo-outlook/Africa/Dakar.ics,
	  web/tzurl/zoneinfo-outlook/Africa/Dar_es_Salaam.ics,
	  web/tzurl/zoneinfo-outlook/Africa/Djibouti.ics,
	  web/tzurl/zoneinfo-outlook/Africa/Douala.ics,
	  web/tzurl/zoneinfo-outlook/Africa/El_Aaiun.ics,
	  web/tzurl/zoneinfo-outlook/Africa/Freetown.ics,
	  web/tzurl/zoneinfo-outlook/Africa/Gaborone.ics,
	  web/tzurl/zoneinfo-outlook/Africa/Harare.ics,
	  web/tzurl/zoneinfo-outlook/Africa/Johannesburg.ics,
	  web/tzurl/zoneinfo-outlook/Africa/Kampala.ics,
	  web/tzurl/zoneinfo-outlook/Africa/Khartoum.ics,
	  web/tzurl/zoneinfo-outlook/Africa/Kigali.ics,
	  web/tzurl/zoneinfo-outlook/Africa/Kinshasa.ics,
	  web/tzurl/zoneinfo-outlook/Africa/Lagos.ics,
	  web/tzurl/zoneinfo-outlook/Africa/Libreville.ics,
	  web/tzurl/zoneinfo-outlook/Africa/Lome.ics,
	  web/tzurl/zoneinfo-outlook/Africa/Luanda.ics,
	  web/tzurl/zoneinfo-outlook/Africa/Lubumbashi.ics,
	  web/tzurl/zoneinfo-outlook/Africa/Lusaka.ics,
	  web/tzurl/zoneinfo-outlook/Africa/Malabo.ics,
	  web/tzurl/zoneinfo-outlook/Africa/Maputo.ics,
	  web/tzurl/zoneinfo-outlook/Africa/Maseru.ics,
	  web/tzurl/zoneinfo-outlook/Africa/Mbabane.ics,
	  web/tzurl/zoneinfo-outlook/Africa/Mogadishu.ics,
	  web/tzurl/zoneinfo-outlook/Africa/Monrovia.ics,
	  web/tzurl/zoneinfo-outlook/Africa/Nairobi.ics,
	  web/tzurl/zoneinfo-outlook/Africa/Ndjamena.ics,
	  web/tzurl/zoneinfo-outlook/Africa/Niamey.ics,
	  web/tzurl/zoneinfo-outlook/Africa/Nouakchott.ics,
	  web/tzurl/zoneinfo-outlook/Africa/Ouagadougou.ics,
	  web/tzurl/zoneinfo-outlook/Africa/Porto-Novo.ics,
	  web/tzurl/zoneinfo-outlook/Africa/Sao_Tome.ics,
	  web/tzurl/zoneinfo-outlook/Africa/Tripoli.ics,
	  web/tzurl/zoneinfo-outlook/Africa/Tunis.ics,
	  web/tzurl/zoneinfo-outlook/Africa/Windhoek.ics,
	  web/tzurl/zoneinfo-outlook/America/Adak.ics,
	  web/tzurl/zoneinfo-outlook/America/Anchorage.ics,
	  web/tzurl/zoneinfo-outlook/America/Anguilla.ics,
	  web/tzurl/zoneinfo-outlook/America/Antigua.ics,
	  web/tzurl/zoneinfo-outlook/America/Araguaina.ics,
	  web/tzurl/zoneinfo-outlook/America/Argentina/Buenos_Aires.ics,
	  web/tzurl/zoneinfo-outlook/America/Argentina/Catamarca.ics,
	  web/tzurl/zoneinfo-outlook/America/Argentina/Cordoba.ics,
	  web/tzurl/zoneinfo-outlook/America/Argentina/Jujuy.ics,
	  web/tzurl/zoneinfo-outlook/America/Argentina/La_Rioja.ics,
	  web/tzurl/zoneinfo-outlook/America/Argentina/Mendoza.ics,
	  web/tzurl/zoneinfo-outlook/America/Argentina/Rio_Gallegos.ics,
	  web/tzurl/zoneinfo-outlook/America/Argentina/Salta.ics,
	  web/tzurl/zoneinfo-outlook/America/Argentina/San_Juan.ics,
	  web/tzurl/zoneinfo-outlook/America/Argentina/San_Luis.ics,
	  web/tzurl/zoneinfo-outlook/America/Argentina/Tucuman.ics,
	  web/tzurl/zoneinfo-outlook/America/Argentina/Ushuaia.ics,
	  web/tzurl/zoneinfo-outlook/America/Aruba.ics,
	  web/tzurl/zoneinfo-outlook/America/Asuncion.ics,
	  web/tzurl/zoneinfo-outlook/America/Atikokan.ics,
	  web/tzurl/zoneinfo-outlook/America/Bahia.ics,
	  web/tzurl/zoneinfo-outlook/America/Bahia_Banderas.ics,
	  web/tzurl/zoneinfo-outlook/America/Barbados.ics,
	  web/tzurl/zoneinfo-outlook/America/Belem.ics,
	  web/tzurl/zoneinfo-outlook/America/Belize.ics,
	  web/tzurl/zoneinfo-outlook/America/Blanc-Sablon.ics,
	  web/tzurl/zoneinfo-outlook/America/Boa_Vista.ics,
	  web/tzurl/zoneinfo-outlook/America/Bogota.ics,
	  web/tzurl/zoneinfo-outlook/America/Boise.ics,
	  web/tzurl/zoneinfo-outlook/America/Cambridge_Bay.ics,
	  web/tzurl/zoneinfo-outlook/America/Campo_Grande.ics,
	  web/tzurl/zoneinfo-outlook/America/Cancun.ics,
	  web/tzurl/zoneinfo-outlook/America/Caracas.ics,
	  web/tzurl/zoneinfo-outlook/America/Cayenne.ics,
	  web/tzurl/zoneinfo-outlook/America/Cayman.ics,
	  web/tzurl/zoneinfo-outlook/America/Chicago.ics,
	  web/tzurl/zoneinfo-outlook/America/Chihuahua.ics,
	  web/tzurl/zoneinfo-outlook/America/Costa_Rica.ics,
	  web/tzurl/zoneinfo-outlook/America/Cuiaba.ics,
	  web/tzurl/zoneinfo-outlook/America/Curacao.ics,
	  web/tzurl/zoneinfo-outlook/America/Danmarkshavn.ics,
	  web/tzurl/zoneinfo-outlook/America/Dawson.ics,
	  web/tzurl/zoneinfo-outlook/America/Dawson_Creek.ics,
	  web/tzurl/zoneinfo-outlook/America/Denver.ics,
	  web/tzurl/zoneinfo-outlook/America/Detroit.ics,
	  web/tzurl/zoneinfo-outlook/America/Dominica.ics,
	  web/tzurl/zoneinfo-outlook/America/Edmonton.ics,
	  web/tzurl/zoneinfo-outlook/America/Eirunepe.ics,
	  web/tzurl/zoneinfo-outlook/America/El_Salvador.ics,
	  web/tzurl/zoneinfo-outlook/America/Fortaleza.ics,
	  web/tzurl/zoneinfo-outlook/America/Glace_Bay.ics,
	  web/tzurl/zoneinfo-outlook/America/Godthab.ics,
	  web/tzurl/zoneinfo-outlook/America/Goose_Bay.ics,
	  web/tzurl/zoneinfo-outlook/America/Grand_Turk.ics,
	  web/tzurl/zoneinfo-outlook/America/Grenada.ics,
	  web/tzurl/zoneinfo-outlook/America/Guadeloupe.ics,
	  web/tzurl/zoneinfo-outlook/America/Guatemala.ics,
	  web/tzurl/zoneinfo-outlook/America/Guayaquil.ics,
	  web/tzurl/zoneinfo-outlook/America/Guyana.ics,
	  web/tzurl/zoneinfo-outlook/America/Halifax.ics,
	  web/tzurl/zoneinfo-outlook/America/Havana.ics,
	  web/tzurl/zoneinfo-outlook/America/Hermosillo.ics,
	  web/tzurl/zoneinfo-outlook/America/Indiana/Indianapolis.ics,
	  web/tzurl/zoneinfo-outlook/America/Indiana/Knox.ics,
	  web/tzurl/zoneinfo-outlook/America/Indiana/Marengo.ics,
	  web/tzurl/zoneinfo-outlook/America/Indiana/Petersburg.ics,
	  web/tzurl/zoneinfo-outlook/America/Indiana/Tell_City.ics,
	  web/tzurl/zoneinfo-outlook/America/Indiana/Vevay.ics,
	  web/tzurl/zoneinfo-outlook/America/Indiana/Vincennes.ics,
	  web/tzurl/zoneinfo-outlook/America/Indiana/Winamac.ics,
	  web/tzurl/zoneinfo-outlook/America/Inuvik.ics,
	  web/tzurl/zoneinfo-outlook/America/Iqaluit.ics,
	  web/tzurl/zoneinfo-outlook/America/Jamaica.ics,
	  web/tzurl/zoneinfo-outlook/America/Juneau.ics,
	  web/tzurl/zoneinfo-outlook/America/Kentucky/Louisville.ics,
	  web/tzurl/zoneinfo-outlook/America/Kentucky/Monticello.ics,
	  web/tzurl/zoneinfo-outlook/America/Kralendijk.ics,
	  web/tzurl/zoneinfo-outlook/America/La_Paz.ics,
	  web/tzurl/zoneinfo-outlook/America/Lima.ics,
	  web/tzurl/zoneinfo-outlook/America/Los_Angeles.ics,
	  web/tzurl/zoneinfo-outlook/America/Lower_Princes.ics,
	  web/tzurl/zoneinfo-outlook/America/Maceio.ics,
	  web/tzurl/zoneinfo-outlook/America/Managua.ics,
	  web/tzurl/zoneinfo-outlook/America/Manaus.ics,
	  web/tzurl/zoneinfo-outlook/America/Marigot.ics,
	  web/tzurl/zoneinfo-outlook/America/Martinique.ics,
	  web/tzurl/zoneinfo-outlook/America/Matamoros.ics,
	  web/tzurl/zoneinfo-outlook/America/Mazatlan.ics,
	  web/tzurl/zoneinfo-outlook/America/Menominee.ics,
	  web/tzurl/zoneinfo-outlook/America/Merida.ics,
	  web/tzurl/zoneinfo-outlook/America/Metlakatla.ics,
	  web/tzurl/zoneinfo-outlook/America/Mexico_City.ics,
	  web/tzurl/zoneinfo-outlook/America/Miquelon.ics,
	  web/tzurl/zoneinfo-outlook/America/Moncton.ics,
	  web/tzurl/zoneinfo-outlook/America/Monterrey.ics,
	  web/tzurl/zoneinfo-outlook/America/Montevideo.ics,
	  web/tzurl/zoneinfo-outlook/America/Montreal.ics,
	  web/tzurl/zoneinfo-outlook/America/Montserrat.ics,
	  web/tzurl/zoneinfo-outlook/America/Nassau.ics,
	  web/tzurl/zoneinfo-outlook/America/New_York.ics,
	  web/tzurl/zoneinfo-outlook/America/Nipigon.ics,
	  web/tzurl/zoneinfo-outlook/America/Nome.ics,
	  web/tzurl/zoneinfo-outlook/America/Noronha.ics,
	  web/tzurl/zoneinfo-outlook/America/North_Dakota/Beulah.ics,
	  web/tzurl/zoneinfo-outlook/America/North_Dakota/Center.ics,
	  web/tzurl/zoneinfo-outlook/America/North_Dakota/New_Salem.ics,
	  web/tzurl/zoneinfo-outlook/America/Ojinaga.ics,
	  web/tzurl/zoneinfo-outlook/America/Panama.ics,
	  web/tzurl/zoneinfo-outlook/America/Pangnirtung.ics,
	  web/tzurl/zoneinfo-outlook/America/Paramaribo.ics,
	  web/tzurl/zoneinfo-outlook/America/Phoenix.ics,
	  web/tzurl/zoneinfo-outlook/America/Port-au-Prince.ics,
	  web/tzurl/zoneinfo-outlook/America/Port_of_Spain.ics,
	  web/tzurl/zoneinfo-outlook/America/Porto_Velho.ics,
	  web/tzurl/zoneinfo-outlook/America/Puerto_Rico.ics,
	  web/tzurl/zoneinfo-outlook/America/Rainy_River.ics,
	  web/tzurl/zoneinfo-outlook/America/Rankin_Inlet.ics,
	  web/tzurl/zoneinfo-outlook/America/Recife.ics,
	  web/tzurl/zoneinfo-outlook/America/Regina.ics,
	  web/tzurl/zoneinfo-outlook/America/Resolute.ics,
	  web/tzurl/zoneinfo-outlook/America/Rio_Branco.ics,
	  web/tzurl/zoneinfo-outlook/America/Santa_Isabel.ics,
	  web/tzurl/zoneinfo-outlook/America/Santarem.ics,
	  web/tzurl/zoneinfo-outlook/America/Santiago.ics,
	  web/tzurl/zoneinfo-outlook/America/Santo_Domingo.ics,
	  web/tzurl/zoneinfo-outlook/America/Sao_Paulo.ics,
	  web/tzurl/zoneinfo-outlook/America/Scoresbysund.ics,
	  web/tzurl/zoneinfo-outlook/America/Sitka.ics,
	  web/tzurl/zoneinfo-outlook/America/St_Barthelemy.ics,
	  web/tzurl/zoneinfo-outlook/America/St_Johns.ics,
	  web/tzurl/zoneinfo-outlook/America/St_Kitts.ics,
	  web/tzurl/zoneinfo-outlook/America/St_Lucia.ics,
	  web/tzurl/zoneinfo-outlook/America/St_Thomas.ics,
	  web/tzurl/zoneinfo-outlook/America/St_Vincent.ics,
	  web/tzurl/zoneinfo-outlook/America/Swift_Current.ics,
	  web/tzurl/zoneinfo-outlook/America/Tegucigalpa.ics,
	  web/tzurl/zoneinfo-outlook/America/Thule.ics,
	  web/tzurl/zoneinfo-outlook/America/Thunder_Bay.ics,
	  web/tzurl/zoneinfo-outlook/America/Tijuana.ics,
	  web/tzurl/zoneinfo-outlook/America/Toronto.ics,
	  web/tzurl/zoneinfo-outlook/America/Tortola.ics,
	  web/tzurl/zoneinfo-outlook/America/Vancouver.ics,
	  web/tzurl/zoneinfo-outlook/America/Whitehorse.ics,
	  web/tzurl/zoneinfo-outlook/America/Winnipeg.ics,
	  web/tzurl/zoneinfo-outlook/America/Yakutat.ics,
	  web/tzurl/zoneinfo-outlook/America/Yellowknife.ics,
	  web/tzurl/zoneinfo-outlook/Antarctica/Casey.ics,
	  web/tzurl/zoneinfo-outlook/Antarctica/Davis.ics,
	  web/tzurl/zoneinfo-outlook/Antarctica/DumontDUrville.ics,
	  web/tzurl/zoneinfo-outlook/Antarctica/Macquarie.ics,
	  web/tzurl/zoneinfo-outlook/Antarctica/Mawson.ics,
	  web/tzurl/zoneinfo-outlook/Antarctica/McMurdo.ics,
	  web/tzurl/zoneinfo-outlook/Antarctica/Palmer.ics,
	  web/tzurl/zoneinfo-outlook/Antarctica/Rothera.ics,
	  web/tzurl/zoneinfo-outlook/Antarctica/South_Pole.ics,
	  web/tzurl/zoneinfo-outlook/Antarctica/Syowa.ics,
	  web/tzurl/zoneinfo-outlook/Antarctica/Vostok.ics,
	  web/tzurl/zoneinfo-outlook/Arctic/Longyearbyen.ics,
	  web/tzurl/zoneinfo-outlook/Asia/Aden.ics,
	  web/tzurl/zoneinfo-outlook/Asia/Almaty.ics,
	  web/tzurl/zoneinfo-outlook/Asia/Amman.ics,
	  web/tzurl/zoneinfo-outlook/Asia/Anadyr.ics,
	  web/tzurl/zoneinfo-outlook/Asia/Aqtau.ics,
	  web/tzurl/zoneinfo-outlook/Asia/Aqtobe.ics,
	  web/tzurl/zoneinfo-outlook/Asia/Ashgabat.ics,
	  web/tzurl/zoneinfo-outlook/Asia/Baghdad.ics,
	  web/tzurl/zoneinfo-outlook/Asia/Bahrain.ics,
	  web/tzurl/zoneinfo-outlook/Asia/Baku.ics,
	  web/tzurl/zoneinfo-outlook/Asia/Bangkok.ics,
	  web/tzurl/zoneinfo-outlook/Asia/Beirut.ics,
	  web/tzurl/zoneinfo-outlook/Asia/Bishkek.ics,
	  web/tzurl/zoneinfo-outlook/Asia/Brunei.ics,
	  web/tzurl/zoneinfo-outlook/Asia/Choibalsan.ics,
	  web/tzurl/zoneinfo-outlook/Asia/Chongqing.ics,
	  web/tzurl/zoneinfo-outlook/Asia/Colombo.ics,
	  web/tzurl/zoneinfo-outlook/Asia/Damascus.ics,
	  web/tzurl/zoneinfo-outlook/Asia/Dhaka.ics,
	  web/tzurl/zoneinfo-outlook/Asia/Dili.ics,
	  web/tzurl/zoneinfo-outlook/Asia/Dubai.ics,
	  web/tzurl/zoneinfo-outlook/Asia/Dushanbe.ics,
	  web/tzurl/zoneinfo-outlook/Asia/Gaza.ics,
	  web/tzurl/zoneinfo-outlook/Asia/Harbin.ics,
	  web/tzurl/zoneinfo-outlook/Asia/Ho_Chi_Minh.ics,
	  web/tzurl/zoneinfo-outlook/Asia/Hong_Kong.ics,
	  web/tzurl/zoneinfo-outlook/Asia/Hovd.ics,
	  web/tzurl/zoneinfo-outlook/Asia/Irkutsk.ics,
	  web/tzurl/zoneinfo-outlook/Asia/Istanbul.ics,
	  web/tzurl/zoneinfo-outlook/Asia/Jakarta.ics,
	  web/tzurl/zoneinfo-outlook/Asia/Jayapura.ics,
	  web/tzurl/zoneinfo-outlook/Asia/Jerusalem.ics,
	  web/tzurl/zoneinfo-outlook/Asia/Kabul.ics,
	  web/tzurl/zoneinfo-outlook/Asia/Kamchatka.ics,
	  web/tzurl/zoneinfo-outlook/Asia/Karachi.ics,
	  web/tzurl/zoneinfo-outlook/Asia/Kashgar.ics,
	  web/tzurl/zoneinfo-outlook/Asia/Kathmandu.ics,
	  web/tzurl/zoneinfo-outlook/Asia/Kolkata.ics,
	  web/tzurl/zoneinfo-outlook/Asia/Krasnoyarsk.ics,
	  web/tzurl/zoneinfo-outlook/Asia/Kuala_Lumpur.ics,
	  web/tzurl/zoneinfo-outlook/Asia/Kuching.ics,
	  web/tzurl/zoneinfo-outlook/Asia/Kuwait.ics,
	  web/tzurl/zoneinfo-outlook/Asia/Macau.ics,
	  web/tzurl/zoneinfo-outlook/Asia/Magadan.ics,
	  web/tzurl/zoneinfo-outlook/Asia/Makassar.ics,
	  web/tzurl/zoneinfo-outlook/Asia/Manila.ics,
	  web/tzurl/zoneinfo-outlook/Asia/Muscat.ics,
	  web/tzurl/zoneinfo-outlook/Asia/Nicosia.ics,
	  web/tzurl/zoneinfo-outlook/Asia/Novokuznetsk.ics,
	  web/tzurl/zoneinfo-outlook/Asia/Novosibirsk.ics,
	  web/tzurl/zoneinfo-outlook/Asia/Omsk.ics,
	  web/tzurl/zoneinfo-outlook/Asia/Oral.ics,
	  web/tzurl/zoneinfo-outlook/Asia/Phnom_Penh.ics,
	  web/tzurl/zoneinfo-outlook/Asia/Pontianak.ics,
	  web/tzurl/zoneinfo-outlook/Asia/Pyongyang.ics,
	  web/tzurl/zoneinfo-outlook/Asia/Qatar.ics,
	  web/tzurl/zoneinfo-outlook/Asia/Qyzylorda.ics,
	  web/tzurl/zoneinfo-outlook/Asia/Rangoon.ics,
	  web/tzurl/zoneinfo-outlook/Asia/Riyadh.ics,
	  web/tzurl/zoneinfo-outlook/Asia/Sakhalin.ics,
	  web/tzurl/zoneinfo-outlook/Asia/Samarkand.ics,
	  web/tzurl/zoneinfo-outlook/Asia/Seoul.ics,
	  web/tzurl/zoneinfo-outlook/Asia/Shanghai.ics,
	  web/tzurl/zoneinfo-outlook/Asia/Singapore.ics,
	  web/tzurl/zoneinfo-outlook/Asia/Taipei.ics,
	  web/tzurl/zoneinfo-outlook/Asia/Tashkent.ics,
	  web/tzurl/zoneinfo-outlook/Asia/Tbilisi.ics,
	  web/tzurl/zoneinfo-outlook/Asia/Tehran.ics,
	  web/tzurl/zoneinfo-outlook/Asia/Thimphu.ics,
	  web/tzurl/zoneinfo-outlook/Asia/Tokyo.ics,
	  web/tzurl/zoneinfo-outlook/Asia/Ulaanbaatar.ics,
	  web/tzurl/zoneinfo-outlook/Asia/Urumqi.ics,
	  web/tzurl/zoneinfo-outlook/Asia/Vientiane.ics,
	  web/tzurl/zoneinfo-outlook/Asia/Vladivostok.ics,
	  web/tzurl/zoneinfo-outlook/Asia/Yakutsk.ics,
	  web/tzurl/zoneinfo-outlook/Asia/Yekaterinburg.ics,
	  web/tzurl/zoneinfo-outlook/Asia/Yerevan.ics,
	  web/tzurl/zoneinfo-outlook/Atlantic/Azores.ics,
	  web/tzurl/zoneinfo-outlook/Atlantic/Bermuda.ics,
	  web/tzurl/zoneinfo-outlook/Atlantic/Canary.ics,
	  web/tzurl/zoneinfo-outlook/Atlantic/Cape_Verde.ics,
	  web/tzurl/zoneinfo-outlook/Atlantic/Faroe.ics,
	  web/tzurl/zoneinfo-outlook/Atlantic/Madeira.ics,
	  web/tzurl/zoneinfo-outlook/Atlantic/Reykjavik.ics,
	  web/tzurl/zoneinfo-outlook/Atlantic/South_Georgia.ics,
	  web/tzurl/zoneinfo-outlook/Atlantic/St_Helena.ics,
	  web/tzurl/zoneinfo-outlook/Atlantic/Stanley.ics,
	  web/tzurl/zoneinfo-outlook/Australia/Adelaide.ics,
	  web/tzurl/zoneinfo-outlook/Australia/Brisbane.ics,
	  web/tzurl/zoneinfo-outlook/Australia/Currie.ics,
	  web/tzurl/zoneinfo-outlook/Australia/Darwin.ics,
	  web/tzurl/zoneinfo-outlook/Australia/Eucla.ics,
	  web/tzurl/zoneinfo-outlook/Australia/Hobart.ics,
	  web/tzurl/zoneinfo-outlook/Australia/Lindeman.ics,
	  web/tzurl/zoneinfo-outlook/Australia/Lord_Howe.ics,
	  web/tzurl/zoneinfo-outlook/Australia/Melbourne.ics,
	  web/tzurl/zoneinfo-outlook/Australia/Perth.ics,
	  web/tzurl/zoneinfo-outlook/Australia/Sydney.ics,
	  web/tzurl/zoneinfo-outlook/Europe/Amsterdam.ics,
	  web/tzurl/zoneinfo-outlook/Europe/Andorra.ics,
	  web/tzurl/zoneinfo-outlook/Europe/Athens.ics,
	  web/tzurl/zoneinfo-outlook/Europe/Belgrade.ics,
	  web/tzurl/zoneinfo-outlook/Europe/Berlin.ics,
	  web/tzurl/zoneinfo-outlook/Europe/Bratislava.ics,
	  web/tzurl/zoneinfo-outlook/Europe/Brussels.ics,
	  web/tzurl/zoneinfo-outlook/Europe/Bucharest.ics,
	  web/tzurl/zoneinfo-outlook/Europe/Budapest.ics,
	  web/tzurl/zoneinfo-outlook/Europe/Chisinau.ics,
	  web/tzurl/zoneinfo-outlook/Europe/Copenhagen.ics,
	  web/tzurl/zoneinfo-outlook/Europe/Dublin.ics,
	  web/tzurl/zoneinfo-outlook/Europe/Gibraltar.ics,
	  web/tzurl/zoneinfo-outlook/Europe/Guernsey.ics,
	  web/tzurl/zoneinfo-outlook/Europe/Helsinki.ics,
	  web/tzurl/zoneinfo-outlook/Europe/Isle_of_Man.ics,
	  web/tzurl/zoneinfo-outlook/Europe/Istanbul.ics,
	  web/tzurl/zoneinfo-outlook/Europe/Jersey.ics,
	  web/tzurl/zoneinfo-outlook/Europe/Kaliningrad.ics,
	  web/tzurl/zoneinfo-outlook/Europe/Kiev.ics,
	  web/tzurl/zoneinfo-outlook/Europe/Lisbon.ics,
	  web/tzurl/zoneinfo-outlook/Europe/Ljubljana.ics,
	  web/tzurl/zoneinfo-outlook/Europe/London.ics,
	  web/tzurl/zoneinfo-outlook/Europe/Luxembourg.ics,
	  web/tzurl/zoneinfo-outlook/Europe/Madrid.ics,
	  web/tzurl/zoneinfo-outlook/Europe/Malta.ics,
	  web/tzurl/zoneinfo-outlook/Europe/Mariehamn.ics,
	  web/tzurl/zoneinfo-outlook/Europe/Minsk.ics,
	  web/tzurl/zoneinfo-outlook/Europe/Monaco.ics,
	  web/tzurl/zoneinfo-outlook/Europe/Moscow.ics,
	  web/tzurl/zoneinfo-outlook/Europe/Nicosia.ics,
	  web/tzurl/zoneinfo-outlook/Europe/Oslo.ics,
	  web/tzurl/zoneinfo-outlook/Europe/Paris.ics,
	  web/tzurl/zoneinfo-outlook/Europe/Podgorica.ics,
	  web/tzurl/zoneinfo-outlook/Europe/Prague.ics,
	  web/tzurl/zoneinfo-outlook/Europe/Riga.ics,
	  web/tzurl/zoneinfo-outlook/Europe/Rome.ics,
	  web/tzurl/zoneinfo-outlook/Europe/Samara.ics,
	  web/tzurl/zoneinfo-outlook/Europe/San_Marino.ics,
	  web/tzurl/zoneinfo-outlook/Europe/Sarajevo.ics,
	  web/tzurl/zoneinfo-outlook/Europe/Simferopol.ics,
	  web/tzurl/zoneinfo-outlook/Europe/Skopje.ics,
	  web/tzurl/zoneinfo-outlook/Europe/Sofia.ics,
	  web/tzurl/zoneinfo-outlook/Europe/Stockholm.ics,
	  web/tzurl/zoneinfo-outlook/Europe/Tallinn.ics,
	  web/tzurl/zoneinfo-outlook/Europe/Uzhgorod.ics,
	  web/tzurl/zoneinfo-outlook/Europe/Vaduz.ics,
	  web/tzurl/zoneinfo-outlook/Europe/Vatican.ics,
	  web/tzurl/zoneinfo-outlook/Europe/Vienna.ics,
	  web/tzurl/zoneinfo-outlook/Europe/Vilnius.ics,
	  web/tzurl/zoneinfo-outlook/Europe/Volgograd.ics,
	  web/tzurl/zoneinfo-outlook/Europe/Warsaw.ics,
	  web/tzurl/zoneinfo-outlook/Europe/Zagreb.ics,
	  web/tzurl/zoneinfo-outlook/Europe/Zaporozhye.ics,
	  web/tzurl/zoneinfo-outlook/Europe/Zurich.ics,
	  web/tzurl/zoneinfo-outlook/Indian/Antananarivo.ics,
	  web/tzurl/zoneinfo-outlook/Indian/Chagos.ics,
	  web/tzurl/zoneinfo-outlook/Indian/Christmas.ics,
	  web/tzurl/zoneinfo-outlook/Indian/Cocos.ics,
	  web/tzurl/zoneinfo-outlook/Indian/Comoro.ics,
	  web/tzurl/zoneinfo-outlook/Indian/Kerguelen.ics,
	  web/tzurl/zoneinfo-outlook/Indian/Mahe.ics,
	  web/tzurl/zoneinfo-outlook/Indian/Maldives.ics,
	  web/tzurl/zoneinfo-outlook/Indian/Mauritius.ics,
	  web/tzurl/zoneinfo-outlook/Indian/Mayotte.ics,
	  web/tzurl/zoneinfo-outlook/Indian/Reunion.ics,
	  web/tzurl/zoneinfo-outlook/Pacific/Apia.ics,
	  web/tzurl/zoneinfo-outlook/Pacific/Auckland.ics,
	  web/tzurl/zoneinfo-outlook/Pacific/Chatham.ics,
	  web/tzurl/zoneinfo-outlook/Pacific/Chuuk.ics,
	  web/tzurl/zoneinfo-outlook/Pacific/Easter.ics,
	  web/tzurl/zoneinfo-outlook/Pacific/Efate.ics,
	  web/tzurl/zoneinfo-outlook/Pacific/Enderbury.ics,
	  web/tzurl/zoneinfo-outlook/Pacific/Fakaofo.ics,
	  web/tzurl/zoneinfo-outlook/Pacific/Fiji.ics,
	  web/tzurl/zoneinfo-outlook/Pacific/Funafuti.ics,
	  web/tzurl/zoneinfo-outlook/Pacific/Galapagos.ics,
	  web/tzurl/zoneinfo-outlook/Pacific/Gambier.ics,
	  web/tzurl/zoneinfo-outlook/Pacific/Guadalcanal.ics,
	  web/tzurl/zoneinfo-outlook/Pacific/Guam.ics,
	  web/tzurl/zoneinfo-outlook/Pacific/Honolulu.ics,
	  web/tzurl/zoneinfo-outlook/Pacific/Johnston.ics,
	  web/tzurl/zoneinfo-outlook/Pacific/Kiritimati.ics,
	  web/tzurl/zoneinfo-outlook/Pacific/Kosrae.ics,
	  web/tzurl/zoneinfo-outlook/Pacific/Kwajalein.ics,
	  web/tzurl/zoneinfo-outlook/Pacific/Majuro.ics,
	  web/tzurl/zoneinfo-outlook/Pacific/Marquesas.ics,
	  web/tzurl/zoneinfo-outlook/Pacific/Midway.ics,
	  web/tzurl/zoneinfo-outlook/Pacific/Nauru.ics,
	  web/tzurl/zoneinfo-outlook/Pacific/Niue.ics,
	  web/tzurl/zoneinfo-outlook/Pacific/Norfolk.ics,
	  web/tzurl/zoneinfo-outlook/Pacific/Noumea.ics,
	  web/tzurl/zoneinfo-outlook/Pacific/Pago_Pago.ics,
	  web/tzurl/zoneinfo-outlook/Pacific/Palau.ics,
	  web/tzurl/zoneinfo-outlook/Pacific/Pitcairn.ics,
	  web/tzurl/zoneinfo-outlook/Pacific/Pohnpei.ics,
	  web/tzurl/zoneinfo-outlook/Pacific/Ponape.ics,
	  web/tzurl/zoneinfo-outlook/Pacific/Port_Moresby.ics,
	  web/tzurl/zoneinfo-outlook/Pacific/Rarotonga.ics,
	  web/tzurl/zoneinfo-outlook/Pacific/Saipan.ics,
	  web/tzurl/zoneinfo-outlook/Pacific/Tahiti.ics,
	  web/tzurl/zoneinfo-outlook/Pacific/Tarawa.ics,
	  web/tzurl/zoneinfo-outlook/Pacific/Tongatapu.ics,
	  web/tzurl/zoneinfo-outlook/Pacific/Truk.ics,
	  web/tzurl/zoneinfo-outlook/Pacific/Wake.ics,
	  web/tzurl/zoneinfo-outlook/Pacific/Wallis.ics,
	  web/tzurl/zoneinfo/Africa/Abidjan.ics,
	  web/tzurl/zoneinfo/Africa/Accra.ics,
	  web/tzurl/zoneinfo/Africa/Addis_Ababa.ics,
	  web/tzurl/zoneinfo/Africa/Algiers.ics,
	  web/tzurl/zoneinfo/Africa/Asmara.ics,
	  web/tzurl/zoneinfo/Africa/Bamako.ics,
	  web/tzurl/zoneinfo/Africa/Bangui.ics,
	  web/tzurl/zoneinfo/Africa/Banjul.ics,
	  web/tzurl/zoneinfo/Africa/Bissau.ics,
	  web/tzurl/zoneinfo/Africa/Blantyre.ics,
	  web/tzurl/zoneinfo/Africa/Brazzaville.ics,
	  web/tzurl/zoneinfo/Africa/Bujumbura.ics,
	  web/tzurl/zoneinfo/Africa/Cairo.ics,
	  web/tzurl/zoneinfo/Africa/Casablanca.ics,
	  web/tzurl/zoneinfo/Africa/Ceuta.ics,
	  web/tzurl/zoneinfo/Africa/Conakry.ics,
	  web/tzurl/zoneinfo/Africa/Dakar.ics,
	  web/tzurl/zoneinfo/Africa/Dar_es_Salaam.ics,
	  web/tzurl/zoneinfo/Africa/Djibouti.ics,
	  web/tzurl/zoneinfo/Africa/Douala.ics,
	  web/tzurl/zoneinfo/Africa/El_Aaiun.ics,
	  web/tzurl/zoneinfo/Africa/Freetown.ics,
	  web/tzurl/zoneinfo/Africa/Gaborone.ics,
	  web/tzurl/zoneinfo/Africa/Harare.ics,
	  web/tzurl/zoneinfo/Africa/Johannesburg.ics,
	  web/tzurl/zoneinfo/Africa/Kampala.ics,
	  web/tzurl/zoneinfo/Africa/Khartoum.ics,
	  web/tzurl/zoneinfo/Africa/Kigali.ics,
	  web/tzurl/zoneinfo/Africa/Kinshasa.ics,
	  web/tzurl/zoneinfo/Africa/Lagos.ics,
	  web/tzurl/zoneinfo/Africa/Libreville.ics,
	  web/tzurl/zoneinfo/Africa/Lome.ics,
	  web/tzurl/zoneinfo/Africa/Luanda.ics,
	  web/tzurl/zoneinfo/Africa/Lubumbashi.ics,
	  web/tzurl/zoneinfo/Africa/Lusaka.ics,
	  web/tzurl/zoneinfo/Africa/Malabo.ics,
	  web/tzurl/zoneinfo/Africa/Maputo.ics,
	  web/tzurl/zoneinfo/Africa/Maseru.ics,
	  web/tzurl/zoneinfo/Africa/Mbabane.ics,
	  web/tzurl/zoneinfo/Africa/Mogadishu.ics,
	  web/tzurl/zoneinfo/Africa/Monrovia.ics,
	  web/tzurl/zoneinfo/Africa/Nairobi.ics,
	  web/tzurl/zoneinfo/Africa/Ndjamena.ics,
	  web/tzurl/zoneinfo/Africa/Niamey.ics,
	  web/tzurl/zoneinfo/Africa/Nouakchott.ics,
	  web/tzurl/zoneinfo/Africa/Ouagadougou.ics,
	  web/tzurl/zoneinfo/Africa/Porto-Novo.ics,
	  web/tzurl/zoneinfo/Africa/Sao_Tome.ics,
	  web/tzurl/zoneinfo/Africa/Tripoli.ics,
	  web/tzurl/zoneinfo/Africa/Tunis.ics,
	  web/tzurl/zoneinfo/Africa/Windhoek.ics,
	  web/tzurl/zoneinfo/America/Adak.ics,
	  web/tzurl/zoneinfo/America/Anchorage.ics,
	  web/tzurl/zoneinfo/America/Anguilla.ics,
	  web/tzurl/zoneinfo/America/Antigua.ics,
	  web/tzurl/zoneinfo/America/Araguaina.ics,
	  web/tzurl/zoneinfo/America/Argentina/Buenos_Aires.ics,
	  web/tzurl/zoneinfo/America/Argentina/Catamarca.ics,
	  web/tzurl/zoneinfo/America/Argentina/Cordoba.ics,
